This changelog has effectively been discontinued.

Until its usage is being continued again just use

http://lists.kde.org/?l=kde-commits&w=2&r=1&s=marble&q=b

or 

svn log

instead to follow code changes.

Thanks!


2008-09-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/plugins/marble/CMakeLists.txt
    * src/plugins/marble/geodata/CMakeLists.txt
    * src/plugins/marble/geodata/Marble writing.kml
    * src/plugins/marble/geodata/MarbleGeoDataPlugin.{h|cpp}
    * src/plugins/marble/geodata/MarbleGeoDataView.{h|cpp}

    make the GeoDataPlugin be built for everybody
    Add the GeoDataView which is attached to the MarbleGeometryModel
    provided by the dataFacade.

2008-09-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/CMakeLists.txt
    * src/lib/MarbleDataFacade.{h|cpp}
    * src/lib/MarbleGeometryModel.{h|cpp}
    * src/lib/MarbleModel.{h|cpp}
    * src/lib/PlaceMarkManager.{h|cpp}

    add the MarbleGeometryModel which provides a model interface for
    the geodata in the MarblePlacemarkModel.

2008-09-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/parser/GeoParser.h

    make parentItem.nodeAs<T>() usable to check if the parentItem
    returns a T* pointer. this way you can both check if the parent
    element is valid and you can access it.

2008-09-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlMultiGeometryTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler.cpp

    fix some minor issues depending on the static_cast->dynamic_cast change
    in the parser(see next commit)
    Add MultiGeometry Tag (which was rotting here already)

2008-09-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataGeometry.h
    * src/lib/geodata/data/GeoDataMultiGeometry.{h|cpp}
    * src/lib/geodata/data/GeoDataMultiObject.h

    add a new Type for GeoDataObject*
    forbid copying of GeoDataMultiGeometry

2008-09-05  Pino Toscano    <pino@kde.org>

    * src/lib/HttpJob.{cpp,h}:

    Move the private data into a d-pointer.

2008-08-31  Pino Toscano    <pino@kde.org>

    * src/lib/MarbleNetworkPlugin.{cpp,h}:
    * src/lib/MarbleNetworkPluginInterface.h:
    * src/lib/HttpJob.{cpp,h}:
    * src/lib/QHttpNetworkPlugin.{cpp,h}:
    * src/lib/HttpDownloadManager.{cpp,h}:
    * src/lib/CMakeLists.txt:

    - add a structure for network plugins, interface and abstract class.
    - decouple the QHttp stuff into an own QHttpNetworkPlugin, compiled
      statically, and leave HttpJob and abstract class.
    - start adapting the HttpDownloadManager to use a network plugin for
      creating the HTTP jobs; at the moment no plugin is used, but the static
      QHttp-based one is.

2008-08-30  Pino Toscano    <pino@kde.org>

    * src/lib/HttpFetchFile.{cpp,h}:
    * src/lib/HttpJob.{cpp,h}:

    Rename HttpFetchFile.{cpp,h} into HttpJob.{cpp,h}.

2008-08-30  Pino Toscano    <pino@kde.org>

    * src/lib/HttpFetchFile.{cpp,h}:
    * src/lib/HttpDownloadManager.{cpp,h}:

    Merge HttpJob and HttpFetchFile into the former.

2008-08-24  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataContainer.{h|cpp}
    * src/lib/geodata/data/GeoDataDocument.{h|cpp}
    * src/lib/MarbleGeoDataModel.{h|cpp}

    make GeoDataDocuments be unloadable
    This means that tiles can be unloaded each by each

2008-08-20  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/lib/MarbleGeoDataModel.h
    * src/lib/MarbleGeoDataModel.cpp
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.cpp
    * src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp
    * src/lib/geodata/data/GeoDataMultiGeometry.h
    * src/lib/geodata/data/GeoDataLineString.cpp
    * src/lib/geodata/data/GeoDataFolder.h
    * src/lib/geodata/data/GeoDataContainer.cpp
    * src/lib/geodata/data/GeoDataDocument.h
    * src/lib/geodata/data/GeoDataPolygon.cpp
    * src/lib/geodata/data/GeoDataGeometry.cpp
    * src/lib/geodata/data/GeoDataPoint.h
    * src/lib/geodata/data/GeoDataLinearRing.h
    * src/lib/geodata/data/GeoDataPlacemark.cpp
    * src/lib/geodata/data/GeoDataFeature.h
    * src/lib/geodata/data/GeoDataMultiGeometry.cpp
    * src/lib/geodata/data/GeoDataObject.h
    * src/lib/geodata/data/GeoDataFolder.cpp
    * src/lib/geodata/data/GeoDataDocument.cpp
    * src/lib/geodata/data/GeoDataLineString.h
    * src/lib/geodata/data/GeoDataContainer.h
    * src/lib/geodata/data/GeoDataPoint.cpp
    * src/lib/geodata/data/GeoDataLinearRing.cpp
    * src/lib/geodata/data/GeoDataFeature.cpp
    * src/lib/geodata/data/GeoDataPolygon.h
    * src/lib/geodata/data/GeoDataGeometry.h
    * src/lib/geodata/data/GeoDataPlacemark.h
    * src/lib/geodata/data/GeoDataObject.cpp
    * src/plugins/marble/dataview
    * src/plugins/marble/dataview/MarbleGeoDataDebugModel.cpp
    * src/plugins/marble/dataview/MarbleGeoDataDebugModel.h
    * src/plugins/marble/dataview/MarbleDataViewPlugin.cpp
    * src/plugins/marble/dataview/MarbleDataViewPlugin.h
    * src/plugins/marble/dataview/CMakeLists.txt
    * src/plugins/marble/CMakeLists.txt

Added a basic Model that allows introspection into the GeoData loaded from KML

2008-08-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/kml/KmlPairTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler.h:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPairTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlKeyTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.cpp:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlKeyTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.cpp:
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler.cpp:
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler.h:

    Remove unneccessary constructors and destructors. The generated
    ones are equivalent.

2008-08-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlPaletteTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlFilterTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlPaletteTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlFilterTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.h:

    Remove unneccessary constructors and destructors. The generated
    ones are equivalent.

2008-08-19  Inge Wallin  <inge@lysator.liu.se>

	Fix Krazy issue 5: Single char QString operations
	* src/lib/gps/GmlSax.cpp
	* src/lib/MarbleLegendBrowser.cpp
	* src/lib/DiscCache.cpp
	* src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp
	* src/lib/geodata/data/GeoDataCoordinates.cpp
	* src/plugins/marble/twitter/twitterPlugin.cpp
	* src/plasmoid/worldclock.cpp
	* docs/layermanagement.txt
	* tools/svg2pnt/svgxmlhandler.cpp
	* tools/asc2kml/asc2kml.cpp


2008-08-18  Inge Wallin  <inge@lysator.liu.se>

	Convert all doubles to qreals.
	* src/QtMainWindow.cpp
	* src/lib/MeasureTool.cpp
	* src/lib/MarbleWidget.cpp
	* src/lib/AbstractScanlineTextureMapper.cpp
	* src/lib/gps/GmlSax.h
	* src/lib/gps/RouteContainer.h
	* src/lib/gps/Waypoint.cpp
	* src/lib/gps/GpsTracking.cpp
	* src/lib/gps/TrackPoint.cpp
	* src/lib/gps/Waypoint.h
	* src/lib/gps/GpxSax.h
	* src/lib/gps/TrackPoint.h
	* src/lib/gps/GpsLayer.cpp
	* src/lib/gps/GpsLayer.h
	* src/lib/gps/GmlSax.cpp
	* src/lib/SphericalScanlineTextureMapper.cpp
	* src/lib/Projections/AbstractProjection.cpp
	* src/lib/Projections/AbstractProjection.h
	* src/lib/Projections/SphericalProjection.cpp
	* src/lib/Projections/MercatorProjectionHelper.cpp
	* src/lib/Projections/MercatorProjection.cpp
	* src/lib/Projections/SphericalProjection.h
	* src/lib/Projections/EquirectProjectionHelper.cpp
	* src/lib/Projections/EquirectProjection.cpp
	* src/lib/Projections/MercatorProjection.h
	* src/lib/Projections/EquirectProjection.h
	* src/lib/MarbleWidgetPopupMenu.h
	* src/lib/Quaternion.cpp
	* src/lib/MarbleWidgetInputHandler.h
	* src/lib/MathHelper.cpp
	* src/lib/MapScaleFloatItem.cpp
	* src/lib/MarbleWidget.h
	* src/lib/AbstractScanlineTextureMapper.h
	* src/lib/MarbleWidgetPopupMenu.cpp
	* src/lib/SunLocator.cpp
	* src/lib/PlaceMarkManager.cpp
	* src/lib/MapScaleFloatItem.h
	* src/lib/VectorMap.cpp
	* src/lib/MarbleMap.cpp
	* src/lib/MergedLayerDecorator.cpp
	* src/lib/TextureTile.cpp
	* src/lib/MarbleControlBox.h
	* src/lib/GeoPolygon.cpp
	* src/lib/EquirectScanlineTextureMapper.cpp
	* src/lib/TileLoaderHelper.cpp
	* src/lib/PlaceMarkPainter.h
	* src/lib/TextureColorizer.cpp
	* src/lib/GeoPainter.cpp
	* src/lib/runners/LatLonRunner.cpp
	* src/lib/ViewParams.cpp
	* src/lib/SphericalScanlineTextureMapper.h
	* src/lib/TextureTile.h
	* src/lib/MarbleWidgetInputHandler.cpp
	* src/lib/GeoPolygon.h
	* src/lib/Quaternion.h
	* src/lib/MathHelper.h
	* src/lib/LatLonEdit.h
	* src/lib/MarblePlacemarkModel.h
	* src/lib/ClipPainter.cpp
	* src/lib/TileCreator.cpp
	* src/lib/ExtDateTime.cpp
	* src/lib/AbstractLayer/AbstractLayerData.h
	* src/lib/AbstractLayer/AbstractLayer.cpp
	* src/lib/AbstractLayer/AbstractLayerContainer.cpp
	* src/lib/AbstractLayer/AbstractLayer.h
	* src/lib/AbstractLayer/AbstractLayerContainer.h
	* src/lib/AbstractLayer/AbstractLayerData.cpp
	* src/lib/ViewParams.h
	* src/lib/MarbleMap_p.h
	* src/lib/TileLoader.cpp
	* src/lib/PlaceMarkInfoDialog.cpp
	* src/lib/SunLocator.h
	* src/lib/LatLonEdit.cpp
	* src/lib/MarbleAbstractFloatItem.h
	* src/lib/MarblePlacemarkModel.cpp
	* src/lib/global.h
	* src/lib/MarbleControlBox.cpp
	* src/lib/MercatorScanlineTextureMapper.cpp
	* src/lib/ClipPainter.h
	* src/lib/BoundingBox.h
	* src/lib/MarbleModel.cpp
	* src/lib/MarbleAbstractFloatItem.cpp
	* src/lib/ViewportParams.h
	* src/lib/GridMap.h
	* src/lib/MeasureTool.h
	* src/lib/MarbleMap.h
	* src/lib/VectorMap.h
	* src/lib/MarblePhysics.cpp
	* src/lib/ExtDateTime.h
	* src/lib/geodata/handlers/kml/KmlAreaTagHandler.cpp
	* src/lib/geodata/handlers/dgml/DgmlPenTagHandler.cpp
	* src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp
	* src/lib/geodata/data/GeoDataCoordinates.cpp
	* src/lib/geodata/data/GeoDataContainer.cpp
	* src/lib/geodata/data/GeoDataPoint.h
	* src/lib/geodata/data/GeoDataCoordinates_p.h
	* src/lib/geodata/data/GeoDataPlacemark.cpp
	* src/lib/geodata/data/GeoDataLatLonAltBox.cpp
	* src/lib/geodata/data/GeoDataCoordinates.h
	* src/lib/geodata/data/GeoDataPoint.cpp
	* src/lib/geodata/data/GeoDataPlacemark.h
	* src/lib/geodata/data/GeoDataLatLonAltBox.h
	* src/lib/GridMap.cpp
	* src/lib/ViewportParams.cpp
	* src/plugins/marble/twitter/twitterPlugin.cpp
	* src/plugins/marble/twitter/twitterPlugin.h
	* src/plugins/marble/twitter/jsonparser.h
	* src/plugins/marble/overviewmap/MarbleOverviewMap.cpp
	* src/plugins/marble/overviewmap/MarbleOverviewMap.h
	* src/plugins/marble/compass/CompassFloatItem.cpp
	* src/plugins/marble/mapscale/MapScaleFloatItem.h
	* src/plugins/marble/mapscale/MapScaleFloatItem.cpp
	* src/plugins/marble/panoramio/PanoramioPlugin.cpp
	* src/plugins/marble/panoramio/PanoramioPlugin.h
	* src/plugins/marble/panoramio/jsonparser.h
	* src/plugins/marble/stars/MarbleStarsPlugin.cpp
	* src/plugins/marble/stars/MarbleStarsPlugin.h
	* src/MarbleTest.cpp
	* src/FastMath.h
	* src/plasmoid/worldclock.cpp
	* src/marble_part.cpp


2008-08-15  Inge Wallin  <inge@lysator.liu.se>

	Add a template for Float Item plugins
	* src/plugins/marble/FITemplate: new directory
	* src/plugins/marble/FITemplate/CMakeLists.txt: new file
	* src/plugins/marble/FITemplate/FITemplateFloatItem.h: new file
	* src/plugins/marble/FITemplate/FITemplateFloatItem.cpp: new file

	Rename Layers to RenderPlugin to reduce confusion.
	* src/lib/MarbleLayerInterface.h -> MarbleRenderPluginInterface.h.
	* src/lib/MarbleAbstractLayer.{h,cpp} -> MarbleRenderPlugin.{h,cpp}
	* src/lib/CMakeLists.txt: Reflect name changes
	* src/lib/LayerManager.{h,cpp},
	* src/lib/MarbleAbstractFloatItem.{h,cpp},
	* src/lib/MarbleWidget.{h,cpp},
	* src/lib/MarbleMap.{h,cpp},
	* src/lib/MarbleModel.{h,cpp},
	* src/lib/PluginManager.{h,cpp},
	* src/lib/PluginManager.h,
	* src/lib/tests/PluginManagerTest.cpp,
	* src/marble_part.cpp,
	* src/plugins/marble/compass/CompassFloatItem.{h,cpp},
	* src/plugins/marble/mapscale/MapScaleFloatItem.{h,cpp},
	* src/plugins/marble/geodata/MarbleGeoDataPlugin.h,
	* src/plugins/marble/overviewmap/MarbleOverviewMap.h,
	* src/plugins/marble/panoramio/PanoramioPlugin.h,
	* src/plugins/marble/satellites/SatellitesPlugin.h,
	* src/plugins/marble/stars/MarbleStarsPlugin.h:
	Use new name of the plugins.

2008-08-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/plugins/marble/test/MarbleTestPlugin.cpp:
    * src/plugins/marble/test/MarbleTestPlugin.h:
    * src/plugins/marble/twitter/twitterPlugin.cpp:
    * src/plugins/marble/twitter/twitterPlugin.h:
    * src/plugins/marble/panoramio/PanoramioPlugin.cpp:
    * src/plugins/marble/panoramio/PanoramioPlugin.h:
    * src/plugins/marble/satellites/SatellitesPlugin.cpp:
    * src/plugins/marble/satellites/SatellitesPlugin.h:

    Move deactivated plugins from global namespace into Marble namespace.

2008-08-13  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/KdeMainWindow.cpp:
    * src/MarbleTest.h:
    * src/kdemain.cpp:
    * src/ControlView.cpp:
    * src/lib/PluginManager.h:
    * src/lib/MeasureTool.cpp:
    * src/lib/TileCreatorDialog.h:
    * src/lib/MarbleWidget.cpp:
    * src/lib/MapThemeSortFilterProxyModel.h:
    * src/lib/CrossHairFloatItem.h:
    * src/lib/gps/Route.cpp:
    * src/lib/gps/GpxFile.cpp:
    * src/lib/gps/GmlSax.h:
    * src/lib/gps/RouteContainer.cpp:
    * src/lib/gps/Route.h:
    * src/lib/gps/GpxFile.h:
    * src/lib/gps/GpsElement.cpp:
    * src/lib/gps/Track.cpp:
    * src/lib/gps/RouteContainer.h:
    * src/lib/gps/TrackContainer.cpp:
    * src/lib/gps/GpsElement.h:
    * src/lib/gps/Track.h:
    * src/lib/gps/GpxSax.cpp:
    * src/lib/gps/Waypoint.cpp:
    * src/lib/gps/GpsTracking.cpp:
    * src/lib/gps/TrackContainer.h:
    * src/lib/gps/WaypointContainer.cpp:
    * src/lib/gps/TrackPoint.cpp:
    * src/lib/gps/GpxSax.h:
    * src/lib/gps/GpxFileModel.cpp:
    * src/lib/gps/Waypoint.h:
    * src/lib/gps/GpsTracking.h:
    * src/lib/gps/WaypointContainer.h:
    * src/lib/gps/TrackPoint.h:
    * src/lib/gps/GpxFileModel.h:
    * src/lib/gps/GpsLayer.cpp:
    * src/lib/gps/TrackSegment.cpp:
    * src/lib/gps/GpsLayer.h:
    * src/lib/gps/GmlSax.cpp:
    * src/lib/gps/TrackSegment.h:
    * src/lib/TileId.cpp:
    * src/lib/DiscCache.h:
    * src/lib/SphericalScanlineTextureMapper.cpp:
    * src/lib/Projections/AbstractProjectionHelper.cpp:
    * src/lib/Projections/AbstractProjection.cpp:
    * src/lib/Projections/AbstractProjectionHelper.h:
    * src/lib/Projections/AbstractProjection.h:
    * src/lib/Projections/SphericalProjectionHelper.cpp:
    * src/lib/Projections/SphericalProjection.cpp:
    * src/lib/Projections/MercatorProjectionHelper.cpp:
    * src/lib/Projections/MercatorProjection.cpp:
    * src/lib/Projections/SphericalProjection.h:
    * src/lib/Projections/SphericalProjectionHelper.h:
    * src/lib/Projections/MercatorProjectionHelper.h:
    * src/lib/Projections/MercatorProjection.h:
    * src/lib/Projections/EquirectProjectionHelper.cpp:
    * src/lib/Projections/EquirectProjection.cpp:
    * src/lib/Projections/EquirectProjectionHelper.h:
    * src/lib/Projections/EquirectProjection.h:
    * src/lib/Projections/AbstractProjectionHelper_p.h:
    * src/lib/VectorComposer.h:
    * src/lib/ImageLoadThread.h:
    * src/lib/MarbleAboutDialog.h:
    * src/lib/MarbleWidgetPopupMenu.h:
    * src/lib/Quaternion.cpp:
    * src/lib/MarbleThemeSelectView.h:
    * src/lib/MarbleWidgetInputHandler.h:
    * src/lib/MathHelper.cpp:
    * src/lib/MapScaleFloatItem.cpp:
    * src/lib/MarbleRunnerManager.h:
    * src/lib/PlaceMarkLayout.cpp:
    * src/lib/FileViewModel.h:
    * src/lib/MapThemeManager.h:
    * src/lib/PlaceMarkContainer.cpp:
    * src/lib/MergedLayerDecorator.h:
    * src/lib/MarbleWidget.h:
    * src/lib/AbstractScanlineTextureMapper.h:
    * src/lib/TileId.h:
    * src/lib/MarbleWidgetPopupMenu.cpp:
    * src/lib/PlaceMarkPainter.cpp:
    * src/lib/FileStoragePolicy.cpp:
    * src/lib/MarbleLayerInterface.h:
    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/MarbleRunnerManager.cpp:
    * src/lib/SunLocator.cpp:
    * src/lib/HttpFetchFile.cpp:
    * src/lib/TileLoader.h:
    * src/lib/PlaceMarkManager.cpp:
    * src/lib/FileViewModel.cpp:
    * src/lib/KmlFileViewItem.cpp:
    * src/lib/MapScaleFloatItem.h:
    * src/lib/MarbleMap.cpp:
    * src/lib/VectorMap.cpp:
    * src/lib/PlaceMarkContainer.h:
    * src/lib/MarblePhysics.h:
    * src/lib/GpxFileViewItem.h:
    * src/lib/CacheStoragePolicy.h:
    * src/lib/MarbleGeoDataModel.h:
    * src/lib/tests/KMLTest.cpp:
    * src/lib/tests/MarbleWidgetTest.cpp:
    * src/lib/tests/PluginManagerTest.cpp:
    * src/lib/MarbleControlBox.h:
    * src/lib/MarbleNavigator.h:
    * src/lib/GeoPolygon.cpp:
    * src/lib/EquirectScanlineTextureMapper.cpp:
    * src/lib/PlaceMarkPainter.h:
    * src/lib/MarbleDirs.h:
    * src/lib/StoragePolicy.h:
    * src/lib/TextureColorizer.cpp:
    * src/lib/GeoPainter.cpp:
    * src/lib/PlaceMarkManager.h:
    * src/lib/MarblePluginSettingsWidget.cpp:
    * src/lib/runners/MarbleAbstractRunner.cpp:
    * src/lib/runners/LatLonRunner.cpp:
    * src/lib/runners/MarbleAbstractRunner.h:
    * src/lib/runners/LatLonRunner.h:
    * src/lib/VisiblePlaceMark.cpp:
    * src/lib/ViewParams.cpp:
    * src/lib/MarbleThemeSelectView.cpp:
    * src/lib/MarbleCacheSettingsWidget.h:
    * src/lib/SphericalScanlineTextureMapper.h:
    * src/lib/TextureTile.h:
    * src/lib/MarbleWidgetInputHandler.cpp:
    * src/lib/TinyWebBrowser.cpp:
    * src/lib/GeoPolygon.h:
    * src/lib/MarbleAbstractLayer.h:
    * src/lib/Quaternion.h:
    * src/lib/PlaceMarkInfoDialog.h:
    * src/lib/PlaceMarkLayout.h:
    * src/lib/LatLonEdit.h:
    * src/lib/MarblePlacemarkModel.h:
    * src/lib/SunControlWidget.cpp:
    * src/lib/ClipPainter.cpp:
    * src/lib/MarblePluginSettingsWidget.h:
    * src/lib/MarbleCacheSettingsWidget.cpp:
    * src/lib/ExtDateTime.cpp:
    * src/lib/TileCreator.cpp:
    * src/lib/BoundingBox.cpp:
    * src/lib/AbstractLayer/AbstractLayerData.h:
    * src/lib/AbstractLayer/AbstractLayer.cpp:
    * src/lib/AbstractLayer/AbstractLayerInterface.cpp:
    * src/lib/AbstractLayer/AbstractLayerContainer.cpp:
    * src/lib/AbstractLayer/AbstractLayer.h:
    * src/lib/AbstractLayer/AbstractLayerInterface.h:
    * src/lib/AbstractLayer/AbstractLayerContainer.h:
    * src/lib/AbstractLayer/AbstractLayerData.cpp:
    * src/lib/MarbleAbstractLayer.cpp:
    * src/lib/ViewParams.h:
    * src/lib/MercatorScanlineTextureMapper.h:
    * src/lib/MarbleMap_p.h:
    * src/lib/MarbleDataFacade.h:
    * src/lib/MarbleModel.h:
    * src/lib/PluginManager.cpp:
    * src/lib/MarbleLegendBrowser.h:
    * src/lib/PlaceMarkInfoDialog.cpp:
    * src/lib/TileCreatorDialog.cpp:
    * src/lib/SunLocator.h:
    * src/lib/HttpFetchFile.h:
    * src/lib/LatLonEdit.cpp:
    * src/lib/MarbleAbstractFloatItem.h:
    * src/lib/MapThemeSortFilterProxyModel.cpp:
    * src/lib/HttpDownloadManager.cpp:
    * src/lib/KmlFileViewItem.h:
    * src/lib/MarblePlacemarkModel.cpp:
    * src/lib/global.h:
    * src/lib/MarbleGeoDataModel.cpp:
    * src/lib/GpxFileViewItem.cpp:
    * src/lib/CacheStoragePolicy.cpp:
    * src/lib/MarbleControlBox.cpp:
    * src/lib/MarbleAboutDialog.cpp:
    * src/lib/SunControlWidget.h:
    * src/lib/MercatorScanlineTextureMapper.cpp:
    * src/lib/ClipPainter.h:
    * src/lib/BoundingBox.h:
    * src/lib/MarbleModel.cpp:
    * src/lib/MarbleDirs.cpp:
    * src/lib/MarbleSearchListView.h:
    * src/lib/MarbleAbstractFloatItem.cpp:
    * src/lib/TextureColorizer.h:
    * src/lib/MarbleRunnerResult.h:
    * src/lib/GeoPainter.h:
    * src/lib/HttpDownloadManager.h:
    * src/lib/DeferredFlag.cpp:
    * src/lib/LayerManager.h:
    * src/lib/MarbleSearchListView.cpp:
    * src/lib/VisiblePlaceMark.h:
    * src/lib/MarblePlacemarkModel_P.h:
    * src/lib/GridMap.h:
    * src/lib/ViewportParams.h:
    * src/lib/FileStoragePolicy.h:
    * src/lib/TinyWebBrowser.h:
    * src/lib/MarbleRunnerResult.cpp:
    * src/lib/CrossHairFloatItem.cpp:
    * src/lib/MeasureTool.h:
    * src/lib/MarblePhysics.cpp:
    * src/lib/MarbleMap.h:
    * src/lib/VectorMap.h:
    * src/lib/DiscCache.cpp:
    * src/lib/LayerManager.cpp:
    * src/lib/ImageLoadThread.cpp:
    * src/lib/MarbleNavigator.cpp:
    * src/lib/DeferredFlag.h:
    * src/lib/MarbleDataFacade.cpp:
    * src/lib/ExtDateTime.h:
    * src/lib/AbstractFileViewItem.h:
    * src/lib/TileCreator.h:
    * src/lib/geodata/data/GeoDataIconStyle.cpp:
    * src/lib/geodata/data/GeoDataCoordinates.cpp:
    * src/lib/geodata/data/GeoDataMultiGeometry.h:
    * src/lib/geodata/data/GeoDataLineStyle.h:
    * src/lib/geodata/data/GeoDataLineString.cpp:
    * src/lib/geodata/data/GeoDataFolder.h:
    * src/lib/geodata/data/GeoDataContainer.cpp:
    * src/lib/geodata/data/GeoDataDocument.h:
    * src/lib/geodata/data/GeoDataPolygon.cpp:
    * src/lib/geodata/data/GeoDataGeometry.cpp:
    * src/lib/geodata/data/GeoDataCoordinates_p.h:
    * src/lib/geodata/data/GeoDataPoint.h:
    * src/lib/geodata/data/GeoDataStyleMap.cpp:
    * src/lib/geodata/data/GeoDataPlacemark.cpp:
    * src/lib/geodata/data/GeoDataLinearRing.h:
    * src/lib/geodata/data/GeoDataColorStyle.cpp:
    * src/lib/geodata/data/GeoDataLabelStyle.cpp:
    * src/lib/geodata/data/GeoDataFeature.h:
    * src/lib/geodata/data/GeoDataStyle.cpp:
    * src/lib/geodata/data/GeoDataLatLonAltBox.cpp:
    * src/lib/geodata/data/GeoDataHotSpot.h:
    * src/lib/geodata/data/GeoDataMultiGeometry.cpp:
    * src/lib/geodata/data/GeoDataStyleSelector.h:
    * src/lib/geodata/data/GeoDataLineStyle.cpp:
    * src/lib/geodata/data/GeoDataPolyStyle.h:
    * src/lib/geodata/data/GeoDataFolder.cpp:
    * src/lib/geodata/data/GeoDataObject.h:
    * src/lib/geodata/data/GeoDataIconStyle.h:
    * src/lib/geodata/data/GeoDataDocument.cpp:
    * src/lib/geodata/data/GeoDataCoordinates.h:
    * src/lib/geodata/data/GeoDataLineString.h:
    * src/lib/geodata/data/GeoDataContainer.h:
    * src/lib/geodata/data/GeoDataPoint.cpp:
    * src/lib/geodata/data/GeoDataLinearRing.cpp:
    * src/lib/geodata/data/GeoDataFeature.cpp:
    * src/lib/geodata/data/GeoDataPolygon.h:
    * src/lib/geodata/data/GeoDataGeometry.h:
    * src/lib/geodata/data/GeoDataHotSpot.cpp:
    * src/lib/geodata/data/GeoDataStyleSelector.cpp:
    * src/lib/geodata/data/GeoDataStyleMap.h:
    * src/lib/geodata/data/GeoDataColorStyle.h:
    * src/lib/geodata/data/GeoDataPlacemark.h:
    * src/lib/geodata/data/GeoDataPolyStyle.cpp:
    * src/lib/geodata/data/GeoDataLabelStyle.h:
    * src/lib/geodata/data/GeoDataStyle.h:
    * src/lib/geodata/data/GeoDataObject.cpp:
    * src/lib/geodata/data/GeoDataLatLonAltBox.h:
    * src/lib/geodata/parser/GeoDocument.h:
    * src/lib/geodata/parser/GeoOnfParser.h:
    * src/lib/geodata/parser/GeoDataParser.cpp:
    * src/lib/geodata/parser/GeoTagHandler.cpp:
    * src/lib/geodata/parser/GeoDataParser.h:
    * src/lib/geodata/parser/GeoParser.cpp:
    * src/lib/geodata/parser/GeoDocument.cpp:
    * src/lib/geodata/parser/GeoTagHandler.h:
    * src/lib/geodata/parser/GeoSceneParser.h:
    * src/lib/geodata/parser/GeoOnfParser.cpp:
    * src/lib/geodata/parser/GeoParser.h:
    * src/lib/GridMap.cpp:
    * src/lib/ViewportParams.cpp:
    * src/lib/EquirectScanlineTextureMapper.h:
    * src/lib/ScreenPolygon.h:
    * src/tilecreator/tccore.cpp:
    * src/tilecreator/main.cpp:
    * src/tilecreator/tccore.h:
    * src/marble_part.h:
    * src/plugins/marble/placemarks/MarblePlacemarksPlugin.cpp:
    * src/plugins/marble/placemarks/MarblePlacemarksPlugin.h:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.cpp:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.h:
    * src/plugins/marble/geodata/MarbleGeoDataPlugin.cpp:
    * src/plugins/marble/geodata/MarbleGeoDataPlugin.h:
    * src/plugins/marble/compass/CompassFloatItem.h:
    * src/plugins/marble/compass/CompassFloatItem.cpp:
    * src/plugins/marble/mapscale/MapScaleFloatItem.h:
    * src/plugins/marble/mapscale/MapScaleFloatItem.cpp:
    * src/plugins/marble/stars/MarbleStarsPlugin.cpp:
    * src/plugins/marble/stars/MarbleStarsPlugin.h:
    * src/MarbleTest.cpp:
    * src/KdeMainWindow.h:
    * src/ControlView.h:
    * src/marble_part.cpp:
    * tests/GeoPolygonTest.cpp:
    * tests/MarbleWidgetSpeedTest.cpp:

    Move from global namespace into namespace Marble.

2008-08-13  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/plugins/marble/placemarks:
    * src/plugins/marble/placemarks/MarblePlacemarksPlugin.cpp:
    * src/plugins/marble/placemarks/MarblePlacemarksPlugin.h:
    * src/plugins/marble/placemarks/CMakeLists.txt:
    * src/plugins/marble/placemarks/jakobsweg.kml:
    * src/plugins/marble/geodata/MarbleGeoDataPlugin.cpp:
    * src/plugins/marble/geodata/CMakeLists.txt:
    * src/plugins/marble/geodata/jakobsweg.kml:
    * src/plugins/marble/CMakeLists.txt:
    
    Add a plugin that displays simple placemarks
    
2008-08-13  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp:
    * src/lib/MapThemeManager.h:
    * src/lib/MergedLayerDecorator.h:
    * src/lib/MarbleWidget.h:
    * src/lib/AbstractScanlineTextureMapper.h:
    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/TileLoader.h:
    * src/lib/MapThemeManager.cpp:
    * src/lib/MergedLayerDecorator.cpp:
    * src/lib/TextureTile.cpp:
    * src/lib/TileLoaderHelper.cpp:
    * src/lib/TextureTile.h:
    * src/lib/ViewParams.h:
    * src/lib/TileLoader.cpp:
    * src/lib/MarbleModel.h:
    * src/lib/LayerManager.h:
    * src/lib/geodata/GeoDataTest.cpp:
    * src/lib/geodata/parser/GeoSceneParser.cpp:
    * src/lib/geodata/parser/GeoSceneParser.h:
    * src/lib/geodata/scene/GeoSceneZoom.h:
    * src/lib/geodata/scene/GeoSceneFilter.h:
    * src/lib/geodata/scene/GeoSceneIcon.h:
    * src/lib/geodata/scene/GeoScenePalette.cpp:
    * src/lib/geodata/scene/GeoSceneLegend.cpp:
    * src/lib/geodata/scene/GeoSceneTexture.cpp:
    * src/lib/geodata/scene/GeoSceneSettings.cpp:
    * src/lib/geodata/scene/GeoSceneGroup.h:
    * src/lib/geodata/scene/GeoSceneVector.cpp:
    * src/lib/geodata/scene/GeoSceneItem.h:
    * src/lib/geodata/scene/GeoSceneSection.cpp:
    * src/lib/geodata/scene/GeoSceneMapTheme.h:
    * src/lib/geodata/scene/GeoSceneHead.h:
    * src/lib/geodata/scene/GeoSceneDocument.cpp:
    * src/lib/geodata/scene/GeoSceneLayer.h:
    * src/lib/geodata/scene/GeoSceneMap.h:
    * src/lib/geodata/scene/GeoSceneZoom.cpp:
    * src/lib/geodata/scene/GeoSceneFilter.cpp:
    * src/lib/geodata/scene/GeoSceneIcon.cpp:
    * src/lib/geodata/scene/GeoSceneProperty.h:
    * src/lib/geodata/scene/GeoSceneGroup.cpp:
    * src/lib/geodata/scene/GeoSceneItem.cpp:
    * src/lib/geodata/scene/GeoSceneMapTheme.cpp:
    * src/lib/geodata/scene/GeoSceneHead.cpp:
    * src/lib/geodata/scene/GeoScenePalette.h:
    * src/lib/geodata/scene/GeoSceneLegend.h:
    * src/lib/geodata/scene/GeoSceneTexture.h:
    * src/lib/geodata/scene/GeoSceneSettings.h:
    * src/lib/geodata/scene/GeoSceneVector.h:
    * src/lib/geodata/scene/GeoSceneSection.h:
    * src/lib/geodata/scene/GeoSceneLayer.cpp:
    * src/lib/geodata/scene/GeoSceneMap.cpp:
    * src/lib/geodata/scene/GeoSceneDocument.h:
    * src/lib/geodata/scene/GeoSceneProperty.cpp:
    * src/lib/TileLoaderHelper.h:

    Move from global namespace into namespace Marble.

2008-08-12  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/plugins/marble/geodata/MarbleGeoDataPlugin.cpp
    * src/plugins/marble/geodata/jakobsweg.kml

Also displaying points now. Fixed crash when the kml has no StyleMap. Added sample file to test it.

2008-08-12  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPairTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler.h:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPairTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlKeyTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.cpp:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlElementDictionary.h:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlElementDictionary.cpp:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlKeyTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.cpp:
    * src/lib/geodata/parser/GeoDataParser.cpp:

    Move from global namespace into namespace Marble.

2008-08-12  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/gpx/GPXElementDictionary.cpp:
    * src/lib/geodata/handlers/gpx/GPXElementDictionary.h:
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler.cpp:
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler.h:
    * src/lib/geodata/parser/GeoDataParser.cpp:

    Move from global namespace into namespace Marble.

2008-08-12  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlAuxillaryDictionary.h:
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlPaletteTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDownloadUrlTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.h:
    * src/lib/geodata/handlers/dgml/DgmlFilterTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPaletteTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.h:
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlProjectionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlFilterTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.cpp:
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.cpp:
    * src/lib/geodata/handlers/dgml/DgmlDownloadUrlTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlAuxillaryDictionary.cpp:
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlProjectionTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.h:
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.h:
    * src/lib/geodata/parser/GeoSceneParser.cpp:
    * src/lib/geodata/scene/GeoSceneMap.cpp:

    Move from global namespace into namespace Marble.

2008-08-12  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataHotSpot.h:
    * src/lib/geodata/data/GeoDataCoordinates.h:

    Clean up.

2008-08-12  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp:

    Remove commented out code.

2008-08-08  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * TODO:

    Update.

2008-08-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/plugins/marble/geodata/MarbleGeoDataPlugin.{h|cpp}
    * src/plugins/marble/geodata/Rabet.kml
    * src/lib/geodata/data/GeoDataLineStyle.cpp
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.cpp

    fix opacity and line width
    Note: Look at the town where I live and try to find the street in which
    I live - even if I painted it in a strange colour.
    Note: The colours still don't match GE but maybe this is just an illusion
    
2008-08-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/plugins/marble/CMakeLists.txt
    * src/plugins/marble/geodata/CMakeLists.txt
    * src/plugins/marble/geodata/MarbleGeoDataPlugin.{h|cpp}
    * src/plugins/marble/geodata/czech.kml
    * src/plugins/marble/geodata/germany.kml
    * src/plugins/marble/geodata/poland.kml

    add MarbleGeoDataPlugin
    this plugin dumps the content of KML file to the screen
    (as far as possible)

2008-08-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/CMakeLists.txt
    * src/lib/GeoPainter.{h|cpp}
    * src/lib/MarbleDataFacade.{h|cpp}
    * src/lib/MarbleGeoDataModel.{h|cpp}

    adjust GeoPainter to make direct painting of QVectors possible
    expose a GeoDataDocument as geoDataRoot through the Facade
    add a new data model for the geodata api

2008-08-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataDocument.{h|cpp}
    * src/lib/geodata/data/GeoDataStyle.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.cpp

    fix styles so that Marble GeoData Plugin can use them

2008-08-06  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleControlBox.h:
    * src/lib/MarblePlacemarkModel.h:
    * src/lib/MarbleControlBox.cpp:

    Implement search on OpenStreetMap data using the OpenStreetMap
    name finder service.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/DistanceTagHandler.cpp:
    * src/lib/geodata/handlers/osm-namefinder/DistanceTagHandler.h:

    Remove "distance" tag handlers because they are not needed for basic
    search functionality.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.h:

    Replace include with forward decls.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:
    * src/lib/HttpDownloadManager.h:

    Refactoring, move redundant code from the two addJob methods
    to a addJob helper method.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:

    Coding style, don't create so many temporary objects.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:

    No need to clear just constructed containers.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:

    Coding style cleanup.

2008-08-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:
    * src/lib/HttpDownloadManager.h:

    Change container type of m_jobQueue from QQueue to QStack which
    has the advantage that tiles of the current visited area are
    loaded first.
    This is noticable if you scroll and zoom a lot or if the internet
    connection is slower than DSL like GPRS/EDGE or even 3G GSM.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleWidgetInputHandler.cpp:

    Coding style fix, change C-style cast into dynamic_cast, thanks
    to Dennis Nienhüser for pointing that out.

2008-08-04  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/geodata/data/GeoDataGeometry.cpp (unpack): Bugfix
	(GeoDataGeometry): Init in right order.
	* src/lib/geodata/data/GeoDataPoint.cpp (GeoDataPoint): Init in right order

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/PlaceMarkManager.cpp:

    Coding style changes.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp:

    OpenstreetMap name finder returns coordinates in degree.

2008-08-04  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataStyleMap.{h|cpp}
    * src/lib/geodata/data/GeoDataFeature.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlStyleMapTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlKeyTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlStyleUrlTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlPairTagHandler.{h|cpp}

    implementing the kml styleMap

    * src/lib/geodata/data/GeoDataCoordinates.h
    * src/lib/geodata/data/GeoDataDocument.h
    * src/lib/geodata/data/GeoDataGeometry.h
    * src/lib/geodata/data/GeoDataPoint.h

    documentation fixes

    * src/lib/geodata/data/Serializable.h
    * src/lib/geodata/data/GeoDataPlacemark.cpp
    * src/lib/geodata/data/GeoDataMultiGeometry.cpp

    fix some geometry flag

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarblePlacemarkModel.cpp:

    MarblePlacemarkModel does not need a PlaceMarkManager in every case,
    so make it work without one.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/CMakeLists.txt:
    * src/lib/CMakeLists.txt:

    Add XML tag handlers for OSM name finder to build system.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/DescriptionTagHandler.cpp:

    Add Q_ASSERT.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp:

    Work around GeoParser bug which prevents the handler of the first
    element to be invoked.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/osm-namefinder/SearchResultsTagHandler.cpp:

    - Remove commented out code.
    - Use GeoDataDocument instead of GeoDataContainer.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoParser.h:
    * src/lib/geodata/parser/GeoParser.cpp:

    Coding style fixes.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoOnfParser.h:
    * src/lib/geodata/parser/GeoOnfParser.cpp:

    Add parser class for OpenStreetMap name finder.

2008-08-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataPlacemark.cpp:

    Remove redundant null pointer check.

2008-08-03  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * marble/src/lib/geodata/handlers/osm-namefinder/AttributeDictionary.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/DescriptionTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/PlaceTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/ElementDictionary.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/SearchResultsTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/DescriptionTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/NearestPlacesTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/PlaceTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/ElementDictionary.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/DistanceTagHandler.cpp:
    * marble/src/lib/geodata/handlers/osm-namefinder/SearchResultsTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/NearestPlacesTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/DistanceTagHandler.h:
    * marble/src/lib/geodata/handlers/osm-namefinder/AttributeDictionary.cpp:

    Initial commit for OpenStreetMap name finder XML tag handlers.

2008-08-03  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlElementDictionary.{h|cpp}
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.cpp
    * src/lib/geodata/parsers/GeoDataParser.cpp

    make newest KML documents (version 2.2) at least partly readable

2008-08-02  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataCoordinates{.h|.cpp}
    * src/lib/geodata/data/GeoDataPoint{.h|.cpp}

    - move normalize* functions from GeoDataCoordinates to 
    GeoDataPoint - they still can be accessed from GeoDataPoint though
    - add some more documentation to those two classes
    why they need to be different and how they should be used

2008-08-01  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/CMakeLists.txt

    install MarbleAbstractFloatItem.h

2008-08-01  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPlacemark.{h|cpp}

    replace GeoDataPoint with GeoDataCoordinates here as well
    This lead to a rather strange error before.

2008-08-01  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/AbstractLayer/AbstractLayer.{h|cpp}
    * src/lib/AbstractLayer/AbstractLayerData.{h|cpp}
    * src/lib/geodata/data/GeoDataLatLonAltBox.{h|cpp}
    * src/lib/gps/Waypoint.{h|cpp}
    * src/lib/Projections/AbstractProjection.{h|cpp}
    * src/lib/Projections/AbstractProjectionHelper.h
    * src/lib/Projections/EquirectProjection.{h|cpp}
    * src/lib/Projections/MercatorProjection.{h|cpp}
    * src/lib/Projections/SphericalProjection.{h|cpp}
    * src/lib/GeoPainter.{h|cpp}
    * src/lib/MarbleControlBox.{h|cpp}
    * src/lib/MarbleMap{.h|_p.h|.cpp}
    * src/lib/MarblePhysics.{h|cpp}
    * src/lib/MarblePlacemarkModel.{h|cpp}
    * src/lib/MarbleWidget.{h|cpp}
    * src/lib/MarbleWidgetInputHandler.cpp
    * src/lib/MarbleWidgetPopupMenu.cpp
    * src/lib/MeasureTool.{h|cpp}
    * src/lib/MercatorScanlineTextureMapper.cpp
    * src/lib/PlaceMarkContainer.h
    * src/lib/PlaceMarkInfoDialog.cpp
    * src/lib/PlaceMarkLayout.cpp
    * src/lib/ViewParams.cpp
    * src/plugins/marble/compass/CompassFloatItem.cpp
    * src/plugins/marble/panoramio/PanoramioPlugin.cpp
    * src/plugins/marble/satellites/SatellitesPlugin.cpp
    * src/plugins/marble/twitter/twitterPlugin.{h|cpp}
    * src/marble_part.cpp
    * src/QtMainWindow.cpp
    
    This commit changes the complete code base from GeoDataPoint
    to GeoDataCoordinates. This is needed because the extensions
    provided by GeoDataPoint are not needed most of the times:
    GeoDataPoint derives from GeoDataGeometry and GeoDataObject -
    these features are very seldomly needed if you just want to check
    if a certain 3d-point is within GeoDataLatLonAltBox.
    Another point in this port is that using GeoDataPoint in a
    QVector is very expensive in terms of speed - use GeoDataCoordinates
    for those purposes.
    I will add further documentation to GeoDataCoordinates.h and
    GeoDataPoint.h .
    
2008-08-01  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/EquirectScanlineTextureMapper.cpp
    * src/lib/SphericalScanlineTextureMapper.cpp

    cleanup dependencies of GeoDataPoint

2008-07-27  Inge Wallin  <inge@lysator.liu.se>

	Clean up projection code in preparation for bigger things.
	* src/lib/Projections/AbstractProjection.{h,cpp},
	* src/lib/Projections/SphericalProjection.{h,cpp},
	* src/lib/Projections/EquirectProjection.{h,cpp},
	* src/lib/Projections/MercatorProjection.{h,cpp}:
	Clean up, make clearer and make it follow coding standards

2008-07-27  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoParser.cpp:

    Coding style, make lines shorter.

2008-07-27  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataContainer.h:

    Remove #if 0'ed code.

2008-07-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpDownloadManager.cpp:

    Fix regression caused by fix for bug 162681:
    Use deleteAfter to delete active jobs also in
    ~HttpDownloadManager.
    Was fixed in 4.1 branch on 2008-07-20.

2008-07-26 shashank singh <shashank_singh@ieee.org>

    * src/plugins/marble
    added twitter plugins and did small modification in panoramio plugin

2008-07-24  Claudiu Covaci  <claudiu.covaci@gmail.com>
	* src/lib/MarbleControlBox.cpp:
	Fix: re-enable zoom buttons if newly selected map supports higher zoom levels.

2008-07-23  Claudiu Covaci  <claudiu.covaci@gmail.com>
	MarbleControlBox patch to fix the item order by subclassing QSortFilterProxyModel.
	* src/lib/MarbleControlBox.{h,cpp}: added MapThemeSortFilterProxyModel instance
	* src/lib/MapThemeSortFilterProxyModel.{h,cpp}: new files

2008-07-20  Inge Wallin  <inge@lysator.liu.se>

	Introduce a read-only facade for internal Marble data.
	* src/lib/CMakeLists.txt: compile new .cpp and install new .h
	* src/lib/MarbleDataFacade.{h,cpp}: new files
	* src/lib/MarbleModel.{h,cpp} (dateTime): New function

	Restore forward compatibility
	* src/lib/MarbleModel.{h,cpp}: Make all members part of the
	private class.

	Reduce warnings: Initialize in the right order.
	* src/lib/geodata/data/GeoDataPlacemark.cpp (GeoDataPlacemarkPrivate),
	* src/lib/geodata/data/GeoDataPolygon.cpp (GeoDataPolygonPrivate),
	* src/lib/geodata/scene/GeoSceneLayer.cpp (GeoSceneLayer): Initialize in the right order.

	Cleanup: Make the d pointer actually be named d.
	* src/lib/geodata/data/GeoDataPolygon.{h,cpp},
	* src/lib/geodata/data/GeoDataGeometry.{h,cpp},
	* src/lib/geodata/data/GeoDataCoordinates.{h,cpp},
	* src/lib/geodata/data/GeoDataHotSpot.{h,cpp}: rename the d pointer.
	
2008-07-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpFetchFile.cpp:

    Clean up last commit:
    - Remove commented out code.
    - Comment out debug output as it was before.

2008-07-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpFetchFile.cpp:
    * src/lib/HttpFetchFile.h:
    * src/lib/HttpDownloadManager.cpp:

    Fix bug 162681 in trunk (slow tile download).
    The problem with the download implementation was that
    there was only one QHttp object in HttpFetchFile, throught
    which all requests were serialized.
    Now we have got one QHttp object per active HttpJob, so
    this bottleneck is gone now.

2008-07-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/marble_part.cpp:

    Fix "exit full screen mode".

2008-07-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlDownloadUrlTagHandler.cpp:
    * src/lib/geodata/scene/GeoSceneTexture.cpp:
    * src/lib/geodata/scene/GeoSceneTexture.h:
    * data/maps/earth/openstreetmap/openstreetmap.dgml:

    Implement round robin algorithm for fetching tiles.
    This was brought up by the OpenStreetMap tile server admins
    and should go into 4.1 as well.


2008-07-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPoint.{cpp,h}:

    optimize a bit - this was done by the compiler before though

2008-07-07  Torsten Rahn <rahn@kde.org>

    * src/KdeMainWindow.cpp:
    * src/lib/MarbleNavigationSettingsWidget.ui:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/MarblePluginSettingsWidget.{cpp,h,ui}:
    * src/lib/MarbleCacheSettingsWidget.{cpp,h,ui}:
    * src/lib/MarbleWidgetInputHandler.cpp:
    * src/lib/MarbleAbstractLayer.{cpp,h}:
    * src/lib/MarbleViewSettingsWidget.ui:
    * src/lib/PlaceMarkInfoDialog.cpp:
    * src/lib/global.h:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/LayerManager.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/lib/LayerManager.cpp:
    * src/lib/geodata/data/GeoDataCoordinates.{cpp,h}:
    * src/lib/geodata/data/GeoDataFeature.{cpp,h}:
    * src/marble.kcfg:
    * src/marble_part.{cpp,h,rc}:

    Fixing Settings Dialog:
    - Displaying Plugins
    - Enabling Animated Travel Checkbox
    - Enabling Change of Degree Notation

2008-07-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/tests/CMakeLists.txt:
    * src/lib/tests/KMLTest.cpp:

    add a new test for KML parsing and caching: The Test is handling
    the biggest kml we currently have and saves it into a cache file (at the 
    location of the executable). The test is expected to pass

2008-07-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataMultiGeometry{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler.cpp

    add GeoDataMultiGeometry representation

2008-07-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler.cpp

    fix issues with incorrect parentItem; this should make test
    in digikam work

2008-07-07  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataContainer.cpp
    * src/lib/geodata/data/GeoDataCoordinates{.h|.cpp}
    * src/lib/geodata/data/GeoDataDocument{.h|.cpp}
    * src/lib/geodata/data/GeoDataFeature{.h|.cpp}
    * src/lib/geodata/data/GeoDataFolder.h
    * src/lib/geodata/data/GeoDataGeometry{.h|.cpp}
    * src/lib/geodata/data/GeoDataHotSpot{.h|.cpp}
    * src/lib/geodata/data/GeoDataIconStyle.cpp
    * src/lib/geodata/data/GeoDataLabelStyle.cpp
    * src/lib/geodata/data/GeoDataLatLonAltBox{.h|.cpp}
    * src/lib/geodata/data/GeoDataLinearRing.h
    * src/lib/geodata/data/GeoDataLineString{.h|.cpp}
    * src/lib/geodata/data/GeoDataLineStyle.cpp
    * src/lib/geodata/data/GeoDataObject.h
    * src/lib/geodata/data/GeoDataPlacemark{.h|.cpp}
    * src/lib/geodata/data/GeoDataPoint{.h|.cpp}
    * src/lib/geodata/data/GeoDataPolygon{.h|.cpp}
    * src/lib/geodata/data/GeoDataPolyStyle.cpp
    * src/lib/geodata/data/Serializable.h

    serialize!


2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PlaceMarkManager.cpp

    fix loading via loadKmlFromData; 
    this should fix usage in Digikam so please rebuild and tell me via mail
    One has to open QBuffers!!!

2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlInnerBoundaryIsTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlLinearRingTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlLineStringTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlOuterBoundaryIsTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlPolygonTagHandler{.h|.cpp}

    (2/2) parse remaining geometry objects and change existing Point and 
    Coordinates

2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataLineString{.h|.cpp}
    * src/lib/geodata/data/GeoDataMultiGeometry{.h|.cpp}
    * src/lib/geodata/data/GeoDataPlacemark{.h|.cpp}
    * src/lib/geodata/data/GeoDataPolygon{.h|.cpp}

    (1/2) add remaining geometry objects and save them in Placemark

2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlAltitudeModeTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlExtrudeTagHandler{.h|.cpp}
    * src/lib/geodata/handlers/kml/KmlTessellateTagHandler{.h|.cpp}

    add tags for missing properties

2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.cpp
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.cpp

    fix more possible memory leaks and unify debug output

2008-07-06  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataCoordinates{.h|.cpp}
    * src/lib/geodata/data/GeoDataDocument.cpp
    * src/lib/geodata/data/GeoDataGeometry{.h|.cpp}
    * src/lib/geodata/data/GeoDataPoint{.h|.cpp}

    fix setter in GeoDataCoordinates
    fix missing tessellate, altitudeMode and extrude properties in GeoDataGeometry
    fix missing setter in GeoDataPoint

2008-07-03  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt
    * MarbleMacros.cmake
    * src/lib/tests/CMakeLists.txt
    * tests/CMakeLists.txt
    * tests/GeoPolygonTest.cpp
    * tests/MarbleWidgetSpeedTest.cpp

    unify testing stuff

2008-07-03  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/GeoDataPoint{.h|_p.h|.cpp}
    * src/lib/geodata/GeoDataCoordinates{.h|_p.h|.cpp}
    * src/lib/Quaternion.h

    use GeoDataCoordinates as a replacement for GeoDataPoint
    GeoDataCoordinates should be the abstract equivalent of
    a point on earth - GeoDataPoint is the equivalent of a Point
    tag in KML (which can have some additional information).

2008-07-01  Torsten Rahn <rahn@kde.org>

    * src/KdeMainWindow.cpp:
    * src/marble_part.{cpp,h,rc}:
    - Adding float item menus to the menu as well.

    * src/QtMainWindow.cpp:
    - removed qDebug line.

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/CMakeLists.txt:
    * src/lib/geodata/CMakeLists.txt:

    install all geodata headers to not break digikam each time
    a new class is added

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPoint.{h|cpp}:
    * src/lib/geodata/data/GeoDataLineString.{h|cpp}:
    
    revert changes made earlier because of breakage

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/TinyWebBrowser.{h|cpp}:

    fix overload warning

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPoint.h:

    fix comments

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataCoordinates.{h|cpp}:
    * src/lib/geodata/data/GeoDataPoint.{h|cpp}:
    * src/lib/geodata/data/GeoDataLineString.{h|cpp}:

    add a new class GeoDataCoordinates - this one should take over the datatype 
    function of GeoDataPoint. Adjust GeoDataPoint and GeoDataLine to the new
    structure

2008-06-30  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/tests/CMakeLists.txt:
    * src/lib/tests/MarbleWidgetTest.cpp:
    * src/lib/tests/PluginManagerTest.cpp:

    fix PluginManagerTest on Windows - MARBLE_PLUGIN_PATH and MARBLE_DATA_PATH 
    have to be set at "runtime" because the tests are still in the builddir when
    they are run --> this will make QCoreApplication::applicationDirPath 
    unusable

2008-06-29  Torsten Rahn <rahn@kde.org>

    * src/QtMainWindow.{cpp,h}:
    * src/lib/PluginManager.h:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/ViewParams.{cpp,h}:
    * src/lib/MarbleAbstractLayer.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/PluginManager.cpp:
    * src/lib/MarbleLegendBrowser.h:
    * src/lib/MarbleAbstractFloatItem.{cpp,h}:
    * src/lib/MarbleControlBox.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/lib/LayerManager.{cpp,h}:
    * src/tilecreator/CMakeLists.txt:
    * src/plugins/marble/test/MarbleTestPlugin.h:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.h:
    * src/plugins/marble/compass/CompassFloatItem.h:
    * src/plugins/marble/mapscale/MapScaleFloatItem.{cpp,h}:
    * src/plugins/marble/satellites/SatellitesPlugin.h:
    * src/plugins/marble/stars/MarbleStarsPlugin.h:
    * src/plugins/marble/CMakeLists.txt:

    - Fixing the Plugin framework, so it has got a real base class 
      ( MarbleAbstractLayer ).
    - Fixing the checkboxes for the floatitem plugins in the legend.
    - Adding the info boxes menu entries in the Qt frontend.
    - Simplifying the plugin API a bit.
    - D-Pointerification on the LayerManager class.
    - Fixing the bug introduced with rev. 823208 which would result in 
      the zoomslider not to get proper tickmarks. 

2008-06-29  Inge Wallin  <inge@lysator.liu.se>

	Cleaning: Unify qridmap for equirectangular and mercator projections
	* src/lib/GridMap.{h,cpp} (mercatorCreateCircle): renamed into
	flatCreateCircle
	(createCircle): Call flatCreateCircle

	Make gridmap work for Mercator projection
	* src/lib/GridMap.cpp (mercatorCreateCircle): New function
	(createCircle): call mercatorCreateCircle

2008-06-28  Inge Wallin  <inge@lysator.liu.se>

	Fix warnings
	* src/plugins/marble/stars/MarbleStarsPlugin.cpp (render): use QRectF for floating point sizes of the stars.
	* src/lib/Projections/MercatorProjection.cpp (geoCoordinates): remove unused vars
	* src/lib/MarbleAbstractFloatItem.cpp (misc): mark unused parameters
	* src/lib/geodata/scene/GeoScenePalette.cpp: Add newline
	* src/lib/geodata/scene/GeoSceneLayer.h (constructor): initialize in right order

2008-06-27  Inge Wallin  <inge@lysator.liu.se>

	Link!
	* src/lib/tests/CMakeLists.txt: Add necessary qt libs and fix a bug.

	Compile!  (still doesn't link)
	* src/lib/global.h: include QString.h

2008-06-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/tests/CMakeLists.txt
    * src/lib/tests/MarbleWidgetTest.cpp

    add a new Test for the MarbleWidget - simply try to run a basic MarbleWidget

2008-06-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/MarbleWidget.cpp

    add a default MapThemeId

2008-06-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PlaceMarkManager.cpp

    fix leakage of GeoNodes - the parser forced me to do it

2008-06-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/CMakeLists.txt

    fix build error on windows - MapThemeManager.cpp is in marbleWidget

2008-06-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/ExtDateTime.cpp:
    * src/lib/ExtDateTime.h:
    * src/lib/MergedLayerDecorator.cpp:
    * src/lib/MergedLayerDecorator.h:
    * src/lib/SunControlWidget.cpp:
    * src/lib/SunControlWidget.h:
    * src/lib/SunLocator.cpp:
    * src/lib/SunLocator.h:

    Fix krazy issues (missing email address).

2008-06-25  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleControlBox.h:
    * src/lib/MarbleControlBox.cpp:

    Fix includes.

2008-06-24  Torsten Rahn <rahn@kde.org>

    * src/plugins/marble/compass/CompassFloatItem.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:
    * src/lib/MarbleAbstractFloatItem.h:
    * src/lib/MarbleModel.cpp:
    * src/lib/MarbleAbstractFloatItem.cpp:
    * src/lib/PlaceMarkInfoDialog.ui:
    * src/lib/CMakeLists.txt:
    * src/lib/ImageLoadThread.{cpp,h}:

    - Fixing the position of the Compass.
    - Adding the ImageLoadThread class already (does nothing ATM).
    - Fixing the tab activated by default.

2008-06-23  Shashank Singh <shashank.personal@gmail.com>
    * src/lib/jsonparser.h --corrected a mistake photo_file_url
    * src/lib/jsonparser.cpp --corrected a mistake regarding photo_file_url
    * src/lib/HttpFetchFile.cpp -- url after query character was being chopped off ,corrected it
    * src/lib/TinyWebBrowser.h  -- tinkered with it to enable support for panoramio
    * src/lib/TinyWebBrowser.cpp
    * src/lib/HttpDownloadManager -- very small formatting changes 

2008-06-22  Simon Schmeisser <mail_to_wrt@gmx.de>

    * src/lib/MarbleControlBox.cpp

    - another assumption about having a MarbleWidget hacked out

    * src/lib/MapThemeManager.h
    * src/lib/MarbleControlBox.h
    * src/lib/MarbleControlBox.cpp
    * src/lib/CMakeLists.txt

    - Made MapThemeManager externally accessible

2008-06-21  Inge Wallin  <inge@lysator.liu.se>

	Fix a number of warnings in the following files
	* src/lib/AbstractScanlineTextureMapper.cpp
	* src/lib/Projections/EquirectProjection.cpp
	* src/lib/PlaceMarkLayout.cpp
	* src/lib/AbstractScanlineTextureMapper.h
	* src/lib/EquirectScanlineTextureMapper.cpp
	* src/lib/GeoPainter.cpp
	* src/lib/TileCreator.cpp
	* src/lib/geodata/handlers/kml/KmlColorModeTagHandler.cpp
	* src/lib/geodata/scene/GeoSceneItem.cpp
	* src/lib/geodata/scene/GeoSceneSection.cpp
	* src/plugins/marble/stars/MarbleStarsPlugin.cpp

	Commit some left-over changes
	* src/lib/TextureColorizer.cpp (colorize): Follow coding standards
	* src/lib/MarbleMap.cpp (setDownloadUrl): Follow coding standards

2008-06-18  Torsten Rahn <ps_ml@gmx.de>

    * src/lib/MergedLayerDecorator.{h|cpp}:
    * src/lib/MarbleModel.cpp:

    - Only show clouds if the clouds property is defined in the dgml file.

2008-06-18  Patrick Spendrin    <ps_ml@gmx.de>

    * tools/add_kml/add_kml_tag.py

    fix renaming from KML to Kml

2008-06-18  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/XmlHandler.{h|cpp}
    * src/lib/MarbleModel.cpp
    * src/lib/CMakeLists.txt
    remove XmlHandler as now the KML geoparser takes over that part

2008-06-18  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt

    set the cmake minimum version to 2.4.8
    this might be replaced later by a workaround

2008-06-17  Simon Schmeisser  <mail_to_wrt@gmx.de>
    * FindMarble.cmake:

    added a CMake module that helps external applications
    find an installed Marble

    * CMakeLists.txt:

    install CMake module

2008-06-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleWidget.h:

    Small apidocs fixes/cleanups.

2008-06-15  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PlaceMarkManager.cpp

    remove memory leak as suggested by Jens-Michael Hoffmann

2008-06-15  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt

    fix MinGW plugins
    fix QTSCRIPT include/linker error

2008-06-15  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PlaceMarkManager.cpp

    use the new KML implementation; later we can remove the
    XMLHandler stuff

2008-06-15 Shashank Singh <shashank.personal@gmail.com>
    * src/lib/jsonparser.h
    * src/lib/jsonparser.cpp

2008-06-14 Shashank Singh <shashank.personal@gmail.com>
    * src/lib/jsonparser.h
    * src/lib/jsonparser.cpp
    * src/lib/TinyWebBrowser.h
    * src/lib/TinyWebBrowser.h

2008-06-13  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/tests/CMakeLists.txt

    fix linkage of QTONLY version
  
   
2008-06-13  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PluginManager.cpp

    make the output of the pluginmanager usable

2008-06-13  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt
    * MarbleMacros.cmake
    * src/plugins/designer/marblewidget/CMakeLists.txt
    * src/plugins/designer/navigator/CMakeLists.txt
    * src/plugins/marble/compass/CMakeLists.txt
    * src/plugins/marble/overviewmap/CMakeLists.txt
    * src/plugins/marble/satellites/CMakeLists.txt
    * src/plugins/marble/stars/CMakeLists.txt
    * src/plugins/marble/test/CMakeLists.txt

    add new cmake macros to make the building of marble plugins easier

2008-06-10  Shashank Singh <shashank.personal@gmail.com>
    * CMakeLists.txt
    * src/lib/CmakeLists.txt
    * added src/lib/jsonparser.h
    * added src/lib/jsonparser.cpp
    * changed PLaceMarkinfoDialog.cpp
    * changed TinyWebBrowser.cpp
    * changed TinyWebBrowser.h
    * added a tab named Panoramio in Ui PLaceMarkinfoDialog

2008-06-10  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/CMakeLists.txt:

    Missing export was fixed by mlaurent, so revert the last change.

2008-06-10  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/CMakeLists.txt:

    Disable making of src/lib/tests because of link failure on linux.

2008-06-09  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt
    * src/lib/CMakeLists.txt
    * src/lib/tests/CMakeLists.txt
    * src/lib/tests/PluginManagerTest.cpp

    add first Unittest for the PluginManager (which currently fails under 
    Windows)

2008-06-09  Patrick Spendrin    <ps_ml@gmx.de>

    * src/plugins/designer/marblewidget/CMakeLists.txt
    * src/plugins/designer/navigator/CMakeLists.txt
    * src/plugins/marble/compass/CMakeLists.txt
    * src/plugins/marble/overviewmap/CMakeLists.txt
    * src/plugins/marble/satellites/CMakeLists.txt
    * src/plugins/marble/stars/CMakeLists.txt
    * src/plugins/marble/test/CMakeLists.txt
    
    fix some issues in build system

2008-06-09  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.cpp

    Fix compilation on Linux.

2008-06-09  Patrick Spendrin    <ps_ml@gmx.de>

    * KmlAreaTagHandler.{h|cpp}
    * KmlColorModeTagHandler.{h|cpp}
    * KmlColorTagHandler.{h|cpp}
    * KmlCoordinatesTagHandler.{h|cpp}
    * KmlCountryNameCodeTagHandler.{h|cpp}
    * KmlCountrycodeTagHandler.{h|cpp}
    * KmlDescriptionTagHandler.{h|cpp}
    * KmlDocumentTagHandler.{h|cpp}
    * KmlFillTagHandler.{h|cpp}
    * KmlFolderTagHandler.{h|cpp}
    * KmlHeadingTagHandler.{h|cpp}
    * KmlHotSpotTagHandler.{h|cpp}
    * KmlHrefTagHandler.{h|cpp}
    * KmlIconStyleTagHandler.{h|cpp}
    * KmlIconTagHandler.{h|cpp}
    * KmlLabelStyleTagHandler.{h|cpp}
    * KmlLineStyleTagHandler.{h|cpp}
    * KmlMarblePlacemarkTagHandler.{h|cpp}
    * KmlNameTagHandler.{h|cpp}
    * KmlOpenTagHandler.{h|cpp}
    * KmlOutlineTagHandler.{h|cpp}
    * KmlPlacemarkTagHandler.{h|cpp}
    * KmlPointTagHandler.{h|cpp}
    * KmlPolyStyleTagHandler.{h|cpp}
    * KmlPopTagHandler.{h|cpp}
    * KmlRoleTagHandler.{h|cpp}
    * KmlSchemaTagHandler.{h|cpp}
    * KmlSimpleFieldTagHandler.{h|cpp}
    * KmlStyleTagHandler.{h|cpp}
    * KmlVisibilityTagHandler.{h|cpp}
    * KmlWidthTagHandler.{h|cpp}
    * Kml_scaleTagHandler.{h|cpp}
    * KmlElementDictionary.h
    
    renaming classes as well

2008-06-09  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/KmlFileViewItem.cpp:
    * src/lib/KMLFileViewItem.h:
    * src/lib/KmlFileViewItem.h:
    * src/lib/MarbleModel.cpp:
    * src/lib/CMakeLists.txt:
    * src/lib/KMLFileViewItem.cpp:

    Rename class KMLFileViewItem -> KmlFileViewItem.

2008-06-09  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/kml/KMLStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLRoleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLLabelStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLLineStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLElementDictionary.h:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLOpenTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlIconStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLLineStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLOutlineTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLWidthTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLElementDictionary.cpp:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLVisibilityTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLIconTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.h:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLCountrycodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLHeadingTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLSchemaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlRoleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLOpenTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLSimpleFieldTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLabelStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLNameTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLMarblePlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLColorTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLHrefTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KML_scaleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLDescriptionTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlElementDictionary.h:
    * src/lib/geodata/handlers/kml/KMLFillTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLSimpleFieldTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLIconTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLHotSpotTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLPolyStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLCountryNameCodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLPlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLSchemaTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlLineStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlWidthTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLNameTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlElementDictionary.cpp:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLHrefTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountrycodeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLPointTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOpenTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLHotSpotTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLPolyStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlMarblePlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLColorModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLOutlineTagHandler.h:
    * src/lib/geodata/handlers/kml/Kml_scaleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDescriptionTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLPointTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLVisibilityTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSimpleFieldTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlIconTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlPlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLHeadingTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlCountryNameCodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlSchemaTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLColorTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlNameTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLFillTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHrefTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlHotSpotTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPolyStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLIconStyleTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLWidthTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlColorModeTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlOutlineTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPointTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlVisibilityTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLLabelStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLCountrycodeTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlHeadingTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLRoleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlAreaTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLIconStyleTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFolderTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlColorTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLDescriptionTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KmlFillTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLMarblePlacemarkTagHandler.h:
    * src/lib/geodata/handlers/kml/KMLColorModeTagHandler.h:
    * src/lib/geodata/handlers/kml/KML_scaleTagHandler.h:
    * src/lib/geodata/handlers/kml/KmlPopTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLPlacemarkTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLCountryNameCodeTagHandler.cpp:
    * src/lib/geodata/parser/GeoDataParser.cpp:

    Rename files: KML* -> Kml*.

2008-06-09  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPointTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.cpp
    
    minor fixes; make KMLPoint be applicable below non KML_Placemarks
    as well

2008-06-09  Inge Wallin  <inge@lysator.liu.se>

	* docs/Programmers-manual.txt: Added chapter about MarbleMap and
	GeoPainter

2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler.cpp

    fix coordinates to use the correct unit

2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataFeature.h
    * src/lib/geodata/data/GeoDataPlacemark.h
    
    add function to check more easy if Feature is a placemark
    This has to be cleaned in future because a check with a
    cast is more convenient
    
2008-06-08  Inge Wallin  <inge@lysator.liu.se>

	* docs/Programmers-manual.txt: New file.  Chapter about
	MarbleWidget done, the rest remaining

2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataContainer.{h|cpp}

    add placemarks() function to return only the placemarks

2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/PlaceMarkContainer.{h|cpp}

    make PlaceMarkContainer copiable and
    add new ctor for QVector<GeoDataPlacemark*>

2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * data/placemarks/baseplacemarks.kml
    * data/placemarks/elevplacemarks.kml
    * data/placemarks/boundaryplacemarks.kml
    * data/placemarks/otherplacemarks.kml

    make the description be of type CDATA
    thus you can use html tags in there and the parser
    will read this part together
    
2008-06-08  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLColorModeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLColorTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLCountryNameCodeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLCountrycodeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLDescriptionTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLFillTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHeadingTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHotSpotTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHrefTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLIconStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLIconTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLLabelStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLLineStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLMarblePlacemarkTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLNameTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLOpenTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLOutlineTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPlacemarkTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPointTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPolyStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLRoleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLSchemaTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLSimpleFieldTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLVisibilityTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLWidthTagHandler.cpp
    * src/lib/geodata/handlers/kml/KML_scaleTagHandler.cpp
    
    wrap qDebug() in #ifdef DEBUG_TAGS

2008-06-06  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/kml/KMLRoleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLCountrycodeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLDescriptionTagHandler.cpp

    Fix compile errors.

2008-06-05  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/GeoDataTest.cpp
    
    make layout more distinguishable

2008-06-05  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/CMakeLists.txt
    
    define the compile flag KML_LAZY_IMP - this is used to get
    non-KML spec-tags the lazy way
    
    * src/lib/geodata/handlers/kml/KMLAreaTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLCountrycodeTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLCountryNameCodeTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLDescriptionTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLMarblePlacemarkTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLPopTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLRoleTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLSchemaTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLSimpleFieldTagHandler.{h|cpp}
    * src/lib/geodata/handlers/kml/KMLElementDictionary.{h|cpp}    
    
    add some more tags: area, countrycode, CountryNameCode, MarblePlacemark, 
    pop, role are custom tags used by Marble
    
2008-06-05  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/GeoDataTest.cpp
    
    add a msgHandler for debug messages (only Q_OS_WIN) + use a 
    QCoreApplication instead of QApplication. This ensures that
    debug messages can be read in the console on Windows.
    
2008-06-05  Patrick Spendrin    <ps_ml@gmx.de>

    * tools/asc2kml/asc2kml.cpp
    
    fix state tag - not needed in the schema definition
    
2008-06-05  Patrick Spendrin    <ps_ml@gmx.de>

    * data/placemarks/baseplacemarks.kml
    * data/placemarks/cityplacemarks.kml
    * data/placemarks/elevplacemarks.kml
    * data/placemarks/boundaryplacemarks.kml
    * data/placemarks/otherplacemarks.kml
    
    remove the state tag in the schema definition - state is part
    of the official KML spec
    
2008-06-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleWidget.cpp:
    * src/lib/gps/GmlSax.h:
    * src/lib/gps/GpxFile.h:
    * src/lib/gps/RouteContainer.h:
    * src/lib/gps/GpsTracking.cpp:
    * src/lib/gps/TrackContainer.h:
    * src/lib/gps/GpxSax.h:
    * src/lib/gps/GpxFileModel.cpp:
    * src/lib/gps/GpsTracking.h:
    * src/lib/gps/GpxFileModel.h:
    * src/lib/gps/GpsLayer.cpp:
    * src/lib/gps/GpsLayer.h:
    * src/lib/MarbleMap.cpp:
    * src/lib/AbstractLayer/AbstractLayerData.h:
    * src/lib/AbstractLayer/AbstractLayerData.cpp:
    * src/lib/MarbleModel.cpp:

    Fix includes.

2008-06-05  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/PlaceMarkLayout.cpp:

    Replace C style casts with qobject_cast.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/openstreetmap/openstreetmap.dgml:

    Add properties Places/places and Places/otherplaces in order to
    display KML placemarks in the OpenStreetMap view.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/PlaceMarkPainter.h:
    * src/lib/PlaceMarkPainter.cpp:

    Fix includes.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/RouteContainer.cpp:
    * src/lib/gps/Route.h:
    * src/lib/gps/TrackContainer.cpp:
    * src/lib/gps/Track.h:
    * src/lib/gps/WaypointContainer.cpp:
    * src/lib/gps/TrackPoint.cpp:
    * src/lib/gps/WaypointContainer.h:
    * src/lib/gps/TrackSegment.h:
    * src/lib/AbstractLayer/AbstractLayer.cpp:
    * src/lib/AbstractLayer/AbstractLayerContainer.cpp:
    * src/lib/AbstractLayer/AbstractLayer.h:
    * src/lib/AbstractLayer/AbstractLayerContainer.h:

    Mainly include fixes but some other cleanups also.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarblePhysics.cpp:
    * src/lib/MarblePhysics.h:

    Fix includes.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/Waypoint.cpp:
    * src/lib/gps/Waypoint.h:

    - Fix potential memory leaks and null pointer dereferences by converting
      pointer members to their base types.
    - Constify getters.

2008-06-04  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/GpsElement.cpp:
    * src/lib/gps/GpsElement.h:

    - Declare destructor virtual because there are derived classes.
    - Fix potential memory leaks and null pointer dereferences by converting
      pointer members to their base types.
    - Constify getters.

2008-06-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/VectorComposer.h:
    * src/lib/FileViewModel.h:
    * src/lib/PlaceMarkPainter.cpp:
    * src/lib/FileViewModel.cpp:
    * src/lib/XmlHandler.h:
    * src/lib/GpxFileViewItem.h:
    * src/lib/TextureColorizer.cpp:
    * src/lib/VisiblePlaceMark.cpp:
    * src/lib/ExtDateTime.cpp:
    * src/lib/MarbleModel.h:
    * src/lib/SunLocator.h:
    * src/lib/ClipPainter.h:
    * src/lib/TextureColorizer.h:
    * src/lib/VisiblePlaceMark.h:
    * src/lib/ExtDateTime.h:
    * src/lib/geodata/data/GeoDataPlacemark.cpp:
    * src/lib/geodata/data/GeoDataFeature.h:
    * src/lib/geodata/data/GeoDataFeature.cpp:

    Several small cleanups/fixes:
    - Fix includes.
    - More Q_DISABLE_COPY.
    - Add FIXMEs.
    - Add api docs.
    - Use qobject_cast instead of C style cast.
    - Remove empty inline destructor.
    - Not neccessary to declare default constructor as explicit.
    - Initialisation order for constructor init list.
    - Initialise base class objects in constructors.

2008-06-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/PluginManager.h:
    * src/lib/MarbleAboutDialog.h:
    * src/lib/MarbleWidgetPopupMenu.h:
    * src/lib/MarbleThemeSelectView.h:
    * src/lib/MarbleWidgetInputHandler.h:
    * src/lib/MapThemeManager.h:
    * src/lib/MergedLayerDecorator.h:
    * src/lib/AbstractScanlineTextureMapper.h:
    * src/lib/MarbleWidget.h:
    * src/lib/TileLoader.h:
    * src/lib/PlaceMarkContainer.h:
    * src/lib/MarblePhysics.h:
    * src/lib/MarbleControlBox.h:
    * src/lib/MarbleNavigator.h:
    * src/lib/MarbleDirs.h:
    * src/lib/PlaceMarkManager.h:
    * src/lib/TextureTile.h:
    * src/lib/GeoPolygon.h:
    * src/lib/PlaceMarkInfoDialog.h:
    * src/lib/PlaceMarkLayout.h:
    * src/lib/MarblePlacemarkModel.h:
    * src/lib/MarbleLegendBrowser.h:
    * src/lib/HttpFetchFile.h:
    * src/lib/MarbleAbstractFloatItem.h:
    * src/lib/SunControlWidget.h:
    * src/lib/MarbleSearchListView.h:
    * src/lib/GeoPainter.h:
    * src/lib/HttpDownloadManager.h:
    * src/lib/LayerManager.h:
    * src/lib/TinyWebBrowser.h:
    * src/lib/MeasureTool.h:
    * src/lib/MarbleMap.h:
    * src/lib/TileCreator.h:

    Use Q_DISABLE_COPY for classes that have got a pointer member
    or a container of pointers or do inherit from a container of
    pointers and do not have got a copy constructor and assignment
    operator.

2008-06-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleModel.cpp:

    Fix bug 162678.
    Connect PlacemarkSelectionModel and MarblePlacemarkModel to valid
    PlaceMarkLayout object, not to null pointer.

2008-06-01  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/lib/geoshape/GeoShape.cpp:
    - looks like I have to tell it explicitly to load the generic shape properties.
    - so now geoshapes are loaded again correctly

2008-06-01  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/plugins/marble/compass/CompassFloatItem.h:
    * src/plugins/marble/compass/CompassFloatItem.cpp:

    - Fix valgrind error: Conditional jump or move depends on uninitialised
      value(s) in CompassFloatItem::needsUpdate.
    - Use Q_DISABLE_COPY.
    - Add api doc for m_polarity.

2008-06-01  Inge Wallin  <inge@lysator.liu.se>

	Fix paintBase and setActiveArea for the Mercator projection.
	* src/lib/Projections/MercatorProjectionHelper.cpp (paintBase):
	Make it look like Equirect...:paintBase
	(setActiveRegion): same here
	* src/lib/Projections/EquirectProjectionHelper.cpp (paintBase): 
	Fix comments 
	
	Fix issue with paintBase
	* src/lib/Projections/EquirectProjectionHelper.cpp (paintBase):
	Bound the top and bottom values of the rectangle.

2008-06-01  Torsten Rahn  <rahn@kde.org> 

    * src/lib/TextureTile.cpp:
    * src/lib/TileLoader.cpp:

    - Taking cache contents into account when creating fallback
      tiles: preparation for threaded loading

2008-06-01  Inge Wallin  <inge@lysator.liu.se>

	Fix some issues with the active area in the image.
	* src/lib/Projections/EquirectProjectionHelper.cpp (setActiveRegion):
	Bound the active area to the viewport.

	* src/lib/Projections/SphericalProjectionHelper.cpp (setActiveRegion):
	Comment the code better and use mapCoversViewport()

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/kml
    * src/lib/kml/KMLDocumentParser.cpp
    * src/lib/kml/KMLContainerParser.cpp
    * src/lib/kml/KMLFeature.h
    * src/lib/kml/KMLStyle.cpp
    * src/lib/kml/KMLPlaceMark.h
    * src/lib/kml/KMLColorStyle.h
    * src/lib/kml/KMLLabelStyle.h
    * src/lib/kml/KMLObject.cpp
    * src/lib/kml/KMLStyleSelector.h
    * src/lib/kml/KMLPointParser.h
    * src/lib/kml/KMLFeatureParser.h
    * src/lib/kml/KMLStyleParser.cpp
    * src/lib/kml/KMLIconStyle.h
    * src/lib/kml/KMLFolder.h
    * src/lib/kml/KMLPlaceMarkParser.h
    * src/lib/kml/KMLColorStyleParser.h
    * src/lib/kml/KMLLabelStyleParser.h
    * src/lib/kml/KMLDocument.h
    * src/lib/kml/KMLObjectParser.cpp
    * src/lib/kml/KMLContainer.h
    * src/lib/kml/KMLFeature.cpp
    * src/lib/kml/KMLIconStyleParser.h
    * src/lib/kml/KMLColorStyle.cpp
    * src/lib/kml/KMLPlaceMark.cpp
    * src/lib/kml/KMLDocumentParser.h
    * src/lib/kml/KMLLabelStyle.cpp
    * src/lib/kml/KMLStyleSelector.cpp
    * src/lib/kml/KMLContainerParser.h
    * src/lib/kml/KMLStyle.h
    * src/lib/kml/KMLPointParser.cpp
    * src/lib/kml/Serializable.h
    * src/lib/kml/KMLFeatureParser.cpp
    * src/lib/kml/KMLIconStyle.cpp
    * src/lib/kml/KMLObject.h
    * src/lib/kml/KMLFolder.cpp
    * src/lib/kml/KMLColorStyleParser.cpp
    * src/lib/kml/KMLPlaceMarkParser.cpp
    * src/lib/kml/KMLLabelStyleParser.cpp
    * src/lib/kml/KMLDocument.cpp
    * src/lib/kml/KMLContainer.cpp
    * src/lib/kml/KMLStyleParser.h
    * src/lib/kml/KMLIconStyleParser.cpp
    * src/lib/kml/KMLObjectParser.h

    Remove unused code.

2008-05-31  Torsten Rahn  <rahn@kde.org> 

    * src/lib/TextureTile.cpp:

    - TextureTile cleanup and preparation for threaded loading

2008-05-31  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/lib/CMakeList.txt:
    - enabled geoshape again
    
    * src/lib/geoshape/CMakeList.txt:
    - added missing include directory
    
    * src/lib/geoshape/GeoShape.cpp:
    - changed #include lines to use short form without paths
    
2008-05-31  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/MercatorScanlineTextureMapper.{h,cpp}: New files
	* src/lib/MarbleModel.cpp: Include MercatorScanlineTextureMapper.h
	(setupTextureMapper): Create a  MercatorScanlineTextureMapper
	* src/lib/CMakeLists.txt: Include MercatorScanlineTextureMapper.cpp

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataLatLonAltBox.cpp:
    * src/lib/geodata/data/GeoDataLatLonAltBox.h:

    - Implement copy constructor because GeoDataLatLonBox and
      GeoDataLatLonAltBox have got assignment operators.
    - Initialise base class objects in constructors.

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataLineString.cpp:
    * src/lib/geodata/data/GeoDataLineString.h:

    - Implement copy constructor and assignment operator for class
      GeoDataLineString because they are used in this d-pointerfied class.
    - Initialise base class objects in constructor.

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataFeature.h:
    * src/lib/geodata/data/GeoDataLineString.h:
    * src/lib/geodata/data/GeoDataLatLonAltBox.h:
    * src/lib/geodata/scene/GeoSceneZoom.h:
    * src/lib/geodata/scene/GeoSceneProperty.h:
    * src/lib/geodata/scene/GeoSceneIcon.h:
    * src/lib/geodata/scene/GeoSceneGroup.h:
    * src/lib/geodata/scene/GeoSceneItem.h:
    * src/lib/geodata/scene/GeoSceneLegend.h:
    * src/lib/geodata/scene/GeoSceneMapTheme.h:
    * src/lib/geodata/scene/GeoSceneSettings.h:
    * src/lib/geodata/scene/GeoSceneHead.h:
    * src/lib/geodata/scene/GeoSceneSection.h:
    * src/lib/geodata/scene/GeoSceneLayer.h:
    * src/lib/geodata/scene/GeoSceneMap.h:
    * src/lib/geodata/scene/GeoSceneDocument.h:

    - Use Q_DISABLE_COPY for classes that have got a pointer member
      or a container of pointers.
    - Add FIXMEs for Q_DISABLE_COPY, implementing copy constructor
      and d-pointerfication.

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataLineStyle.h:
    * src/lib/geodata/data/GeoDataPolyStyle.h:

    Declare constructors explicit.

2008-05-31  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataPoint.cpp:

    - Initialise base class object in copy constructor.
    - Remove empty destructor of GeoDataPointPrivate.
    - Add FIXME for assignment operator.

2008-05-30  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataObject.h:
    * src/lib/geodata/data/GeoDataObject.cpp:

    - Define copy constructor and assignment operator for class GeoDataObject,
      because it has got a d-pointer.
    - Initialise base class objects in constructor.
    - Remove empty destructor of GeoDataObjectPrivate.

2008-05-29  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MeasureTool.h:
    * src/lib/MeasureTool.cpp:

    Fix includes.

2008-05-29  Inge Wallin  <inge@lysator.liu.se>

	Move the MapQuality measure from ViewParams to ViewportParams.
	Some cleaning also snuck in.
	* src/lib/ViewParams.{h,cpp}: Remove MapQuality
	(mapQuality, setMapQuality): removed
	* src/lib/ViewportParams.{h,cpp}: Add MapQuality
	(mapQuality, setMapQuality): added
	* src/lib/VectorMap.{h,cpp} (drawMap): Add MapQuality
	* src/lib/GeoPainter.{h,cpp}: Add MapQuality to the object
	* src/lib/MarbleWidget.cpp: Use new API of the GeoPainter
	cleaning
	* src/lib/MarbleMap.cpp: Use new API
	* src/lib/MarbleModel.cpp: Use new API
	* src/lib/VectorComposer.cpp: Use new API of VectorMap
	* src/lib/SphericalScanlineTextureMapper.cpp: cleaning
	* src/lib/EquirectScanlineTextureMapper.cpp: cleaning
	* src/lib/MarbleAbstractFloatItem.cpp
	* src/CMakeLists.txt: Disable the geoshape since it uses installed
	headers and not headers in the source tree.  If I didn't do this,
	it would break the compile. Alas.
	* src/geoshape/GeoShape.cpp (paint): Use new GeoPainter API.
    
2008-05-29  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataLatLonAltBox.h
    
    use export macro for friend defined operator
    
2008-05-28  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLNameTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLOpenTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLVisibilityTagHandler.cpp
    - src/lib/geodata/handlers/kml/KMLElementDefines.h
    
    remove the helper construction with the defines for abstract elements
    and use the casting instead.
    
2008-05-28  Patrick Spendrin    <ps_ml@gmx.de>

    * src/CMakeLists.txt
    * src/lib/CMakeLists.txt
    * src/tilecreator/CMakeLists.tx
    
    fix QTONLY cmake errors when building with cmake version 2.6
    
2008-05-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLVisibilityTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLOpenTagHandler{.h,.cpp}
    
    add those two tags
    
    * src/lib/geodata/handlers/kml/KMLElementDefines.h
    
    add file where the definitions for abstract Elements will be placed
    
    * src/lib/geodata/handlers/kml/KMLColorModeTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLColorTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLFillTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHeadingTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHotSpotTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLHrefTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLIconStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLIconTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLLabelStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLLineStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLNameTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLOutlineTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPlacemarkTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPointTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLPolyStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLStyleTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLWidthTagHandler.cpp
    * src/lib/geodata/handlers/kml/KML_scaleTagHandler.cpp
    
    fixing debug output so that every tag gets mentioned
    

2008-05-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataContainer{.h,.cpp}
    
    add new features method to handle features
    
    * src/lib/geodata/GeoDataTest.cpp
    * src/lib/geodata/handlers/kml/KMLNameTagHandler{.h,.cpp}
    
    read name Tag and give out in GeoDataTest
    
2008-05-27  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/geodata/CMakeLists.txt
    
    use FILE( GLOB ) to collect all the files
    that adds new files right away
    
2008-05-27  Inge Wallin  <inge@lysator.liu.se>

	Make mercator projection work somewhat.
	* src/lib/VectorMap.cpp (createFromPntMap): Handle Mercator case
	(mercatorCreateFromPntMap): New function
	(createPolyLine):           Handle Mercator case.
	(mercatorCreatePolyLine):   New function

2008-05-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp (loadRawTile)

    Minor fix for expiration handling.
    Set creation time stamp of tile to last modification time stamp
    of the corresponding file.

2008-05-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp (loadRawTile)

    Replace break statement by check for tileFound to fix
    downloading of expired tiles.

2008-05-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpFetchFile.cpp (executeJob):
    Do not quit if the file is already there but update it.
    * src/lib/TextureTile.cpp:
    * src/lib/TextureTile.h:
    Add member variable m_created which holds the tile creation time stamp.
    (loadRawTile): Check if existing tiles are expired.
    * src/lib/TileLoader.cpp (loadTile):
    Check if tile from cache is expired.
    Save call to QHash::contains in the time critical section, this gives
    me a small improvement with --timedemo: 12.5 fps -> 12.7 fps.
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.cpp:
    Fix parsing of expire attribut. Default to MAX_INT.
    * src/lib/geodata/scene/GeoSceneLayer.cpp:
    Set default for m_expire to MAX_INT.
    * data/maps/earth/openstreetmap/openstreetmap.dgml:
    Set texture/@expire to 604800 seconds (7 days).

    - Fix expire handling.
    - Small --timedemo improvement.

2008-05-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/tilecreator/CMakeLists.txt: Add qt4_automoc.

    Fix build from scratch.

2008-05-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp (constructor):

    Save call to QImage default and copy constructor.

2008-05-26  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/geodata/data/GeoDataColorStyle.h:
    * src/lib/geodata/data/GeoDataContainer.h:
    * src/lib/geodata/data/GeoDataDocument.h:
    * src/lib/geodata/data/GeoDataFeature.h:
    * src/lib/geodata/data/GeoDataHotSpot.h:
    * src/lib/geodata/data/GeoDataIconStyle.h:
    * src/lib/geodata/data/GeoDataLabelStyle.h:
    * src/lib/geodata/data/GeoDataLineStyle.h:
    * src/lib/geodata/data/GeoDataPlacemark.h:
    * src/lib/geodata/data/GeoDataPolyStyle.h:
    * src/lib/geodata/data/GeoDataStyle.h:
    * src/lib/geodata/data/GeoDataStyleSelector.h:
    Apply the Q_DISABLE_COPY() patch to these d-pointerified classes

2008-05-24  Patrick Spendrin    <ps_ml@gmx.de>

    * tools/asc2kml.cpp
    
    make output standard compliant to KML 2.1
    
2008-05-24  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt
    * src/CMakeLists.txt
    * src/geoshape/CMakeLists.txt
    
    use new FindKOfficeLibs.cmake file instead before building the geoshape.
    
2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileCache.cpp
    * src/lib/TileLoader.cpp
    * src/lib/TileCache.h
    * src/lib/CMakeLists.txt

    Remove class TileCache since it was only a wrapper around QCache.

2008-05-24  Inge Wallin  <inge@lysator.liu.se>

	Move globeCoversImage to the projection classes and call it
	mapCoversViewport.
	* src/lib/Projections/AbstractProjection.h,
	* src/lib/Projections/SphericalProjection.{h,cpp},
	* src/lib/Projections/EquirectProjection.{h,cpp},
	* src/lib/Projections/MercatorProjection.{h,cpp}:
	(mapCoversViewport): New function.
	* src/lib/ViewportParams.{h,cpp} (mapCoversViewport): new function
	* src/lib/MarbleMap.{h,cpp} (globeCoversImage): 
	   - Renamed into mapCoversViewport
	   - Call viewport->mapCoversViewport()
	* src/lib/MarbleWidget.cpp: Call m_map->mapCoversViewport().
	
2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/Track.h:
    * src/lib/AbstractLayer/AbstractLayerInterface.h:

    Fix includes.

2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/TrackPoint.h:
    * src/lib/AbstractLayer/AbstractLayerData.h:
    * src/lib/AbstractLayer/AbstractLayerContainer.h:

    Declare constructors explicit.

2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.h

    Small optimisation.
    Replace constant trigonometric expressions with the actual values.

2008-05-24  Torsten Rahn  <rahn@kde.org> 

    * src/lib/EquirectScanlineTextureMapper.cpp:

    - Add bilinear filtering here as well as pointed out by jm

2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/ViewParams.h:
    * src/lib/ViewportParams.h:

    Fix d-pointerfied classes by disallowing copies.
    Thanks to Pino Toscano for pointing this out.

2008-05-24  Torsten Rahn  <rahn@kde.org> 

    * data/maps/earth/openstreetmap/0/0/0.png:

    - Given that the previous OSM tile shipped with Marble was
      licensed under the Creative Commons Attribution-ShareAlike 2.0 license
      and given that Debian doesn't approve this license as a 
      "free" license we replace the very low resolution tile by a simple blue
      square for now. Later on we'll add a public domain map in the style
      of the original OSM tile.

2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MeasureTool.cpp:
    * src/lib/MarbleWidget.cpp:
    * src/lib/Projections/MercatorProjectionHelper.cpp:
    * src/lib/PlaceMarkPainter.cpp:
    * src/lib/MarbleMap.cpp:
    * src/lib/VectorMap.cpp:
    * src/lib/ViewportParams.h:
    * src/lib/ViewportParams.cpp:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.cpp:
    * src/plugins/marble/compass/CompassFloatItem.cpp:

    - Fix includes.
    - Add my copyright notice to ViewportParams.

2008-05-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/ViewportParams.h:
    * src/lib/ViewportParams.cpp:

    D-pointerfy class ViewportParams.

2008-05-23  Torsten Rahn  <rahn@kde.org> 

    * TileLoader.cpp:

    This fixes the most obvious issues with the tile downloading.
    The only real other issue left is speed: We need to 
    improve the HttpDownloadManager to have better algorithms
    to better prioritize the currently needed tiles.


    - Fix what is probably Marble's most hated bug:
      Tiles being "stuck". The culprit: when a new tile was 
      successfully downloaded and the temporary "replacement" tile 
      was still in the cache, that replacement tile should have 
      gotten removed from the cache to make way for the real one.

    * HttpDownloadManager.cpp:

    - Increase number of activated downloads to hopefully 
      get the speed a little bit up

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleMap.cpp:
    * src/lib/MarbleModel.cpp:
    * src/lib/ViewportParams.h:
    * src/lib/ViewportParams.cpp:

    Move m_boundingBox, the only public member variable of class
    ViewportParams to the private section.
    This is needed for d-pointerfication of class ViewportParams.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/Route.cpp:
    * src/lib/gps/GpxFile.cpp:
    * src/lib/gps/RouteContainer.cpp:
    * src/lib/gps/Route.h:
    * src/lib/gps/GpxFile.h:
    * src/lib/gps/Track.cpp:
    * src/lib/gps/RouteContainer.h:
    * src/lib/gps/TrackContainer.cpp:
    * src/lib/gps/Track.h:
    * src/lib/gps/TrackContainer.h:
    * src/lib/gps/WaypointContainer.cpp:
    * src/lib/gps/WaypointContainer.h:
    * src/lib/gps/GpsLayer.cpp:
    * src/lib/gps/TrackSegment.cpp:
    * src/lib/gps/GpsLayer.h:
    * src/lib/gps/TrackSegment.h:
    * src/lib/AbstractLayer/AbstractLayerData.h:
    * src/lib/AbstractLayer/AbstractLayer.cpp:
    * src/lib/AbstractLayer/AbstractLayerContainer.cpp:
    * src/lib/AbstractLayer/AbstractLayer.h:
    * src/lib/AbstractLayer/AbstractLayerInterface.h:
    * src/lib/AbstractLayer/AbstractLayerContainer.h:
    * src/lib/AbstractLayer/AbstractLayerData.cpp:

    Change parameter type of draw and paintLayer methods from
    "BoundingBox &" to "const BoundingBox &".
    This is needed for d-pointerfication of class ViewportParams.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/BoundingBox.h:
    * src/lib/BoundingBox.cpp:

    Declare methods const.
    This is needed for d-pointerfication of class ViewportParams.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleWidget.cpp:
    * src/lib/SphericalScanlineTextureMapper.cpp:
    * src/lib/Projections/SphericalProjection.h:
    * src/lib/PlaceMarkLayout.cpp:
    * src/lib/PlaceMarkPainter.cpp:
    * src/lib/MarbleMap.cpp:
    * src/lib/TextureColorizer.cpp:
    * src/lib/ViewParams.cpp:
    * src/lib/ViewParams.h:
    * src/lib/MarbleModel.cpp:
    * src/lib/VectorComposer.cpp:
    * src/lib/GridMap.cpp:

    Fix includes.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/ViewParams.cpp:
    * src/lib/ViewParams.h:

    D-pointerfy class ViewParams.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/SphericalScanlineTextureMapper.cpp:
    * src/lib/PlaceMarkLayout.cpp:
    * src/lib/MarbleMap.cpp:
    * src/lib/EquirectScanlineTextureMapper.cpp:
    * src/lib/TextureColorizer.cpp:
    * src/lib/ViewParams.cpp:
    * src/lib/ViewParams.h:
    * src/lib/MarbleModel.cpp:
    * src/lib/VectorComposer.cpp:

    Declare member variables of class ViewParams private in order
    to prepare d-pointerfication.

2008-05-23  Inge Wallin  <inge@lysator.liu.se>

	Move handling of the active region to the projection helpers.
	* Projections/AbstractProjectionHelper.{h,cpp},
	* Projections/SphericalProjectionHelper.{h,cpp},
	* Projections/MercatorProjectionHelper.{h,cpp},
	* Projections/EquirectProjectionHelper.{h,cpp}:
	(activeRegion): moved from MarbleWidget
	(setActiveRegion): moved from MarbleWidget
	* Projections/AbstractProjectionHelper_p.h: new file
	* src/lib/MarbleWidget.cpp (activeRegion): call function in the
	projection helpers
	(setActiveRegion): call function in the projection helpers 

	Fix a bug that makes marble loop forever after a zoom using the
	scroll wheel
	* src/lib/MarbleWidgetInputHandler.cpp (restoreViewContext): Stop
	the timer when we redraw with high quality.  It seems the timer
	otherwise refires every X milliseconds.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * TODO:

    Add expiration and search for OpenStreetMap.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoader.cpp (baseTilesAvailable): fix missing break by
    putting the noerr condition into the for statement.
    (maxCompleteTileLevel): rework likewise.

    Fix missing break statement in TileLoader::baseTilesAvailable.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp:

    Fix includes.

2008-05-22  Torsten Rahn  <rahn@kde.org> 

    * src/lib/AbstractScanlineTextureMapper.{cpp,h}:
    * src/lib/SphericalScanlineTextureMapper.cpp:

    - For speed reasons we somewhat duplicate the code:
        - Keep integer based rendering for high performance
          rendering.
        - Double based rendering is needed to be able to 
          do the bilinear interpolation.

        Not pretty but efficient ...

    * src/lib/CrossHairFloatItem.cpp:

    - Enforce the cross hair to be aliased.

2008-05-23  Patrick Spendrin    <ps_ml@gmx.de>

    * data/placemarks/baseplacemarks.kml:
    * data/placemarks/cityplacemarks.kml:
    * data/placemarks/elevplacemarks.kml:
    * data/placemarks/boundaryplacemarks.kml:
    * data/placemarks/otherplacemarks.kml:
    * data/placemarks/baseplacemarks.cache:
    * data/placemarks/cityplacemarks.cache:
    * data/placemarks/elevplacemarks.cache:
    * data/placemarks/boundaryplacemarks.cache:
    * data/placemarks/otherplacemarks.cache:
    
    make the kml files standard compliant ( to version 2.1 )
    http://earth.google.de/kml/kml_tags_21.html
    regenerate the cache files
    
2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * TODO:

    Add my name to the TODO file and mark two items as done.

2008-05-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * TODO:

    Convert tabs to spaces.

2008-05-22  Torsten Rahn  <rahn@kde.org> 

    * src/lib/AbstractScanlineTextureMapper.{cpp,h}:
    * src/lib/SphericalScanlineTextureMapper.{cpp,h}:

    -.Improve speed for the subpixel interpolated rendering.
    - Now we need to speed up the non-subpixel-interpolated case again ...

2008-05-22  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/lib/MarbleControlBox.cpp

    - fixed crash when ControlBox is used without a MarbleWidget

2008-05-22  Torsten Rahn  <rahn@kde.org> 

    * data/credits_data.html:

    - Give a minimum of attribution to OSM (more prominent 
      attribution yet to come).

2008-05-22  Patrick Spendrin  <ps_ml@gmx.de>

    * src/lib/geodata/handlers/kml/KMLColorModeTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLColorTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLCoordinatesTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLElementDictionary{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLFillTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLHeadingTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLHotSpotTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLHrefTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLIconStyleTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLIconTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLLabelStyleTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLLineStyleTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLOutlineTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLPlacemarkTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLPointTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLPolyStyleTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLStyleTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KMLWidthTagHandler{.h,.cpp}
    * src/lib/geodata/handlers/kml/KML_scaleTagHandler{.h,.cpp}
    * src/lib/geodata/GeoDataTest.cpp
    * src/lib/geodata/CMakeLists.txt
    
    - add new KML tag handlers (first bunch)

2008-05-22  Simon Schmeisser <mail_to_wrt@gmx.de>

    * src/lib/ViewParams.h

    - added missing export

    * src/geoshape/CMakeLists.txt

    - enabled linking and installing ... it now works

2008-05-22  Torsten Rahn  <rahn@kde.org> 

    * src/lib/AbstractScanlineTextureMapper.{cpp,h}:
    * src/lib/SphericalScanlineTextureMapper.cpp:

    - Start of adding bilinear pixel interpolation to 
      improve image quality. Doesn't work yet.

2008-05-22  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoader.cpp (setTextureLayer):

    Small cleanup.
    Do not allocate tile dynamically since it is a local variable.

2008-05-22  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/SphericalScanlineTextureMapper.cpp: (mapTexture)

    Small cleanup.
    Use dedicated Quaternion constructor instead of default constructor
    and call to set method.

2008-05-22  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp: (constructor)

    Check tileLoader and tileLoader->textureLayer() pointers before
    accessing them. This hopefully fixes a bug reported by
    Henry de Valence.

2008-05-22  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/Projections/EquirectProjection.cpp: Clean up
	(screenCoordinates): Don't always return true.
	
	Cleaning: m_parent is not a parent, so call it something else.
	* src/lib/MarbleWidget.cpp (class MarbleWidgetPrivate::m_parent):
	renamed into m_widget

2008-05-21  Simon Schmeisser  <mail_to_wrt@gmx.de>

    * src/geoshape/GeoShapeFactory.cpp

    - removed some obsolete code, fixed includes a bit

    * src/geoshape/GeoShape.cpp

    - updated to match current state of the api
    - fixed some includes
	
    *  src/geoshape/CMakeLists.txt

    - includes and link dirs are now set correctly
    - linking is disabled at the moment because of linker error

    * src/CMakeLists.txt

    - enabled building the flake shape

2008-05-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * marble/src/lib/TinyWebBrowser.cpp (loadResource)

    Krazy fix, "/" -> '/'.

2008-05-21  Torsten Rahn  <rahn@kde.org> 

    * TextureTile.cpp:
    * GeoPainter.{cpp,h}:

    - Don't crash when zooming in very fast or 
      when typing something into the search field on 
      high zoom.

    * src/plugins/marble/overviewmap/MarbleOverviewMap.cpp:

    - Add center indicator


2008-05-21  Torsten Rahn  <rahn@kde.org> 

    * src/lib/SphericalScanlineTextureMapper.cpp:

    - Don't interpolate during TextureMapping at all 
      if we select Print Quality for still map rendering.

2008-05-21  Torsten Rahn  <rahn@kde.org> 

    * src/lib/TextureTile.{cpp,h}:

    - Fixing two bugs with one patch:

    - The Smear effect which was due to the 1 bit
      images being read via the jumptable8.
    - The slow timedemo benchmark due to 
      the Atlas View using the pixelValue method.

    This fixes the performance entirely ( it's back to 
    14 fps for me ).

2008-05-21  Patrick Spendrin  <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPolyStyle{.h,.cpp}
    * src/lib/geodata/CMakeLists.txt
    
    Add PolyStyle
    
2008-05-21  Patrick Spendrin  <ps_ml@gmx.de>

    * src/lib/geodata/CMakeLists.txt
    
    Add LineStyle to CMakeLists.txt
    
2008-05-21  Patrick Spendrin  <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataLineStyle{.h,.cpp}
    
    Add LineStyle using LabelStyle as example
    
2008-05-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/openstreetmap/openstreetmap.dgml

    Set minimum zoom value to 900.

2008-05-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/FileStoragePolicy.cpp (updateFile)

    Remove broken conversion code.

2008-05-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp (loadRawTile)

    Fix tile loading, do not use relfilename which might
    have an old value.

2008-05-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/FileStoragePolicy.cpp (updateFile)

    - Rename ptr -> convertedData.
    - Fix white space.

2008-05-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/FileStoragePolicy.cpp (updateFile)

    Convert images with format QImage::Format_Indexed8 to QImage::Format_RGB32.

2008-05-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/AbstractScanlineTextureMapper.h

    Fix projection for OpenStreetMap tiles.

2008-05-20  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MergedLayerDecorator.h
    * src/lib/HttpFetchFile.cpp
    * src/lib/MergedLayerDecorator.cpp
    * src/lib/TextureTile.cpp
    * src/lib/TextureTile.h
    * src/lib/TinyWebBrowser.cpp
    * src/lib/TileLoader.cpp
    * src/lib/HttpFetchFile.h
    * src/lib/HttpDownloadManager.cpp
    * src/lib/MarbleModel.cpp
    * src/lib/HttpDownloadManager.h

    Fix HttpDownloadManager for OpenStreetMap theme.

2008-05-19  Torsten Rahn  <rahn@kde.org> 

    

2008-05-20  Patrick Spendrin <ps_ml@gmx.de>

    * src/lib/geodata/data/GeoDataPlacemark.{h,cpp}:
    
    add setter Method for GeoDataPoint - this is needed by KML parsing.
    
2008-05-20  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/MarbleModel.{h,cpp}:
    * src/lib/SunLocator.{h,cpp}:
    - removed instance of ExtDateTime from SunLocator 
    - ExtDateTime is now instantiased in MarbleModel which
    should provide a Marble-wide access to the extended date 
    and time class.

2008-05-19  Torsten Rahn  <rahn@kde.org> 

    Fixing the regression that made tile updates fail.

    * src/lib/MergedLayerDecorator.cpp:
    * src/lib/TileLoader.cpp:
    * src/lib/HttpDownloadManager.cpp:
    * src/lib/MarbleModel.cpp:

    - Fixing missing rawloadTile execution after
      image download. 
    - Minor cleaning ...

2008-05-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoaderHelper.cpp

    Fix function downloadUrl: Do not ignore the value of the
    path attribute.

2008-05-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/scene/GeoSceneTexture.cpp

    Set m_downloadUrl to "http://download.kde.org/apps/marble/"
    as default, so we do not need to edit all .dgml files.

2008-05-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoaderHelper.h
    * src/lib/TileLoaderHelper.cpp

    Part 14 of groundwork for OpenStreetMap texture tiles.
    Add function downloadUrl to TileLoaderHelper which makes use of
    the new downloadUrl element.

2008-05-19  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.cpp
    Add dgmlTag_DownloadUrl.

    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.cpp
    Add dgmlAttr_host, dgmlAttr_password, dgmlAttr_path,
    dgmlAttr_port, dgmlAttr_protocol and dgmlAttr_user.

    * src/lib/geodata/handlers/dgml/DgmlDownloadUrlTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDownloadUrlTagHandler.h
    Add class DgmlDownloadUrlTagHandler.

    * src/lib/geodata/scene/GeoSceneTexture.cpp
    * src/lib/geodata/scene/GeoSceneTexture.h
    Add member variable m_downloadUrl and get+set method.

    * src/lib/geodata/CMakeLists.txt
    Add DgmlDownloadUrlTagHandler.cpp.

    * docs/dgml2.dtd
    Add element downloadUrl.

    * data/maps/earth/openstreetmap/openstreetmap.dgml
    Add downloadUrl.

    Part 13 of groundwork for OpenStreetMap texture tiles.
    DGML: Add sub element "downloadUrl" to "texture". This is needed
    because we want do download the OpenStreetMap tiles from the their
    server and not copy them to download.kde.org.

2008-05-19  Torsten Rahn  <rahn@kde.org> 

    - Per aspera ad astra! Now I just need to take the earth's
      orbit and spinning into account and we can drop KStars 
      in favour of Marble ;-)

    * src/plugins/marble/stars/MarbleStarsPlugin.{cpp,h}:
    * src/plugins/marble/stars/CMakeLists.txt:
    * src/plugins/marble/CMakeLists.txt:

    - Adding Stars plugin to Marble. Still needs polishing and 
      adjustment for time.

    * src/lib/Projections/AbstractProjection.h:
    * src/lib/Projections/SphericalProjection.{cpp,h}:
    * src/lib/Projections/MercatorProjection.{cpp,h}:
    * src/lib/Projections/EquirectProjection.{cpp,h}:

    - Removing obsolete globeCoversMap() method that has been 
      moved to the viewport and continues its life as 
      globeCoversViewport();

    * src/lib/MarbleLayerInterface.h:
    * src/lib/GeoPainter.{cpp,h}:
    * src/lib/LayerManager.cpp:
    * src/plugins/marble/CMakeLists.txt:
    * data/CMakeLists.txt:

    - Fixing a few things for the stars plugin ...

    * data/stars:
    * tools/stars/catalog.dat.gz:
    * tools/stars/stars.{dat,pro,cpp}:
    * tools/stars/notes.dat.gz:

    - Add public domain BSC5 catalogue and a tool to convert it 
      to some simple format for Marble

    * tools/texissor:
    * tools/texissor/texissor.{cpp, pro}:

    - Removed ancient code

2008-05-19  Torsten Rahn  <rahn@kde.org>

    - Installing Marble Plugins (hopefully) into the right places.

    * src/lib/MarbleDirs.{cpp,h}:

    - Complementing the existing data paths by introducing the plugin specific paths:

    static QString pluginPath( const QString& relativePath );
    static QStringList pluginEntryList( const QString& relativePath, QDir::Filters filters = QDir::NoFilter  );
    static QString pluginSystemPath(); 
    static QString pluginLocalPath(); 
    static QString marblePluginPath();
    static void setMarblePluginPath( const QString& adaptedPath);

    * src/lib/PluginManager.cpp:

    - Making PluginManager look into the right places.
    - Debug output

    * src/plugins/marble/test/CMakeLists.txt:
    * src/plugins/marble/overviewmap/CMakeLists.txt:
    * src/plugins/marble/compass/CMakeLists.txt:
    * src/plugins/marble/satellites/CMakeLists.txt:
    * CMakeLists.txt:

    - Installing the plugins into the right places
    - Debug output

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/SphericalScanlineTextureMapper.h
    * src/lib/SphericalScanlineTextureMapper.cpp

    Small cleanup in SphericalScanlineTextureMapper.
    Remove member variables m_x, m_y, m_qr, m_qx, m_qy m_qz and
    m_qpos and make them local variables in method mapTexture.

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/SphericalScanlineTextureMapper.cpp
    * src/lib/AbstractScanlineTextureMapper.h

    Part 12 of groundwork for OpenStreetMap texture tiles.
    Replace conversion factors m_rad2PixelX and m_rad2PixelY with
    inline methods rad2PixelX and rad2PixelY in order to support
    Mercator projection later.
    marble --timedemo shows no regression so far.

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.h
    * src/lib/AbstractScanlineTextureMapper.cpp
    Add member variables m_globalWidth and m_globalHeight and
    corresponding access methods.
    * src/lib/SphericalScanlineTextureMapper.cpp
    * src/lib/EquirectScanlineTextureMapper.cpp

    Replace m_tileLoader->globalWidth( m_tileLevel ) and
    m_tileLoader->globalHeight( m_tileLevel ) with
    m_globalWidth and m_globalHeight.

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.h

    Small cleanup.
    - Move definitions of inline methods out of class body.
    - Declare interlaced() const.

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    (constructor): Move initialisations to ctor init list.

    Small cleanup.

2008-05-18  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    (selectTileLevel): since this method calls tileLevelInit,
    set m_tileLevel there.
    (tileLevelInit): set m_tileLevel here.

    Small cleanup.

2008-05-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.cpp:
    - Fixing Proxy support for "empty" default value "http://"

    Getting ready for string freeze:

    * src/lib/CMakeLists.txt:
    * src/marble_part.cpp:

    - Adding Plugin support page right in time for string freeze.
      It doesn't do anything yet.

    * src/marble_part.rc:
    - Adding "&Info Boxes" item ( I think that for the user this 
      term is better suited than "float items" and I'm really not
      keen on reading the clunky translations that translators 
      might come up with for "float items".
  
2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.{h,cpp}:
    (dgmlTag_Projection): new constant.
    * src/lib/geodata/handlers/dgml/DgmlProjectionTagHandler.{h,cpp}:
    new class DgmlProjectionTagHandler.
    * src/lib/geodata/scene/GeoSceneTexture.{h,cpp}:
    (Projection): new enum.
    (projection): new method.
    (setProjection): new method.
    (m_projection): new member variable.
    * src/lib/geodata/CMakeLists.txt
    (geodata_handlers_dgml_SRCS): add DgmlProjectionTagHandler.cpp.
    * docs/dgml2.dtd
    (projection): new element.
    (texture): add optional projection.
    * data/maps/earth/openstreetmap/openstreetmap.dgml:
    add projection element.

    Part 11 of groundwork for OpenStreetMap texture tiles.
    DGML: Add sub element "projection" to "texture". This is needed
    because the OpenStreetMap tiles use Mercator projection while
    the existing themes use Equirectangular projection.

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.h
    * src/lib/MarbleMap.cpp

    Fix includes.

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/SphericalScanlineTextureMapper.cpp
    * src/lib/AbstractScanlineTextureMapper.h
    * src/lib/EquirectScanlineTextureMapper.cpp
    * src/lib/AbstractLayer/AbstractLayer.h

    Class AbstractLayer is obsolete, so do not inherit
    AbstractScanlineTextureMapper from it.

2008-05-17  Inge Wallin  <inge@lysator.liu.se>

	Move files having to do with projections to their own subdirectory
	* src/lib/Projections/: new subdirectory
	* src/lib/AbstractProjection.cpp,
	* src/lib/AbstractProjection.h,
	* src/lib/AbstractProjectionHelper.cpp,
	* src/lib/AbstractProjectionHelper.h,
	* src/lib/EquirectProjection.cpp,
	* src/lib/EquirectProjection.h,
	* src/lib/EquirectProjectionHelper.cpp,
	* src/lib/EquirectProjectionHelper.h,
	* src/lib/MercatorProjection.cpp,
	* src/lib/MercatorProjection.h,
	* src/lib/MercatorProjectionHelper.cpp,
	* src/lib/MercatorProjectionHelper.h,
	* src/lib/SphericalProjection.cpp,
	* src/lib/SphericalProjection.h,
	* src/lib/SphericalProjectionHelper.cpp,
	* src/lib/SphericalProjectionHelper.h:
	Move to src/lib/Projections/
	* src/CMakeLists.txt: Add src/lib/Projections as include directory
	* src/lib/CMakeLists.txt: Add src/lib/Projections as include directory
	- Also indicate the move the files above to the new subdirectory.

	Rename files and classes to fit in naming scheme for the projections.
	* src/lib/GlobeScanlineTextureMapper.{h,cpp}:
	Renamed into SphericalScanlineTextureMapper.{h,cpp}
	* src/lib/FlatScanlineTextureMapper.{h,cpp}:
	Renamed into EquirectScanlineTextureMapper.{h,cpp}
	* src/lib/MarbleModel.cpp (setupTextureMapper): Use new names for
	classes
	(includes): Use new names for files
	* src/lib/CMakeLists.txt: Use new names for files.

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * docs/FAQ

    Add FAQ document.

2008-05-17  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleLayerInterface.h:
    * src/plugins/marble/test/MarbleTestPlugin.{cpp,h}:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * src/plugins/marble/compass/CompassFloatItem.{cpp,h}:
    * src/plugins/marble/satellites/SatellitesPlugin.{cpp,h}:

    - introducing guiString() and translate plugin strings ...

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/GeoPainter.{cpp,h}:

    Fix includes.

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MergedLayerDecorator.cpp: (paintClouds)

    Do not attempt to paint clouds if cloud tile and map tile have
    got different sizes.

2008-05-17  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoader.cpp: (maxCompleteTileLevel)

    Rename variables n -> row, m -> column.

2008-05-17  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/overviewmap/MarbleOverviewMap.cpp:
    * src/plugins/marble/compass/CompassFloatItem.{cpp,h}:
    * src/plugins/marble/compass/CMakeLists.txt:
    * src/plugins/marble/CMakeLists.txt:

    - Early version of the new Compass float item plugin

2008-05-17  Inge Wallin  <inge@lysator.liu.se>

	Remove functions that are already moved to projection helpers
	* src/lib/VectorMap.{h,cpp} (sphericalPaintBase): removed
	(EquirectPaintBase): removed
	(MercatorPaintBase): removed

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MergedLayerDecorator.cpp (paintClouds)

    Fix crash if clouds are displayed on the OpenStreetMap theme.
    The tiles have got different sizes so we need to scale one of them,
    otherwise memory gets overwritten what was the cause of this crash.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleModel.cpp (setMapTheme)

    Part 10 of groundwork for OpenStreetMap texture tiles.
    Do not call TileCreator if installmap (DGML) is empty.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/CMakeLists.txt

    Part 9 of groundwork for OpenStreetMap texture tiles.
    Install data files for OpenStreetMap theme.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp (loadRawTile): Make it a little bit easier
    to read and respect max. 100 chars/row.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp
    (loadTile): Coding style.
    (destructor): Simplify.

    Small cleanup.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp
    (loadTile)
    (destructor)

    Part 8 of groundwork for OpenStreetMap texture tiles.
    Add support for 48 bit color depth, reuse jumpTableFromQImage32 for that.
    TODO: change names *32 to *_32_48?

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp
    * src/lib/TextureTile.h (pixel)
    (loadTile)
    (destructor)

    Part 7 of groundwork for OpenStreetMap texture tiles.
    Add support for 1 bit color depth, reuse jumpTableFromQImage8 for that.
    TODO: change names *8 to *_1_8?

2008-05-16  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/geodata/data/GeoDataContainer.{h,cpp}:
    * src/lib/geodata/data/GeoDataHotSpot.{h,cpp}:
    * src/lib/geodata/data/GeoDataIconStyle.cpp:
    - fixed the constructors (added the proper constructor
    in the d-pointer
    - moved protected members to the d-pointer

    * src/lib/geodata/data/GeoDataLabelStyle.h:
    - fix: changed protected to private

    * src/lib/geodata/data/GeoDataLabelStyle.{h,cpp}:
    * src/lib/geodata/data/GeoDataStyleSelector.{h,cpp}:
    - Change to use the d-pointer technique

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/OpenStreetMap
    * data/maps/earth/OpenStreetMap/0
    * data/maps/earth/OpenStreetMap/0/0
    * data/maps/earth/OpenStreetMap/0/0/0.png
    * data/maps/earth/OpenStreetMap/OpenStreetMap-preview.png
    * data/maps/earth/OpenStreetMap/OpenStreetMap.dgml
    * data/maps/earth/openstreetmap
    * data/maps/earth/openstreetmap/OpenStreetMap-preview.png
    * data/maps/earth/openstreetmap/OpenStreetMap.dgml
    * data/maps/earth/openstreetmap/openstreetmap.dgml
    * data/maps/earth/openstreetmap/openstreetmap-preview.png

    Convert OpenStreetMap theme to lowercase.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/Quaternion.cpp
    * src/lib/Quaternion.h (slerp)

    Change parameter type from "const Quaternion" to "const Quaternion &".

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/OpenStreetMap/OpenStreetMap.dgml

    Fix texture layer name.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleWidget.cpp
    * src/lib/MarbleWidget.h
	(setProxy)
	(proxyHost)
	(proxyPort)
    * src/marble_part.cpp
	(readSettings)
	(writeSettings)
	(slotUpdateSettings)

    Add Http proxy support.

2008-05-16  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/data/GeoDataLatLonAltBox.h

    Export operator== for GeoDataLatLonAltBox. Needed in
    MarbleOverviewMap::needsUpdate.

2008-05-16  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/test/MarbleTestPlugin.{cpp,h}:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * src/plugins/marble/satellites/SatellitesPlugin.{cpp,h}:
    * src/lib/MarbleAbstractFloatItem.{cpp,h}:
    * src/lib/MarbleLayerInterface.h:

    - Adding a renderPosition cue to the layer classes API.
    - Adding renderMap method so the MeasureTool can get later 
      on reimplemented as an AbstractFloatItem. 

    * src/lib/LayerManager.cpp:

    - Adding a quick and dirty way into the LayerManager for the float 
      items to get always placed on top of everything else.
      .
2008-05-16  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * src/lib/MarbleAbstractFloatItem.{cpp,h}:
    * src/lib/geodata/data/GeoDataLatLonAltBox.{cpp,h}:

    - Added Pixmap cache for float items 
    - TODO: add shared d-pointer for GeoDataLatLon(Alt)Box.

2008-05-15  Inge Wallin  <inge@lysator.liu.se>

	Get rid of warnings and cleaning
	* src/lib/geodata/data/GeoDataLatLonAltBox.cpp (text): Return
	value always
	* src/lib/geodata/data/GeoDataLatLonAltBox.h (GeoDataLatLonAltBox):
	"using GeoDataLatLonBox::intersects;" to get rid of warning about
	hiding.
	* src/lib/geodata/data/GeoDataLineString.cpp (erase): return value
	* src/lib/GeoPainter.cpp: cleaning
	* src/lib/MarbleWidget.{h,cpp} (viewContext): Don't take parameters
	also make const

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoDocument.cpp

    Fix conversion specifier for unsigned long int argument.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoDocument.h
    * src/lib/geodata/parser/GeoDocument.cpp

    Un-inline GeoDocument and GeoNode.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/HttpFetchFile.cpp

    Fix memory leak.

2008-05-15  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/geodata/scene/GeoSceneDocument.{h,cpp}:
    * src/lib/geodata/scene/GeoSceneHead.{h,cpp}:
    * src/lib/geodata/scene/GeoSceneLegend.{h,cpp}:
    * src/lib/geodata/scene/GeoSceneMap.{h,cpp}:
    * src/lib/geodata/scene/GeoSceneSettings.{h,cpp}:

    - Yet another set of d-pointerifications (this time
    also moved the protected members in the d-pointer)
    - Add GEODATA_EXPORT to class declarations


2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/OpenStreetMap/0/0/0.png

    Add OpenStreetMap base tile.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * data/maps/earth/OpenStreetMap
    * data/maps/earth/OpenStreetMap/OpenStreetMap.dgml
    * data/maps/earth/OpenStreetMap/OpenStreetMap-preview.png

    Add .dgml and icon for OpenStreetMap theme.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/GeoPainter.cpp

    Fix memory leak.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/MarbleTest.h
    * src/geoshape/GeoToolFactory.h
    * src/geoshape/GeoShapeFactory.h
    * src/lib/PluginManager.h
    * src/lib/gps/GpxFile.h
    * src/lib/gps/GpxSax.h
    * src/lib/gps/Waypoint.h
    * src/lib/gps/WaypointContainer.h
    * src/lib/gps/GpxFileModel.h
    * src/lib/DiscCache.h
    * src/lib/MarbleAboutDialog.h
    * src/lib/MarbleThemeSelectView.h
    * src/lib/FileViewModel.h
    * src/lib/MapScaleFloatItem.h
    * src/lib/XmlHandler.h
    * src/lib/PlaceMarkContainer.h
    * src/lib/CacheStoragePolicy.h
    * src/lib/GpxFileViewItem.h
    * src/lib/CompassFloatItem.h
    * src/lib/MarbleControlBox.h
    * src/lib/MarbleNavigator.h
    * src/lib/PlaceMarkPainter.h
    * src/lib/PlaceMarkManager.h
    * src/lib/TextureTile.h
    * src/lib/AutoSettings.h
    * src/lib/PlaceMarkLayout.h
    * src/lib/MarbleMap_p.h
    * src/lib/MarbleModel.h
    * src/lib/MarbleLegendBrowser.h
    * src/lib/MarbleAbstractFloatItem.h
    * src/lib/kml/KMLFeature.h
    * src/lib/kml/KMLPointParser.h
    * src/lib/kml/KMLFeatureParser.h
    * src/lib/kml/KMLPlaceMarkParser.h
    * src/lib/kml/KMLColorStyleParser.h
    * src/lib/kml/KMLLabelStyleParser.h
    * src/lib/kml/KMLIconStyleParser.h
    * src/lib/kml/KMLDocumentParser.h
    * src/lib/kml/KMLContainerParser.h
    * src/lib/kml/KMLStyleParser.h
    * src/lib/kml/KMLObjectParser.h
    * src/lib/BoundingBox.h
    * src/lib/MarbleSearchListView.h
    * src/lib/LayerManager.h
    * src/lib/FileStoragePolicy.h
    * src/lib/MeasureTool.h
    * src/lib/DeferredFlag.h
    * src/lib/geodata/data/GeoDataFeature.h
    * src/lib/geodata/data/GeoDataHotSpot.h
    * src/lib/geodata/parser/GeoDataParser.h
    * src/lib/geodata/parser/GeoSceneParser.h
    * src/lib/geodata/parser/GeoParser.h
    * src/lib/geodata/scene/GeoSceneProperty.h
    * src/lib/geodata/scene/GeoSceneGroup.h
    * src/lib/geodata/scene/GeoSceneItem.h
    * src/lib/geodata/scene/GeoSceneMapTheme.h
    * src/lib/geodata/scene/GeoSceneTexture.h
    * src/lib/geodata/scene/GeoSceneVector.h
    * src/lib/geodata/scene/GeoSceneSection.h
    * src/lib/geodata/scene/GeoSceneLayer.h
    * src/lib/ScreenPolygon.h
    * src/plugins/designer/marblewidget/MarbleWidgetPlugin.h
    * src/plugins/designer/navigator/MarbleNavigatorPlugin.h
    * src/MarbleViewAdaptor.h
    * src/ControlView.h
    * src/plasmoid/latloneditplugin.h
    * src/plasmoid/latlonedit.h

    Declare constructors which can take one argument explicit.

2008-05-15  Torsten Rahn  <rahn@kde.org>

    * src/lib/MercatorProjection.{cpp,h}:
    * src/lib/SphericalProjection.{cpp,h}:
    * src/lib/GeoPainter.{cpp,h}:
    * src/lib/AbstractProjection.{cpp,h}:
    * src/lib/EquirectProjection.{cpp,h}:
    * src/lib/geodata/data/GeoDataLatLonAltBox.{cpp,h}:
    * src/lib/geodata/data/GeoDataPoint.cpp:
    * src/lib/ViewportParams.{cpp,h}:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.cpp:

    - Making the Marble Overviewmap functional:
      We got a Latitude-Longitude-BoundingBox ("LatLonBox") 
      viewer now ...
    - Adding methods to retrieve the LatLonBox of the view.
    - TODO: Fix sluggish performance for float items
      due to lack of pixmap caching.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.h
    * src/lib/MapThemeManager.cpp
    * src/lib/TileLoaderHelper.cpp
    * src/lib/TinyWebBrowser.h
    * src/lib/TileLoaderHelper.h

    Several small changes:
    - Add my copyright to the files where I contributed in a significant way.
    - Make constructory explicit.
    - Simplify shift expressions in TileLoaderHelper after hint from Inge Wallin.

2008-05-15  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/CrossHairFloatItem.h
    * src/lib/geodata/data/GeoDataPlacemark.cpp
    * src/lib/geodata/data/GeoDataFeature.h
    * src/lib/geodata/data/GeoDataFeature.cpp
    * src/lib/geodata/data/GeoDataPlacemark.h

    - Fix dashboard issues (type qualifiers ignored on function return type).
    - Make constructor explicit.

2008-05-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/CrossHairFloatItem.h
    * src/lib/CrossHairFloatItem.cpp

    - Fix includes.
    - Make constructor explicit.

2008-05-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoaderHelper.cpp

    Replace call to pow with shift expression.

2008-05-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleLegendBrowser.cpp
    * src/lib/MapThemeManager.cpp
    * src/lib/MarbleMap.cpp
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.cpp
    * src/lib/geodata/GeoDataTest.cpp
    * src/lib/geodata/scene/GeoSceneHead.cpp
    * src/lib/geodata/scene/GeoSceneHead.h
    * src/lib/geodata/scene/GeoSceneLayer.h

    Fix includes.

2008-05-14  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/geodata/data/GeoDataFeature.cpp: a fix in constructor:
    d->m_name had not been set

    * src/lib/geodata/data/GeoDataObject.{h,cpp}:
    * src/lib/geodata/data/GeoDataPlacemark.{h,cpp}:
    * src/lib/geodata/data/GeoDataPoint.{h,cpp}:
    * src/lib/geodata/data/GeoDataStyle.{h,cpp}:

    - Change to use the d-pointer technique (second part)
    - Add GEODATA_EXPORT to class declarations

2008-05-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/plugins/marble/overviewmap/MarbleOverviewMap.h

    Make constructor explicit.

2008-05-14  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleAbstractFloatItem.h
    * src/lib/ViewportParams.h

    Export classes MarbleAbstractFloatItem and ViewportParams, needed for
    MarbleOverviewMap plugin.

2008-05-14  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleAbstractFloatItem.cpp:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * data/svg/worldmap.svg:
    * data/CMakeLists.txt:

    - Adding worldmap.svg in equirectangular projection by Torsten Rahn
    - Adding worldmap.svg to the Overviewmap
      TODO: 1.) Create a pixmap cache to improve performance again
            2.) Draw boundingbox and boundingpolygon on top
            3.) Deal generally with the viewport in floatitems

2008-05-13  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/test/MarbleTestPlugin.cpp:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * src/plugins/marble/overviewmap/CMakeLists.txt:
    * src/plugins/marble/CMakeLists.txt:
    * src/lib/MarbleAbstractFloatItem.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/lib/geodata/data/GeoDataColorStyle.cpp:

    - Adding MarbleAbstractFloatItem which is the base for 
      an info box style class (might get renamed like that).
    - Started "Overview Map" plugin.

2008-05-13  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/test/MarbleTestPlugin.cpp:
    * src/plugins/marble/overviewmap/MarbleOverviewMap.{cpp,h}:
    * src/plugins/marble/overviewmap/CMakeLists.txt:
    * src/plugins/marble/CMakeLists.txt:
    * src/lib/MarbleAbstractFloatItem.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/lib/geodata/data/GeoDataColorStyle.cpp:

    - Adding MarbleAbstractFloatItem which is the base for 
      an info box style class (might get renamed like that).
    - Started "Overview Map" plugin.

2008-05-13  Inge Wallin  <inge@lysator.liu.se>

	New class: ProjectionHelper that will collect code that was
	previously spread out.
	* src/lib/AbstractProjectionHelper.{h,cpp}: new file
	* src/lib/SphericalProjectionHelper.{h,cpp}: new file
	* src/lib/EquirectProjectionHelper.{h,cpp}: new file
	* src/lib/MercatorProjectionHelper.{h,cpp}: new file
	* src/lib/AbstractProjection.{h,cpp} (helper): new function
	* src/lib/SphericalProjection.{h,cpp} (helper): new function
	* src/lib/EquirectProjection.{h,cpp} (helper): new function
	* src/lib/MercatorProjection.{h,cpp} (helper): new function
	* src/lib/VectorMap.cpp (paintBase): use new mechanism
	* src/lib/CMakeLists.txt: Include new files

	Actually commit a lot of small changes that I have laying around.
	* src/lib/VectorMap.cpp,
	* src/lib/MarbleMap.cpp,
	* src/lib/TileCreator.cpp,
	* src/lib/AbstractLayer/AbstractLayer.h,
	* src/lib/ViewParams.h,
	* src/lib/TileLoader.cpp,
	* src/lib/MarbleModel.cpp,
	* src/lib/VectorComposer.cpp,
	* src/lib/TileCreator.h,
	* src/lib/geodata/scene/GeoSceneMap.cpp:
	Follow coding standards, add Copyrights

	Remove a FIXME
	* src/lib/MercatorProjection.cpp (screenCoordinates): Remove a FIXME.

	Fix an old FIXME.
	* src/lib/MarbleWidget.cpp (class MarbleWidgetPrivate): Remove
	m_justModified, since it is never used.

	Fix include directives (Krazy issue)
	* src/geoshape/GeoShape.cpp: Remove double include
	* src/geoshape/GeoToolFactory.cpp: Include own header first

	Introduce d-pointer to a public class
	* src/lib/TileCreator.{h,cpp}: d-pointerify

2008-05-13  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/lib/geodata/data/GeoDataColorStyle.{h,cpp}:
    * src/lib/geodata/data/GeoDataContainer.{h,cpp}:
    * src/lib/geodata/data/GeoDataDocument.{h,cpp}:
    * src/lib/geodata/data/GeoDataFeature.{h,cpp}:
    * src/lib/geodata/data/GeoDataFolder.h:
    * src/lib/geodata/data/GeoDataHotSpot.{h,cpp}:
    * src/lib/geodata/data/GeoDataIconStyle.{h,cpp}:
    * src/lib/geodata/data/GeoDataLabelStyle.h:
    * src/lib/geodata/data/GeoDataStyleSelector.h:

    - Change to use the d-pointer technique
    - Add GEODATA_EXPORT to class declarations

2008-05-12  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/data/GeoDataLineString.{cpp,h}:
    * src/lib/geodata/data/GeoDataLinearRing.{cpp,h}:
    * src/lib/geodata/data/GeoDataLatLonAltBox.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:

    - Adding GeoDataLinearRing
    - Adding more GeoDataLineString properties

    * src/lib/ViewportParams.{cpp,h}:
    * src/lib/AbstractProjection.{cpp,h}:

    - Adding latLonAltBox() to ViewportParams and AbstractProjection
    - Adding rectOutline() to AbstractProjection

2008-05-11  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/data/GeoDataLineString.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:

    - Adding the new GeoDataLineString which is supposed
      to replace GeoPolygon at some point.

    * src/lib/MarbleMap.{cpp,h}:

    - Getting rid of a leftover occurance of quickDirty()

2008-05-11  Torsten Rahn  <rahn@kde.org>

    * src/lib/global.h:
    * src/lib/BoundingBox.h:
    * src/lib/geodata/data/GeoDataLatLonAltBox.{cpp,h}:
    * src/lib/geodata/data/GeoDataPoint.{cpp,h}:
    * src/lib/geodata/data/GeoDataGeometry.cpp:
    * src/lib/geodata/CMakeLists.txt:

    - Adding the new GeoDataLatLonAltBox for later use with 
      GeoDataLineString ...
    - Marking the "BoundingBox" deprecated.

2008-05-11  Claudiu Covaci  <claudiu.covaci@gmail.com>

    * src/plugins/marble/satellites/SatellitesPlugin.{h,cpp}: created the files

    - This plugin provides a satellite layer. Which satellites will be 
      displayed and how the data will be obtained is tbd.

2008-05-10  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/data/GeoDataGeometry.{cpp,h}:
    * src/lib/geodata/data/GeoDataPoint.h:
    * src/lib/geodata/CMakeLists.txt:

    - Adding KML's abstract geometry class here, so we 
      can start to work on GeoDataLineString and friends.
      Making GeoDataPoint inherit accordingly.

2008-05-10  Torsten Rahn  <rahn@kde.org>

    * src/lib/MercatorProjection.{cpp,h}:
    * src/lib/SphericalProjection.{cpp,h}:
    * src/lib/GeoPainter.cpp:
    * src/lib/AbstractProjection.{cpp,h}:
    * src/lib/EquirectProjection.{cpp,h}:

    - Implemented a repetition-aware screenCoordinates method
      and applied it to GeoPainter -- now we need to do likewise
      with GeoDataPolygon which will require a few more drastic
      changes to be efficient.

2008-05-09  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/MergedLayerDecorator.cpp
    * src/lib/TextureTile.cpp
    * src/lib/TileLoaderHelper.cpp
    * src/lib/TileCreator.cpp
    * src/lib/TileLoader.cpp
    * src/lib/global.h
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp
    * src/lib/geodata/scene/GeoSceneTexture.cpp
    * src/lib/TileLoaderHelper.h

    Part 6 of groundwork for OpenStreetMap texture tiles.
    Utilize levelZeroColumns and levelZeroRows information. This touches
    mainly TileLoaderHelper and callers.

2008-05-08  Torsten Rahn  <rahn@kde.org>

    * src/lib/MercatorProjection.{cpp,h}:
    * src/lib/SphericalProjection.{cpp,h}:
    * src/lib/EquirectProjection.{cpp,h}:
    * src/lib/AbstractProjection.h:
    * src/lib/GeoPainter.h:

    - First tiny initial step towards the great GeoPainter vector drawing
      unification: creating a "halfstub" for 

    bool screenCoordinates( GeoDataPoint geopoint, const ViewportParams * viewport, int *x, int &y, int &screenPointNum, bool &occulted );

2008-05-08  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.cpp
    * src/lib/geodata/scene/GeoSceneTexture.cpp
    * src/lib/geodata/scene/GeoSceneTexture.h
    * docs/dgml2.dtd

    Part 5 of groundwork for OpenStreetMap texture tiles.
    DGML, add attributes "levelZeroColumns" and "levelZeroRows" to
    element "storageLayout". Default to values of oldest tile themes.

2008-05-07  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileLoaderHelper.cpp

    Part 4 of groundwork for OpenStreetMap texture tiles.
    Implement OpenStreetMap storageLayout in
    TileLoaderHelper::relativeTileFileName.

2008-05-07  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MergedLayerDecorator.h
    * src/lib/TileLoader.h
    * src/lib/MergedLayerDecorator.cpp
    * src/lib/TextureTile.h
    * src/lib/TileLoader.cpp
    * src/lib/MarbleModel.cpp
    * src/lib/HttpDownloadManager.h

    Part 3 of groundwork for OpenStreetMap texture tiles.
    Add slots and signal with serverUrl. This has been in HttpDownloadManager
    but was not connected to the rest.

2008-05-07  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MarbleLegendBrowser.cpp
    * src/lib/MapThemeManager.cpp
    * src/lib/MarbleMap.cpp
    * src/lib/MergedLayerDecorator.cpp
    * src/lib/TextureColorizer.cpp
    * src/lib/ViewParams.cpp
    * src/lib/MarbleModel.cpp
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.cpp
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler.cpp
    * src/lib/geodata/GeoDataTest.cpp
    * src/lib/geodata/parser/GeoDocument.h
    * src/lib/geodata/parser/GeoDataParser.cpp
    * src/lib/geodata/parser/GeoSceneParser.cpp
    * src/lib/geodata/parser/GeoDataParser.h
    * src/lib/geodata/parser/GeoSceneParser.h
    * src/lib/geodata/parser/GeoParser.h
    * src/lib/geodata/scene/GeoSceneGroup.h
    * src/lib/geodata/scene/GeoSceneSettings.h
    * src/lib/geodata/scene/GeoSceneSection.h
    * src/lib/geodata/scene/GeoSceneDocument.cpp
    * src/lib/geodata/scene/GeoSceneDocument.h

    - Fix includes.
    - un-inline geoDataDoc and geoSceneDoc.

2008-05-07  Torsten Rahn  <rahn@kde.org>

    * src/lib/GeoPainter.{cpp,h}:
    * src/plugins/marble/test/MarbleTestPlugin.cpp:

    Initial Annotation support for GeoPainter.

2008-05-06  Torsten Rahn  <rahn@kde.org>

    * src/lib/GeoPainter.{cpp,h}:
    * src/plugins/marble/test/MarbleTestPlugin.cpp:

    - More work on GeoPainter: Addition of drawPolygon, drawImage
    - Declaration of GeoPainter::drawAnnotation

2008-05-05  Inge Wallin  <inge@lysator.liu.se>

	Add missing exports needed in KDE version.
	* src/lib/GeoPainter.h (GeoDataPainter): Export this class
	* src/lib/geodata/data/GeoDataPoint.h (GeoDataPoint): Export this class

2008-05-05 Simon Schmeisser
	
* geoshape (directory):  
 * geoshape/CMakeLists.txt:  
 * geoshape/GeoShape.cpp   [License: LGPL (v2+)]:
 * geoshape/GeoShape.h   [License: LGPL (v2+)]:
 * geoshape/GeoTool.cpp   [License: LGPL (v2+)]:
 * geoshape/GeoTool.h   [License: LGPL (v2+)]:
 * geoshape/GeoToolFactory.cpp   [License: LGPL (v2+)]:
 * geoshape/GeoToolFactory.h   [License: LGPL (v2+)]:
 * geoshape/Plugin.cpp   [License: LGPL (v2+)]:
 * geoshape/Plugin.h   [License: LGPL (v2+)]:
 * geoshape/GeoShapeFactory.cpp   [License: LGPL (v2+)]:
 * geoshape/GeoShapeFactory.h   [License: LGPL (v2+)]:
 * geoshape/geoshape.desktop:

- My first commit to Marble :)
   In theory this adds a Koffice flake shape,
   which uses Marble to display a map. In practice,
   there is quite some buildsystem magic missing
   and also some koffice headers need to be exported.
  In the meantime have a look here for a picture:
  http://developer.kde.org/~tackat/simons_marble_flake.png

2008-05-04  Simon Schmeisser <mail_to_wrt@gmx.de>

    * src/lib/PluginManager.h
    * src/lib/MeasureTool.cpp
    * src/lib/MarbleWidget.cpp
    * src/lib/VectorComposer.h
    * src/lib/MarbleWidget.h
    * src/lib/MarbleLayerInterface.h
    * src/lib/VectorMap.cpp
    * src/lib/MarbleMap.cpp
    * src/lib/GeoPainter.cpp
    * src/lib/MarbleModel.h
    * src/lib/PluginManager.cpp
    * src/lib/MarbleModel.cpp

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/plugins/marble/test/MarbleTestPlugin.{cpp,h}:

    - Getting our very first plugin to work -- wooooohoooo!

    * src/lib/MeasureTool.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/VectorComposer.{cpp,h}:
    * src/lib/MarbleLayerInterface.h:
    * src/lib/VectorMap.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/GridMap.{cpp,h}:

    - Using GeoPainter instead of ClipPainter everywhere.

    * src/lib/PluginManager.{cpp,h}:
    * src/lib/GeoPainter.h:
    * src/lib/LayerManager.{cpp,h}:

    - Doing a temporary solution to get the plugin to work
      without a real LayerManager class.

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/plugins/designer/navigator/CMakeLists.txt:
    * src/plugins/marble/test/MarbleTestPlugin.{cpp,h}:
    * src/plugins/marble/test/MarbleTestPlugin.h:
    * src/plugins/marble/test/CMakeLists.txt:

    - Adding our first test plugin - it doesn't do anything yet.

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/lib/GeoPainter.{cpp,h}:

    - Started to work on the GeoPainter implementation for later usage 
      in plugins (drawPoint, drawText, drawEllipse).

    * src/lib/AbstractProjection.h:
    * src/lib/EquirectProjection.{cpp,h}:
    * src/lib/MercatorProjection.{cpp,h}:
    * src/lib/SphericalProjection.{cpp,h}:
    * src/lib/PlaceMarkLayout.cpp:
    * src/lib/CMakeLists.txt:
    * src/lib/ViewportParams.{cpp,h}:

    - Removed planetAxisMatrix as a parameter from ScreenCoordinates 
      as it was ugly and as there was a workaround without performance penalty.

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleLayerInterface.h:

    - Minor changes and API docs for the Marble Layer Plugin Interface

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleDirs.{cpp,h}:

    - Adding     

        QStringList entryList( const QString& relativePath, QDir::Filters filters  );

      TODO: This could also be useful in MapThemeManager if enhanced.

    * src/lib/MarbleLayerInterface.h:

    - New Plugin Interface to create new layer rendering backends for Marble

    * src/lib/PluginManager.{cpp,h}:

    - Added new plugin manager that searches for new plugins and loads them

    * src/lib/LayerManager.{cpp,h}:
    * src/lib/MarbleModel.cpp:

    - Added a stub for the new LayerManager class.

    * src/lib/CMakeLists.txt:

2008-05-04  Torsten Rahn  <rahn@kde.org>

    * src/plugins/designer/marblewidget/CMakeLists.txt:
    * src/plugins/designer/navigator/CMakeLists.txt:
    * src/plugins/designer/CMakeLists.txt:
    * src/plugins/marblewidget/MarbleWidgetPlugin.cpp:
    * src/plugins/marblewidget/MarbleWidgetPlugin.h:
    * src/plugins/marblewidget/CMakeLists.txt:
    * src/plugins/navigator/MarbleNavigatorPlugin.h:
    * src/plugins/navigator/CMakeLists.txt:
    * src/plugins/navigator/MarbleNavigatorPlugin.cpp:
    * src/plugins/CMakeLists.txt:

    - Moving the designer plugins into their own directory.

2008-05-03  Torsten Rahn  <rahn@kde.org>

    * src/lib/TileCreator.{cpp,h}:
    * src/tilecreator/CMakeLists.txt:

    - Fixing bug #161474

    - the problem was that Patrick had unconsciously assumed
      that the install map would be located in its final place
      already.

2008-05-03  Torsten Rahn  <rahn@kde.org>

    * src/lib/TileCreator.{cpp,h}:
    * src/tilecreator/CMakeLists.txt:

    - Fixing bug #161474

    - the problem was that Patrick had unconsciously assumed
      that the install map would be located in its final place
      already.

2008-05-02  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleLegendBrowser.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/ViewParams.{cpp,h}:
    * src/lib/MarbleMap_p.h::
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:
    * data/maps/earth/citylights/citylights.dgml:
    * data/maps/earth/plain/plain.dgml:
    * data/maps/earth/srtm/srtm.dgml:
    * data/maps/earth/bluemarble/bluemarble.dgml:
    * data/legend.html:
    * src/lib/VectorMap.cpp:
    * src/lib/PlaceMarkLayout.cpp:
    * src/lib/TileLoaderHelper.cpp:
    * src/lib/TextureColorizer.cpp:
    * src/lib/MapThemeManager.cpp:
    * src/lib/MarbleModel.cpp:
    * src/lib/VectorComposer.cpp:
    * src/lib/MarbleControlBox.cpp:

    - Getting rid of the bool members in ViewParams and moving
      properties over to GeoSceneDocument.

2008-05-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TextureTile.cpp

    Fix warning.

2008-05-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/parser/GeoParser.cpp
    * src/lib/geodata/CMakeLists.txt

    Now that there is a GeoDocument.cpp we can remove the definition
    of static variable GeoDocument::s_leakProtector from GeoParser.cpp.

2008-05-02  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/AbstractScanlineTextureMapper.cpp
    * src/lib/MergedLayerDecorator.h
    * src/lib/AbstractScanlineTextureMapper.h
    * src/lib/TileLoader.h
    * src/lib/MergedLayerDecorator.cpp
    * src/lib/TextureTile.cpp
    * src/lib/TileLoaderHelper.cpp
    * src/lib/TextureTile.h
    * src/lib/TileLoader.cpp
    * src/lib/MarbleModel.h
    * src/lib/MarbleModel.cpp
    * src/lib/geodata/parser/GeoDocument.cpp
    * src/lib/TileLoaderHelper.h
    * src/tilecreator/CMakeLists.txt

    Part 2 of groundwork for OpenStreetMap texture tiles.
    - Rework setMapTheme: pass GeoSceneTexture pointer instead of string
      and rename to setTextureLayer.
    - Small fix in MarbleModel: set texture layer of tile loader before
      calling setProjection.
    - Inclusion of GeoDocument.cpp so that we can remove the definition of
      class variable GeoDocument::s_leakProtector from GeoParser.cpp.

2008-05-02  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/TextureColorizer.cpp (colorize): Cleaning and comments

	Cleaning in preparation for other, new stuff
	* src/lib/VectorMap.cpp (sphericalCreatePolyLine): Cleaning
	(rectangularCreatePolyLine): Cleaning

2008-05-02  Torsten Rahn  <rahn@kde.org>

    - Getting toggling the border feature working again - this time via the
      DGML2 "framework". Fixing lots of bugs on the way there.
    - introducing lots of qDebug statements (sorry!) for now.

    * src/lib/MarbleLegendBrowser.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneGroup.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.cpp:
    * src/lib/MarbleWidget.cpp:
    * src/lib/MarbleControlBox.cpp:
    * src/lib/VectorComposer.cpp:
    * src/lib/geodata/scene/GeoSceneProperty.cpp:

2008-05-02  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/scene/GeoSceneGroup.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:

    - Adding setters and getters to change the value of a  particular
      property throughout the hierarchy.

    * src/lib/ViewParams.{cpp,h}:
    * src/lib/MarbleModel.cpp:

    - Spring Cleanup: remove old members like m_oldProjection, added FIXMEs

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleMap.cpp:
    * src/lib/MarbleLegendBrowser.{cpp,h}:
    * src/lib/MarbleControlBox.cpp:

    - Further connect the MarbleControlBox to the settings.

    * data/maps/earth/plain/plain.dgml:
    * data/maps/earth/srtm/srtm.dgml:

    - Changed boundaries -> borders for now.

2008-05-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapThemeManager.cpp:
    * src/lib/MarbleMap.cpp:
    * src/lib/MarbleControlBox.cpp:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneHead.cpp:

    - Cleanup: remove redundant mini/maximumZoom from MarbleModel,
      remove qDebugs, fixing the mapThemeId, some minor regressions and 
      bugs.

2008-05-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleMap.cpp:
    * src/lib/MarbleModel.{cpp,h}:

    - Fixing changing of projections using yet another workaround 
      before we introduce the LayerManager.

2008-05-01  Torsten Rahn  <rahn@kde.org>

    * src/MarbleTest.cpp:
    * src/QtMainWindow.cpp:
    * src/lib/MarbleControlBox.cpp:  
    * src/lib/MarbleLegendBrowser.{cpp,h}:  
    * src/lib/MarbleMap.{cpp,h}:  
    * src/lib/MarbleModel.{cpp,h}:  
    * src/lib/MarbleWidget.{cpp,h}:  
    * src/lib/ViewParams.{cpp,h}:  
    * src/lib/geodata/scene/GeoSceneHead.{cpp,h}:  
    * src/lib/geodata/scene/GeoSceneLayer.{cpp,h}:  
    * src/marble_part.cpp: 

    - mapTheme -> mapThemeId
    - mapThemeObject -> mapTheme
    - Instantiating the GeoSceneDocument object in Viewparams now.
    - Afterwards its pointer gets passed to MarbleModel (later: LayerManager)
      to feed the parameters to the backends.

    * src/lib/VectorMap.{cpp,h}:  
    - performance fix in VectorMap::getDetailLevel by Pino Toscano ...


2008-05-01  Inge Wallin  <inge@lysator.liu.se>

	// Paint the background for the mercator projection.
	* src/lib/VectorMap.{h,cpp} (mercatorPaintBase): New function
	* src/lib/VectorMap.cpp (paintBase): Call mercatorPaintBase

2008-05-01  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.cpp
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.cpp
    * src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.h
    * src/lib/geodata/scene/GeoSceneTexture.cpp
    * src/lib/geodata/scene/GeoSceneTexture.h
    * src/lib/geodata/CMakeLists.txt
    * docs/dgml2.dtd

    Add storageLayout element to DGML in order to support different
    storage layouts. This is needed for OpenStreetMap.

2008-04-30  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/geodata/handlers/dgml/DGMLSourceFileTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLHeadTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLAuxillaryDictionary.cpp
    * src/lib/geodata/handlers/dgml/DgmlAuxillaryDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLMinimumTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLNameTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLValueTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLMapTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLMaximumTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLDescriptionTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLTargetTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLIconTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLSourceFileTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlInstallMapTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLMaximumTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLMapTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLDocumentTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLPenTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLNameTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLDiscreteTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLThemeTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.h
    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLVectorTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlElementDictionary.cpp
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlTextTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLSourceDirTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLSettingsTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlHeadTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLVisibleTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLHeadingTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlAuxillaryDictionary.cpp
    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlMinimumTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLAvailableTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlValueTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLZoomTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLTargetTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDescriptionTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLVisibleTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlIconTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.cpp
    * src/lib/geodata/handlers/dgml/DGMLLegendTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLSettingsTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlTextureTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlSourceFileTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlMapTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlMaximumTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDocumentTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlPenTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLBrushTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLAvailableTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlNameTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLZoomTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLGroupTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLVectorTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlThemeTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlDiscreteTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLInstallMapTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlVectorTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLMinimumTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLAuxillaryDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlLayerTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLDescriptionTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlSourceDirTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLGroupTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLSourceDirTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlHeadingTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlSectionTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLInstallMapTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLDocumentTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLTextTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlTargetTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLPenTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlVisibleTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLLegendTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlItemTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlAttributeDictionary.cpp
    * src/lib/geodata/handlers/dgml/DgmlLegendTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.h
    * src/lib/geodata/handlers/dgml/DgmlSettingsTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLHeadTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLDiscreteTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLThemeTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLValueTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlBrushTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlPropertyTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DgmlAvailableTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.cpp
    * src/lib/geodata/handlers/dgml/DGMLIconTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLBrushTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlZoomTagHandler.h
    * src/lib/geodata/handlers/dgml/DGMLTextTagHandler.h
    * src/lib/geodata/handlers/dgml/DgmlGroupTagHandler.cpp
    * src/lib/geodata/handlers/dgml/DGMLHeadingTagHandler.cpp
    * src/lib/geodata/parser/GeoSceneParser.cpp
    * src/lib/geodata/scene/GeoSceneMap.cpp
    * src/lib/geodata/CMakeLists.txt

    Naming convention: DGML -> Dgml.

2008-04-27  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/ViewParams.cpp:

    - Getting rid of "parent" in MarbleModel::setMapTheme() ...

    * src/lib/geodata/scene/GeoSceneLayer.cpp:

    - mem leak fix in GeoSceneLayer.

    * src/lib/MarbleLegendBrowser.{cpp,h}:

    - Initial change towards getting properties connected to 
      the LegendBrowser.

2008-04-27  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.cpp:
    * src/lib/ViewParams.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneGroup.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneDocument.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneProperty.{cpp,h}:

    - QObjectifiying GeoSceneDocument, Settings, Group and Property.
    - Adding valueChanged( QString property, bool enabled ) signals.
    - Adding GeoSceneDocument style mapTheme setters and getters to 
      ViewParams ...

2008-04-27  Inge Wallin  <inge@lysator.liu.se>

	Add a maxLat() method to all projections.
	* src/lib/AbstractProjection.h (maxLat): New method
	(m_maxLat): new member
	* src/lib/MercatorProjection.cpp (MercatorProjection): Set
	m_maxLat to 85.05113 degrees (the max allowed value)
	(geoCoordinates): Make calculation clearer.
	* src/lib/SphericalProjection.cpp (MercatorProjection): Set
	m_maxLat to 90.0 degrees.
	* src/lib/EquirectProjection.cpp (MercatorProjection): Set
	m_maxLat to 90.0 degrees.
	
2008-04-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/Quaternion.h:

    Remove empty destructor.

2008-04-26  Torsten Rahn  <rahn@kde.org>

    * src/lib/TextureColorizer.cpp:

    - cleanup of TextureColorizer::generatePalette(), faster startup

2008-04-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/Quaternion.h:

    Make Quaternion non-virtual, that gives me a 4,5% better
    performance with --timedemo.

2008-04-26  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MergedLayerDecorator.h:
    * src/lib/MergedLayerDecorator.cpp:

    Fix include statements for Qt header: add Qt module.

2008-04-26  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLGroupTagHandler.{cpp,h}:
    * src/lib/geodata/GeoDataTest.cpp:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneGroup.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:

    - Introducing the group tag for settings properties.
      This tag is just for categorizing the properties
      and doesn't have a role concerning the 
      legend view. However if one were to develop 
      an alternative treeview which would just be 
      created around the properties themselves then
      this element can be used to categorize the properties.
      Additionally it will get used for saving the 
      values of the properties inside the rc-files in 
      the future.

2008-04-25  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileId.cpp:
    * src/lib/TileId.h:

    Remove operator< for TileId because it is not needed.

2008-04-25  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileId.cpp:
    * src/lib/TileId.h:

    Fix performance regression of the TileId patch of 2008-04-24.
    - make operators and hash function friends of TileId so they can
      access the members directly.
    - improve hash function, no more QString usage here.
    - fix for operator<, comparison of m_tileX was wrong.

    --timedemo results for my machine, average of 5 runs each:
    before TileId patch: 13722 ms, 14,575 fps
    with TileId patch:   18103 ms, 11,048 fps (32% regression)
    with TileId fixed:   13788 ms, 14,506 fps (0,5% regression)

2008-04-25  Inge Wallin  <inge@lysator.liu.se>

	Crazy issue 13: Proper include directives
	* src/marble_part.cpp: duplicate include
	* src/tilecreator/tccore.h: add include guard

	Crazy issue 25: Spelling errors
	* src/lib/geodata/scene/GeoSceneMap.h: Spelling fixes
	
	Crazy issue 6: Single char QStrings better written as a QChar
	* src/lib/MapThemeManager.cpp (createMapThemeRow): 

2008-04-25  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLValueTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLEnabledTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.{cpp,h}:
    * src/lib/geodata/GeoDataTest.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneItem.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSection.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneProperty.{cpp,h}:
    * data/maps/earth/srtm/srtm.dgml:

    - Changing the "Enabled" element to "Value"
    - Introducing the "Connect(To)" attribute in the legend's items and sections.

2008-04-24  Torsten Rahn  <rahn@kde.org>

    * src/MarbleTest.cpp:

    - Reverting patch from Jordi Polo which rather seems to
      fix symptoms than the actual issue.
    - Making sure Marble will always execute the test at 
      normal MapQuality and using the SRTM map. 

2008-04-24  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/TileId.cpp:
    * src/lib/MergedLayerDecorator.h:
    * src/lib/TileId.h:
    * src/lib/MergedLayerDecorator.cpp:
    * src/lib/TextureTile.cpp:
    * src/lib/TileCache.cpp:
    * src/lib/TextureTile.h:
    * src/lib/TileLoader.cpp:
    * src/lib/TileCache.h:
    * src/lib/CMakeLists.txt:

    Add class TileId because int is not sufficient for higher zoom levels.

2008-04-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/XmlHandler.cpp:
    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/GpxFileViewItem.h:
    * src/lib/ViewParams.cpp:
    * src/lib/BoundingBox.cpp:
    * src/lib/kml/KMLObject.cpp:
    * src/lib/SunControlWidget.h:

    Fix include statements for Qt header: add Qt module.

2008-04-23  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/gps/GpxFile.cpp:
    * src/lib/gps/Track.cpp:
    * src/lib/gps/TrackContainer.cpp:
    * src/lib/gps/GpsElement.h:
    * src/lib/gps/GpxSax.cpp:
    * src/lib/gps/GpsTracking.cpp:
    * src/lib/gps/GpxFileModel.cpp:
    * src/lib/gps/TrackSegment.cpp:
    * src/lib/gps/GmlSax.cpp:
    * src/lib/AbstractLayer/AbstractLayerContainer.cpp:
    * src/lib/AbstractLayer/AbstractLayerData.cpp:
    * src/lib/geodata/handlers/kml/KMLFolderTagHandler.cpp:
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLHeadTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLVectorTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLMapTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLDocumentTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLLegendTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLSettingsTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLZoomTagHandler.cpp:
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler.cpp:
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler.cpp:
    * src/lib/geodata/GeoDataTest.cpp:
    * src/lib/geodata/data/GeoDataDocument.h:
    * src/lib/geodata/data/GeoDataObject.cpp:
    * src/lib/geodata/parser/GeoDataParser.cpp:
    * src/lib/geodata/parser/GeoTagHandler.cpp:
    * src/lib/geodata/parser/GeoSceneParser.cpp:
    * src/lib/geodata/parser/GeoParser.cpp:
    * src/lib/geodata/parser/GeoTagHandler.h:
    * src/plugins/marblewidget/MarbleWidgetPlugin.cpp:
    * src/plugins/marblewidget/MarbleWidgetPlugin.h:
    * src/plugins/navigator/MarbleNavigatorPlugin.h:
    * src/plugins/navigator/MarbleNavigatorPlugin.cpp:
    * src/plasmoid/latloneditplugin.cpp:
    * src/plasmoid/latlonedit.cpp:
    * src/plasmoid/worldclock.cpp:
    * src/plasmoid/latlonedit.h:
    * tools/svg2pnt/svgxmlhandler.cpp:
    * tools/svg2pnt/svg2pnt.cpp:
    * tools/svg2pnt/svgxmlhandler.h:
    * tests/GeoPolygonTest.cpp:
    * tests/MarbleWidgetTest.cpp:

    Fix include statements for Qt header: add Qt module.

2008-04-22  Torsten Rahn  <rahn@kde.org>

    * src/marble_part.{cpp,h,rc}:
    * src/QtMainWindow.cpp:
    * src/marble.kcfg:
    * src/marbleui.rc:
 
    - Adding Clouds, Atmosphere and Copy Coordinates to 
      the KDE interface.

2008-04-22  Torsten Rahn  <rahn@kde.org>

    * ChangeLog:
    * src/QtMainWindow.cpp:
    * src/lib/MarbleWidgetPopupMenu.cpp:
    * src/lib/geodata/data/GeoDataPoint.cpp:

    - Don't forget that GeoDataPoint makes the altitude parameter
      mandatory when choosing units ... Fixes wrong coordinates 
      being copied.
    - Fixing missing colons in Patrick's and Jens' Changelog
      entries. ( prevents proper highlightning in Kate ) :-)

2008-04-22  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidgetPopupMenu.{cpp,h}:

    - Small m_p-> m_ cleanup, "Copy Coordinates" Action on LMB.

    * src/QtMainWindow.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/ViewParams.{cpp,h}:
    * src/lib/MarbleModel.cpp:
    * src/lib/geodata/data/GeoDataPoint.cpp:

    - Adding Atmosphere and Clouds Cover to the Qt frontend menu.
    - Adding "Edit->Copy Coordinates" Action to the Qt frontend.

2008-04-22  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.h:
    * src/lib/MapThemeManager.cpp:

    Use QFileSystemWatcher in MapThemeManager.
    On the signal directoryChanged the list of watched paths gets
    updated and MapThemeModel gets updated using updateMapThemeModel.
    On the signal fileChanged the corresponding item of the model
    gets removed or updated.
    There is some potential to optimize left. For example in case of
    directoryChanged we could update only the corresponding part of
    the model if any.

2008-04-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.cpp:

    - Remove unused local variable.
    - Remove pointless delete.

2008-04-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.cpp:

    - Don't allocate local GeoSceneParser variable dynamically.
    - Remove useless null check.

2008-04-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.cpp:
    * src/lib/TileCreator.cpp:
    * src/marble_part.cpp:

    Remove extra semicolons.

2008-04-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.h:
    * src/lib/MapThemeManager.cpp:

    Move code from MapThemeManager::findMapThemes that is duplicated
    for local (.marble) and system (kde/share/apps/marble) directories
    to overloaded helper method.

2008-04-21  Jens-Michael Hoffmann  <jensmh@gmx.de>

    * src/lib/MapThemeManager.cpp:
    * src/lib/MapThemeManager.h:

    This patchs removes the parameter of MapThemeManager::findMapThemes because it 
    is constant ("maps/"). Removes redundant occurrence of literal "maps/" 
    inside, too.

2008-04-20  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt:
    * src/tilecreator/CMakeLists.txt:
    
    - make the option useful (it was behind the actual code using it)
    - fix one typo
    
2008-04-20  Patrick Spendrin    <ps_ml@gmx.de>

    * CMakeLists.txt:
    * data/CMakeLists.txt:
    * src/tilecreator/CMakeLists.txt:
    
    * src/lib/MarbleDirs.cpp:
    * src/tilecreator/tccore.cpp:
    
    - add an option to create the tiles of srtm data at compiletime
      this should make it possible to ship marble with it
    - use QCoreApplication for the tilecreators sake
    
    
2008-04-20  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme.{cpp,h}:

    - Replaced by GeoSceneDocument and MapThemeManager.

    * src/lib/MarbleLegendBrowser.cpp:
    * src/lib/MapThemeManager.cpp:
    * src/lib/MarbleControlBox.h:
    * src/lib/MarbleThemeSelectView.cpp:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/MarbleControlBox.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/marble_part.cpp:
    * data/maps/earth/citylights/citylights.dgml:
    * data/maps/earth/plain/plain.dgml:
    * data/maps/earth/srtm/srtm.dgml:
    * data/maps/earth/srtm/srtm.dgm2:
    * data/maps/earth/bluemarble/bluemarble.dgml:
    * data/CMakeLists.txt:

    - Replacing all of the DGML code by DGML2 code
    - Delayed Initialization for MapThemeModel
    - Ported DGML files to DGML2 format.

2008-04-20  Patrick Spendrin    <ps_ml@gmx.de>

    * src/tilecreator/main.cpp:
    * src/tilecreator/CMakeLists.txt:
    
    - add a first layout how to run the tilecreator in cmake

2008-04-19  Torsten Rahn  <rahn@kde.org>

    Now everything has been ported to emulate the old
    behaviour. Only the dgml-maps are missing.
    For the full port to DGML we need to add the 
    Layermanagement class now ...

    Switch the four DGML2 defines to 1 to see the
    (not that visible) difference.

    * src/ControlView.cpp:
    * src/lib/MapThemeManager.cpp:
    * src/lib/MarbleControlBox.{cpp,h}:

    - Make the MarbleControlBox work with DGML2

2008-04-19  Patrick Spendrin    <ps_ml@gmx.de>

    * AbstractScanlineTextureMapper.cpp:  
    * CMakeLists.txt:
    * MergedLayerDecorator.cpp:
    * TextureTile.cpp:
    * TextureTile.h:
    * TileCreator.cpp:
    * TileLoader.cpp:
    * TileLoader.h:
    * TileLoaderHelper.cpp:
    * global.h:

    - use TileLoaderHelper helper functions now 
    - move the TileDigits constant to global.h

2008-04-19  Patrick Spendrin    <ps_ml@gmx.de>

    * src/lib/TileLoaderHelper.h:
    * src/lib/TileLoaderHelper.cpp:
    
    Move some tile independent functions out of TileLoader so they 
    can be used from TileLoader and TileCreator
    
2008-04-19  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/MarbleModel.cpp: cleaning
	(destructor): delete m_mapTheme

2008-04-19  Torsten Rahn  <rahn@kde.org>

    * lib/MarbleWidget.cpp:
    * lib/AbstractScanlineTextureMapper.h:
    * lib/MergedLayerDecorator{cpp,h}:
    * lib/TextureTile.h:
    * lib/TileLoader{cpp,h}:
    * lib/MarbleModel{cpp,h}:
    * lib/CMakeLists.txt:
    * lib/MergedLayerPainter{cpp,h}:

    - Renaming MergedLayerPainter -> MergedLayerDecorator

2008-04-19  Torsten Rahn  <rahn@kde.org>

    * src/lib/AbstractScanlineTextureMapper.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/SunLocator{cpp,h}::
    * src/lib/TileLoader.h:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/MergedLayerPainter.{cpp,h}:

    Patch by David Roberts:

    - Patch to move the Merged Layer Painter into the TextureMapper class.
    - Removes all those strange occurances of SunLocator, etc. from 
      TileLoader and TextureTile.
    - Makes it possible to switch clouds and Tile IDs on and off later on ...

2008-04-19  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapThemeManager.{cpp,h}:
    * src/lib/MapTheme.h:
    * src/lib/geodata/scene/GeoSceneSection{cpp,h}::

    - Some initial work on MapThemeManager

2008-04-18  Patrick Spendrin  <ps_ml@gmx.de>

    * src/tilecreator/tccore.h
    * src/tilecreator/tccore{cpp,h}:
    
    - remove the unused destructor of the wrapper class
    
2008-04-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleModel{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLVectorTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLPenTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLBrushTagHandler.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneVector{cpp,h}:
    * src/lib/geodata/scene/GeoSceneLayer{cpp,h}:
    * data/maps/earth/srtm/srtm.dgm2:

    - Adding Pen and Brush tag to vector tag. 
    - Emulating old behaviour concerning colors with new DGML2 stuff.

2008-04-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLSourceFileTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLVectorTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneVector.{cpp,h}:
    * data/maps/earth/srtm/srtm.dgm2:

    - Adding vector data structure to DGML2, so we can port over 
      the colors of the vector features.

2008-04-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleLegendBrowser{cpp,h}::
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneSection{cpp,h}::
    * data/maps/earth/srtm/srtm.dgm2:

    - Bare port of LegendBrowser to DGML2
    - Compile DGMLHeadingHandler, too ...
    - Getting srtm.dgml2 closer to the real deal.

2008-04-17  Inge Wallin  <inge@lysator.liu.se>

	Remove unused member
	* src/lib/MarbleModel{cpp,h}: (MarbleModelPrivate::m_projection): removed

2008-04-17  Patrick Spendrin <ps_ml@gmx.de>

    * lib/TileCreator.h
    * tilecreator/CMakeLists.txt
    * main{cpp,h}:
    * tilecreator/tccore{cpp,h}:
    * tilecreator/tccore.h

    first try to make the tilecreator 

2008-04-17  Patrick Spendrin <ps_ml@gmx.de>

    Patch by: Claudiu Covaci
    
    * lib/ExtDateTime{cpp,h}:
    * lib/ExtDateTime.h
    * lib/MergedLayerPainter{cpp,h}:
    * lib/MergedLayerPainter.h
    * lib/SunLocator{cpp,h}:
    * lib/SunLocator.h
    * lib/geodata/GeoDataTest{cpp,h}:
    * lib/geodata/scene/GeoSceneZoom{cpp,h}:
    * lib/kml/KMLLabelStyleParser{cpp,h}:
    * plasmoid/latlonedit{cpp,h}:
    * plasmoid/worldclock{cpp,h}:
    * plasmoid/worldclock.h
 
    more Krazy issues
    
2008-04-16  Patrick Spendrin <ps_ml@gmx.de>

    * CMakeLists.txt:
    * lib/CMakeLists.txt:
    * lib/geodata/geodata_export.h:
    * lib/geodata/data/GeoDataContainer.h:
    * lib/geodata/handlers/dgml/DGMLElementDictionary.h:
    * lib/geodata/parser/GeoDataParser.h:
    * lib/geodata/parser/GeoParser.h:
    * lib/geodata/parser/GeoSceneParser.h:
    * lib/geodata/scene/GeoSceneDocument.h:
    * lib/geodata/scene/GeoSceneHead.h:
    * lib/geodata/scene/GeoSceneIcon.h:
    * lib/geodata/scene/GeoSceneProperty.h:
    * lib/geodata/scene/GeoSceneSettings.h:
    * lib/geodata/scene/GeoSceneZoom.h:

    fix geodata library part
    The export should be correct if this library should be used outside of libmarblewidget

2008-04-17  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleModel{cpp,h}::

    - Porting setMapTheme over to DGML2.
      (Currently #if 0 ed out but almost works already).
      This should later on get replaced altogether by 
      the Layer Management Class based mechanism.

    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLThemeTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLAuxillaryDictionary{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLNameTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLTextTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLSourceDirTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLInstallMapTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLAuxillaryDictionary.h:
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLMapTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLDescriptionTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLTargetTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLIconTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLHeadingTagHandler{cpp,h}::

    - Trimming away leading and trailing white spaces where needed

    * src/lib/geodata/scene/GeoSceneLayer.{cpp,h}:

    - Moving "role" from the AbstractDataset class up to the Layer.
    - Documenting the API 

    * src/lib/geodata/scene/GeoSceneMap.{cpp,h}:

    - Adding hasTextureLayer() and hasVectorLayer.

    * docs/dgml2.txt:
    * data/maps/earth/srtm/srtm.dgm2:

    - Moving "role" from the AbstractDataset class up to the Layer.
    - Bugfixes.

2008-04-17  Torsten Rahn  <rahn@kde.org>

    Patch by: Claudiu Covaci

    * src/lib/MarbleNavigationSettingsWidget.ui:
    * src/lib/MarbleViewSettingsWidget.ui:
    * src/lib/AbstractLayer/AbstractLayerData.h:
    * src/lib/SunLocator.h:
    * src/lib/ExtDateTime.h:
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * src/lib/geodata/scene/GeoSceneZoom{cpp,h}::

    Krazy-compliance:
    - typo corrections
    - "use your own header first" fixes

2008-04-17  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler.h:
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.h:
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary{cpp,h}::
    * src/lib/geodata/scene/GeoSceneTexture.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneLayer.{cpp,h}:

    - Changing attribute names: plugin -> backend, type -> role;
    - Introduction of a type for each dataSet.
    - Type checking for dataSets against layer backend.

2008-04-17  Torsten Rahn  <rahn@kde.org>

    * data/maps/earth/srtm/srtm.dgm2:

    - Some DGML2 sample data.

2008-04-16  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapThemeManager.{cpp,h}:

    - we don't need MapThemeManager::open ...

    * src/lib/geodata/handlers/kml/KMLFolderTagHandler{cpp,h}::
    * src/lib/geodata/handlers/kml/KMLDocumentTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLHeadTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLSectionTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLLegendTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLSettingsTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLMapTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLDocumentTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLZoomTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler{cpp,h}::
    * src/lib/geodata/handlers/gpx/GPXgpxTagHandler{cpp,h}::
    * src/plasmoid/latloneditplugin{cpp,h}::
    * src/plasmoid/latlonedit{cpp,h}::
    * src/plasmoid/worldclock{cpp,h}::

    Patch by: Jens-Michael Hoffmann

    - Include own header first!

2008-04-16  Torsten Rahn  <rahn@kde.org>
    * src/lib/MapThemeManager.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/ControlView.h:

    Welcome MapThemeManager, welcome GeoSceneDocument!
    This is going to replace the MapTheme-kludge now
    and furthermore preparing for the new layer management

    - Adding MapThemeManager stub to ControlView
    - Parsing a dummy DGML2 file in the
      MarbleModel::setMapTheme() method as an initial 
      introduction of the whole GeoScene model

    * data/CMakeLists.txt:
    Adding a test dgml file. This needs to get renamed
    from .dgm2 to .dgml later on again once everything works
    as expected.

2008-04-11  Torsten Rahn  <rahn@kde.org>
    * docs/dgml2.txt:

    - A few adjustments to the DGML2 format.

    * src/lib/HttpDownloadManager{cpp,h}::
    * src/lib/MarbleModel{cpp,h}::
    * src/plasmoid/worldclock{cpp,h}::

    - Patch by Jens-Michael Hoffmann:
    Remove redundant null pointer checks

    * src/lib/geodata/handlers/dgml/DGMLTextureTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLSourceDirTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLInstallMapTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLLayerTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLTextTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.{cpp,h}:
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneTexture.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneLayer.{cpp,h}:

    - Basically completing work on DGML2 parser
    (except for Vector and Geodata tags which we'll take care of later on ..)

    * src/lib/geodata/data/GeoDataContainer{cpp,h}::
    * src/lib/geodata/data/GeoDataFeature.h:

    - Moving public Ctor for Abstract class to protected section ...

2008-04-03  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/scene/GeoSceneItem.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSection.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLIconTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLItemTagHandler{cpp,h}::
    * src/lib/geodata/scene/GeoSceneLegend{cpp,h}::
    * src/lib/geodata/scene/GeoSceneHead.h:
    * docs/dgml2.txt:

    - Completing parsing for GeoSceneItem and GeoSceneSection.

2008-04-03  Torsten Rahn  <rahn@kde.org>

    * src/lib/global.h:
    * src/marble.kcfg:
    * src/marble_part{cpp,h}::

    - Implemented the setting which enables the user to let
    Marble remember the last position on quit 
    (or uses the Home Location on startup instead).

2008-04-01  Torsten Rahn  <rahn@kde.org>

    * data/placemarks/cities.txt:
    * data/placemarks/cityplacemarks.cache:
    * data/placemarks/cityplacemarks.kml:

    - Corrected polish cities accents/letters by Médéric Boquien.

2008-04-01  Torsten Rahn  <rahn@kde.org>

    * data/placemarks/cities.txt:
    * data/placemarks/cityplacemarks.cache:
    * data/placemarks/cityplacemarks.kml:

    - Corrected polish cities accents/letters by Médéric Boquien.

2008-04-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleViewSettingsWidget.ui:
    * src/marble.kcfg:
    * src/marble_part{cpp,h}::

    - Enabling Quality Settings in the KDE Marble settings
    dialog.

2008-04-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleWidgetInputHandler{cpp,h}::

    - Added Quality Settings and a ViewContext to Marble Widget
    - Removed setQuickDirty(true) and quickDirty() as those 
      can now be perfectly emulated by choosing MapQuality::Low.
    - Honoring viewContexts for the middle mouse button / wheel

    * examples/example2.ui:

    - Removed "Quick Dirty" checkbox from the 2nd example.

    * src/lib/ViewParams.{cpp,h}:
    * src/lib/MarbleMap{cpp,h}::
    * src/lib/MarbleControlBox{cpp,h}::
    * src/lib/MarbleModel{cpp,h}::
    * src/lib/GlobeScanlineTextureMapper{cpp,h}::
    * src/lib/VectorComposer{cpp,h}::

    - Added Quality Settings to Marble Map

2008-03-26  Inge Wallin  <inge@lysator.liu.se>

	Remove some old FIXMEs.
	* src/lib/MarbleMap_p{cpp,h}: (m_modelIsOwned): new member
	* src/lib/MarbleMap{cpp,h}: (constructors): keep track of if the model
	is owned.
	(destructor): only delete model if it's owned.
	(update): removed
	(updateGps): Don't call update()
	(paint): removed
	(doPaint): renamed into paint()
	* src/lib/MarbleWidget{cpp,h}: (construct): Disabled a few connect()s
	* src/lib/MarbleTool{cpp,h}:: fixed some comments
	* src/lib/MercatorProjection{cpp,h}:(screenCoordinates): removed FIXME
	* src/lib/SunLocator.{h,cpp} (shading): use lon/lat instead of lat/lon
	* src/lib/MergedLayerPainter{cpp,h}: (paintSunShading): use new convention
	* src/lib/TextureTile{cpp,h}: (loadTile): Indent
	* src/lib/ViewParams{cpp,h}:: Remove 2 FIXMEs
	
	Remove unnecessary function
	* src/lib/MarbleWidget.{h,cpp} (paint): removed

	Remove some unneeded members.
	* src/lib/MeasureTool.h (m_visibleArea, m_centerLat, m_centerLon,
	m_radius): remove

	Fix repetition of drawing of the measure tool in some
	projections. Also change some function names.
	* src/lib/MeasureTool{cpp,h}: (drawDistancePath): Draw repetition
	(paintMeasurePoints)      -> paint
	(paintDistancePoints)     -> drawDistancePoints
	(paintMark)               -> drawMark
	(paintTotalDistanceLabel) -> drawTotalDistanceLabel
	(testbug)                 -> testBug
	* src/lib/MarbleMap{cpp,h}: (doPaint): call paint() instead of old name

2008-03-25  Torsten Rahn  <rahn@kde.org>

    * src/lib/global.h:
    - introducing several enums which are needed for settings. 
    (DistanceUnit, AngleUnit, MapQuality, LabelLocalization, 
     etc.)

    * src/marble_part.{cpp,h}:
    * src/lib/MarbleControlBox.ui:
    * src/lib/geodata/data/GeoDataPoint.h:
    * src/marble.kcfg:
    * src/marble_part.h:
    * src/ControlView.h:
    * src/settings.kcfgc:

    - kcfg-izing the settings. 
    - Making the volatileTileCacheLimit setting work.

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleMap.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:

    - fixed wrong assumption that the cache is measured in bytes
      internally. Just like QPixmapCache it gets measured 
      in kiloBytes instead. Beware: the UI specifies things in
      MegaByte.

    * src/lib/MarbleViewSettingsWidget.ui:
    * src/lib/MarbleNavigationSettingsWidget.ui:
    * src/lib/MarbleCacheSettingsWidget.ui:

    - Splitted up the settings ui and kcfg-ized it.
    - made some strings more user readable.

2008-03-19  Inge Wallin  <inge@lysator.liu.se>

	Get rid of unnecessary member
	* src/lib/VectorMap.{h,cpp}: Remove unnecessary member m_imgradius

	Get rid of unnecessary members.
	* src/lib/VectorMap.{h,cpp}: Remove unnecessary members
	m_rad2Pixel, m_planetAxis and make them local variables instead.

	Krazy fixes:Check for contractions in strings 
	* src/lib/geodata/handlers/dgml/DGMLMinimumTagHandler{cpp,h}:, 
	* src/lib/geodata/handlers/dgml/DGMLMaximumTagHandler{cpp,h}::
	Fix

	Get rid of unnecessary members.
	* src/lib/VectorMap.{h,cpp}: Remove unnecessary members
	m_boundary, m_centerLon and m_centerLat and make them local
	variables instead.

	Get rid of an unnecessary member.
	* src/lib/VectorMap.{h,cpp}: Get rid of m_radius and take a
	ViewportParams* as parameter where necessary.
	* src/lib/VectorComposer{cpp,h}: (paintBaseVectorMap): Use new calling
	conventions

2008-03-17  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/VectorMap.{h,cpp} (createPolyLine): Take ViewportParams
	instead of Projection.
	(getDetailLevel): Take radius parameter instead of using m_radius.

2008-03-13  Inge Wallin  <inge@lysator.liu.se>

	Improve API for VectorMaps (start of projection independence):
	* src/lib/VectorMap.{h,cpp}: Take a ViewportParams instead of
	ViewParams everywhere
	* src/lib/VectorComposer{cpp,h}: (paintVectorMap): Use new call
	conventions for the VectorMap

	Make drawPlaceMarks() projection independent.
	* src/lib/PlaceMarkPainter{cpp,h}: (drawPlaceMarks): 
	  - Make it projection independent
	  - Take a ViewportParams instead of a ViewParams.
	* src/lib/PlaceMarkPainter.h (drawPlaceMarks): Take a
	ViewportParams instead of a ViewParams.
	* src/lib/PlaceMarkLayout{cpp,h}: (paintPlaceFolder): Call
	drawPlaceMarks() using new signature.

	Krazy fixes: Check for proper include directives:
	* src/lib/gps/Track{cpp,h}:,
	* src/lib/kml/KMLContainer{cpp,h}:,
	* src/lib/geodata/data/GeoDataContainer{cpp,h}:,
	* src/lib/geodata/data/GeoDataPlacemark{cpp,h}:,
	* src/lib/geodata/parser/GeoDataParser{cpp,h}:,
	* src/lib/geodata/parser/GeoTagHandler{cpp,h}:,
	* src/lib/geodata/parser/GeoSceneParser{cpp,h}:,
	* src/lib/geodata/parser/GeoParser{cpp,h}::
	Fix include files

2008-03-11  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.{cpp,h}:
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLAvailableTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLEnabledTagHandler.{cpp,h}:

    Basic Property parsing: name, available, enabled.

2008-03-11  Inge Wallin  <inge@lysator.liu.se>

	Finalize the Projection'ification of the Measuretool:
	*src/lib/MeasureTool{cpp,h}: (paintDistancePoints): Call
	paintDistancePoints
	(paintDistancePoints): new function
	(sphericalPaintMeasurePoints): removed
	(rectangularPaintMeasurePoints): removed
	(paintMark): Make it repeat in X if the projection allows it
	(rectangularPaintMark): removed
	
2008-03-10  Inge Wallin  <inge@lysator.liu.se>

	Get rid of a few unneeded members:
	* src/lib/MeasureTool.{h,cpp} (m_totalDistance): removed
	(m_rad2Pixel): removed
	(m_empty): removed
	(me_linecolor): removed

	Fix Krazy issues: proper include directives:
	/src/lib/MarbleWidget.h,
	/src/lib/FileStoragePolicy{cpp,h}:,
	/src/lib/MarbleMap{cpp,h}:,
	/src/lib/StoragePolicy.h,
	/src/lib/MarbleMap_p.h,
	/src/lib/TileCreatorDialog{cpp,h}:,
	/src/lib/MarblePlacemarkModel{cpp,h}:,
	/src/lib/CacheStoragePolicy{cpp,h}:,
	/src/lib/MarbleMap.h,
	/src/lib/DiscCache{cpp,h}:,
	/src/marble_part{cpp,h}::
	Fix include directives

2008-03-10  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/handlers/dgml/DGMLPropertyTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLSettingsTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLAttributeDictionary.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneIcon.h:
    * src/lib/geodata/scene/GeoSceneHead.h:
    * src/lib/geodata/scene/GeoSceneSettings.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneProperty.{cpp,h}:

    Starting to get properties parsed correctly.

2008-03-10  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.h:
    * src/lib/geodata/handlers/dgml/DGMLDiscreteTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLMaximumTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLMinimumTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLVisibleTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLZoomTagHandler.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneHead.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneZoom.{cpp,h}:

    Adding <visible>, <zoom>, <discrete>, <minimum> and <maximum>.

2008-03-09  Inge Wallin  <inge@lysator.liu.se>

	Use pre incrementation of iterators.
	* src/lib/MeasureTool{cpp,h}: (paintMeasurePoints),
	(sphericalPaintMeasurePoints),
	(rectangularPaintMeasurePoints),
	* src/lib/PlaceMarkManager{cpp,h}: (saveFile),
	(updateCacheIndex),
	* src/lib/PlaceMarkLayout{cpp,h}: (whichPlacemarkAt): 
	 pre increment iterator

	Unify painting of Measure Paths.  Now also works on Mercator.
	* src/lib/MeasureTool{cpp,h}: (paintMeasurePoints): use projection
	independent code to paint the paths
	(sphericalPaintMeasurePoints): remove code to draw paths
	(rectangularPaintMeasurePoints): remove code to draw paths
	
	Unify GridMap::createCircles.  Not fully projection'ed yet.
	* src/lib/GridMap.{h,cpp} (createCircles): New unified code
	(sphericalCreateCircles): removed
	(rectangularCreateCircles): removed
	(rectangularCreateCircle): handle full circles instead of half

2008-03-09  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLThemeTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLElementDictionary.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLTargetTagHandler.{cpp,h}:
    * src/lib/geodata/handlers/dgml/DGMLIconTagHandler.{cpp,h}:
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneHead.{cpp,h}:

    Adding Theme, Target and Icon tag.

2008-03-09  Inge Wallin  <inge@lysator.liu.se>

	Store if a projection repeats in X direction in the Projection.
	* src/lib/AbstractProjection.h (repeatX): new function
	(setRepeatX): new function
	* src/lib/EquirectProjection{cpp,h}: (EquirectProjection): Set repeatX
	to true
	* src/lib/MercatorProjection{cpp,h}: (MercatorProjection): Set repeatX
	to true

	Improve Mercator layout esp. of placemarks significantly.
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Fix code
	layout
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Make
	projection calculations look alike over the projections
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Fix
	projection calculation

	Continue towards pure Projection usage.
	* src/lib/MeasureTool.{h,cpp} (drawPath): Remove function

	Get rid of unnecessary members in GridMap.
	* src/lib/GridMap.{h,cpp} (resizeMap): remove function
	(m_imageWidth, m_imageHeight, m_imageRadius): remove members
	* src/lib/MarbleModel{cpp,h}: (resize): Don't call Gridmap::resizeMap

2008-03-08  Inge Wallin  <inge@lysator.liu.se>

	Simplify the GridMap
	* src/lib/GridMap.{h,cpp}:
	 - Remove private members m_radius, m_precision and m_planetAxis
	 - Use ViewportParams instead of ViewParams everywhere.
	 - send a precision parameter to all CreateCircle functions.
	* src/lib/MarbleModel{cpp,h}:: Use new call conventions (ViewportParams)
	
2008-03-08  Torsten Rahn  <rahn@kde.org>

    * src/lib/geodata/handlers/dgml/DGMLHeadTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLDocumentTagHandler{cpp,h}::
    * src/lib/geodata/handlers/dgml/DGMLNameTagHandler{cpp,h}::
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * src/lib/geodata/parser/GeoParser{cpp,h}::
    * src/lib/geodata/CMakeLists.txt:
    * src/lib/geodata/scene/GeoSceneHead.{cpp,h}:
    * src/lib/geodata/scene/GeoSceneSettings.h:
    * src/lib/geodata/scene/GeoSceneDocument.{cpp,h}:

    Adding Name and Description tag - description tag doesn't get 
    recognized properly due to parent identification not working 
    correctly yet ...

2008-03-07  Inge Wallin  <inge@lysator.liu.se>

	Enable the new projection based measuretool.
	* src/lib/MeasureTool{cpp,h}: (drawDistancePath): use drawPath()
	instead of individual functions.
	(drawPath): draw a red line instead of white crosses.
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Bugfix for
	the +- issue

2008-03-06  Torsten Rahn  <rahn@kde.org>

	Fix transformation bugs where + and - were mixed up.
	* src/lib/SphericalProjection{cpp,h}: (screenCoordinates): bugfix
	* src/lib/EquirectProjection{cpp,h}: (screenCoordinates): bugfix

2008-03-07  Inge Wallin  <inge@lysator.liu.se>

	Introduce new parameter to the Projections: type of coordinates
	* src/lib/AbstractProjection.h (CoordinateType): New enum type
	* src/lib/SphericalProjection.{h,cpp} (screenCoordinates): new
	parameter CoordinateType
	* src/lib/EquirectProjection.{h,cpp} (screenCoordinates): new
	parameter CoordinateType
	* src/lib/MercatorProjection.{h,cpp} (screenCoordinates): new
	parameter CoordinateType
	* src/lib/MeasureTool{cpp,h}: (drawPath): Use new call conventions

2008-03-06  Torsten Rahn  <rahn@kde.org>

    * Translation issue as reported by icwiener.
    

2008-03-06  Inge Wallin  <inge@lysator.liu.se>

	Krazy fixes (Check for spelling errors):
	* src/lib/AbstractLayer/AbstractLayerData.h (AbstractLayerInterface),
	* src/lib/geodata/parser/GeoParser.h (class GeoParser),
	* src/lib/geodata/handlers/gpx/GPXElementDictionary{cpp,h}::
	Fix spelling errors

	Krazy fixes (Check for single char QStrings).
	* src/lib/geodata/parser/GeoParser{cpp,h}: (dumpParentStack): Use chars

2008-03-05  Inge Wallin  <inge@lysator.liu.se>

	Let all projections take angles in radians instead of degrees
	* src/lib/SphericalProjection{cpp,h}: (screenCoordinates),
	* src/lib/EquirectProjection{cpp,h}: (screenCoordinates),
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Take angles
	in radians
	* src/lib/MarbleMap{cpp,h}: (screenCoordinates): Convert to radians
	* src/lib/MeasureTool{cpp,h}: (drawPath): Don't convert to degrees.

	Commit unfinished code.
	* src/lib/MeasureTool.{h,cpp} (drawPath): New function, not yet called.

2008-03-04  Inge Wallin  <inge@lysator.liu.se>

	Bugfix
	* src/lib/MercatorProjection{cpp,h}: (screenCoordinates): Convert both
	lon and lat from degrees to radians.

	Apidox
	* src/lib/AbstractProjection.h: Document all functions and
	parameters
	
	Cleaning
	* src/lib/Quaternion{cpp,h}:: Follow coding standards

2008-03-02  Inge Wallin  <inge@lysator.liu.se>

	Cleaning
	* src/lib/MeasureTool.{h,cpp}: cleaning

	Prepare the Measuretool for use of the Projection classes.
	* src/lib/MeasureTool.{h,cpp}: Take ViewportParams everywhere
	instead of ViewParams.
	* src/lib/MarbleMap{cpp,h}: (doPaint): Send ViewportParams parameter.

2008-03-01  Inge Wallin  <inge@lysator.liu.se>

	Place placemarks using the new projection classes
	* src/lib/AbstractProjection.{h,cpp} (screenCoordinates),
	* src/lib/SphericalProjection.{h,cpp} (screenCoordinates),
	* src/lib/EquirectProjection.{h,cpp} (screenCoordinates),
	* src/lib/MercatorProjection.{h,cpp} (screenCoordinates): 
	New overloaded function
	* src/lib/PlaceMarkLayout{cpp,h}: (locatedOnScreen): Use
	currentProjection->screenCoordinates instead of own code.

2008-02-28  Torsten Rahn  <rahn@kde.org>

    * LICENSE.txt:
    * ChangeLog:

    - License Change: LGPL2 -> LGPL2+ 
      as communicated with all other developers.

2008-02-26  Torsten Rahn  <rahn@kde.org>

    * docs/paintingmaps.txt:
    * src/lib/GeoPainter.h:
    - Initial "draft" for GeoPainter.
      TODO: Implement the case for isGeoProjected = false 
      first and ignore the case true until the LMC is in 
      place. 
      See docs/paintingmaps.txt for details. 

2008-02-26  Torsten Rahn  <rahn@kde.org>

    * src/lib/geoscene/GeoSceneTest{cpp,h}::
    * src/lib/geoscene/parser/GeoSceneTagHandler{cpp,h}::
    * src/lib/MarblePlacemarkModel{cpp,h}::
    * src/lib/geodata/GeoDataTest{cpp,h}::
    * docs/dgml2.txt:

    - Minor fixes and typos

    * src/lib/geodata/parser/GeoDataParser{cpp,h}::
    * src/lib/geodata/parser/GeoDataParser.h:

    - Fixes by Nikolas Zimmermann after I had 
      pointed out some issues with the previous API.

2008-02-25  Inge Wallin  <inge@lysator.liu.se>

	Krazy fixes:
	* src/lib/TileLoader.h,
	* src/lib/MarbleModel{cpp,h}:,
	* src/lib/geodata/handlers/kml/KMLElementDictionary{cpp,h}:,
	* src/lib/geodata/handlers/gpx/GPXElementDictionary{cpp,h}:,
	* src/lib/geodata/parser/GeoDataParser{cpp,h}:,
	* src/lib/geodata/parser/GeoDataParser.h,
	* src/lib/geodata/GeoDataTest{cpp,h}:,
	* src/lib/geoscene/handlers/dgml/DGMLElementDictionary{cpp,h}:,
	* src/lib/geoscene/parser/GeoSceneParser{cpp,h}:,
	* src/lib/geoscene/parser/GeoSceneParser.h,
	* src/lib/geoscene/GeoSceneTest{cpp,h}::
	  Fix spelling errors

2008-02-24  Inge Wallin  <inge@lysator.liu.se>

	Krazy fixes:
	* src/lib/HttpFetchFile.h,
	* src/lib/MarblePlacemarkModel.h,
	* src/lib/TilereatorDialog.h,
	* src/lib/TileLoader.h,
	* src/lib/geodata/data/GeoDataIconStyle.h:
	  Check for C++ ctors that should be declared 'explicit'

	Krazy fixes:
	* src/lib/MapTheme{cpp,h}:,
	* src/lib/TinyWebBrowser{cpp,h}:,
	* src/lib/DiscCache{cpp,h}:,
	* src/lib/FileStoragePolicy{cpp,h}:,
	* src/lib/geoscene/data/GeoSceneMapTheme{cpp,h}:: 
	  Check for single char QStrings better written as a QChar

2008-02-17  Inge Wallin  <inge@lysator.liu.se>

	Move current projection to ViewportParams from MarbleMap.
	* src/lib/MarbleMap{cpp,h}: (MarbleMapPrivate): Remove all projections 
	(construct): Don't init.
	(setProjection): Don't set currrentProjection;
	(geoCoordinates, screenCoordinates): new calling conventions
	* src/lib/ViewParams{cpp,h}: (currentProjection): New function
	* src/lib/ViewportParams.{h,cpp} (currentProjection): New function
	(setProjection): initialize m_currentProjection
	(s_*Projection): new static members
	
	Follow the coding standards
	* src/lib/PlaceMarkLayout{cpp,h}:: cleaning

2008-02-16  Inge Wallin  <inge@lysator.liu.se>

	Clean up a bit
	* src/lib/MarbleMap{cpp,h}: (geoCoordinates): remove #if'ed out code
	 (screenCoordinates): remove #if'ed out code
	
2008-02-15  Carlos Licea  <carlos.licea@kdemail.net>
    *PlaceMarkPainter{cpp,h}:: Fix my previous verbosiness, thanks Jeremy!.

2008-02-15  Carlos Licea  <carlos.licea@kdemail.net>
    Let there be placemarks.
    *PlaceMarkPainter: weird, for some reason OR doesn't work
     in a switch.

2008-02-16  Inge Wallin  <inge@lysator.liu.se>

	Clean up after the last few changes.
	* src/lib/MarbleWidget{cpp,h}: (setMapTheme): Clean up
	* src/lib/MarbleMap.{h,cpp} (misc): Clean up
	(repaint): removed
	(update):  removed
	* src/lib/ViewParams{cpp,h}: (ViewParams, centerCoordinates): Clean up

	Activate the Projection classes!
	* src/lib/ViewParams.{h,cpp} (viewport): new function
	* src/lib/ViewportParams.{h,cpp} (centerCoordinats): is now const
	* src/lib/MarbleMap{cpp,h}: (MarbleMapPrivate): Add 3 projection
	members and one pointer currentProjection.
	(construct): init currentProjection
	(setProjection): set currentProjection
	(screenCoordinates): use current projection class
	(geoCoordinates): use current projection class
	* src/lib/AbstractProjection.h (screenCoordinates): make params const
	* src/lib/SphericalProjection.{h,cpp} (screenCoordinates): make params const
	(geoCoordinates): make params const
	* src/lib/EquirectProjection.{h,cpp} (screenCoordinates): make params const
	(geoCoordinates): make params const
	* src/lib/MercatorProjection.{h,cpp} (screenCoordinates): make params const
	(geoCoordinates): make params const

2008-02-15  Inge Wallin  <inge@lysator.liu.se>

	Add the two last projections.
	* src/lib/EquirectProjection.{h,cpp}: new files
	* src/lib/MercatorProjection.{h,cpp}: new files
	* src/lib/CMakeLists.txt: include the new files
	
	Control the Sun settings in the KDE GUI.
	Patch by Christian Banik.  Thanks!
	* src/marble_part.h (showSun): new function
	* src/marble_part{cpp,h}: (showSun): new function
	(copyMap): activate the show_sun action.
	* src/marble_part.rc (show_sun): new action
	* src/marbleui.rc (show_sun): new action

	First shot at new projection classes.
	* src/lib/AbstractProjection.{h,cpp}: new files
	* src/lib/SphericalProjection.{h,cpp}: new files
	* src/lib/CMakelists.txt: add new files

	Use ViewportParams everywhere
	* src/lib/ViewportParams.{h,cpp} (planetAxis): Used to be axis
	* src/lib/ViewParams.{h,cpp} (m_viewport): New member
	(projection, radius, planetAxis): new getters/setters
	* src/lib/AbstractLayer/AbstractLayer{cpp,h}:,
	* src/lib/AbstractLayer/AbstractLayerData{cpp,h}:,
	* src/lib/AbstractScanlineTextureMapper{cpp,h}:,
	* src/lib/FlatScanlineTextureMapper{cpp,h}:,
	* src/lib/GlobeScanlineTextureMapper{cpp,h}:,
	* src/lib/GridMap{cpp,h}:,
	* src/lib/MarbleMap{cpp,h}:,
	* src/lib/MarbleModel{cpp,h}:,
	* src/lib/MeasureTool{cpp,h}:,
	* src/lib/PlaceMarkLayout{cpp,h}:,
	* src/lib/PlaceMarkPainter{cpp,h}:,
	* src/lib/TextureColorizer{cpp,h}:,
	* src/lib/VectorComposer{cpp,h}:,
	* src/lib/VectorMap{cpp,h}::
	Use the new calls in ViewParams.

	Actually implement the methods.
	* src/lib/ViewportParams.h (ViewportParams::m_size): new member
	* src/lib/ViewportParams{cpp,h}:: Implement all functions	

	New class ViewportParams that will be used in the new
	AbstractProjection
	* src/lib/ViewportParams.h: New file
	* src/lib/ViewportParams{cpp,h}:: New file
	* src/lib/CMakeLists.txt: Include the new files

2008-02-13  Carlos Licea  <carlos.licea@kdemail.net>
    Added the Mercator Projection to the placemarks.
    *src/lib/PlaceMarkPainter{cpp,h}:: added Mercator to the switch.
    *src/lib/PlaceMarkLayout{cpp,h}:: added Mercator case to the switch
     to calculate the position of a given placemark.
    *src/lib/MarbleMap{cpp,h}:: corrected the calculation of the y in
     screenCoordinates function.

2008-02-14  Torsten Rahn  <rahn@kde.org>

    * data/placemarks/HOWTO-cities.txt:
      Added a small HOWTO for creating the kml/cache files.
    * data/placemarks/cityplacemarks.cache:
      Imported the latest czech changes.
    * data/placemarks/cityplacemarks.kml:
      generated an updated KML file from cities.txt
    * src/lib/XmlHandler{cpp,h}::
      fixed a bug in XmlHandler which didn't honor 
      MarblePlacemarks after its introduction some time ago ("d'oh").

2008-02-13  Carlos Licea  <carlos.licea@kdemail.net>
    * src/lib/MeasureTool{cpp,h}:: continue trying to fix the interpolation of the
    measure of two points which crosses the dateline. Not solved yet,
    although I still have to deeply analize it.
    * src/lib/MarbleMap{cpp,h}:: added Mercator case to screenCoordinates and
    geoCoordinates.
    * src/lib/TextureColorizer{cpp,h}:: make it work for the Mercator projection.
    * src/lib/FlatScanlineTextureMapper{cpp,h}:: let it work in the mercator projection
    checking what projection are we painting, Mercator or Equirectangular.
    * global.h: add Mercator projection to the enum Projection.
    * src/lib/MarbleModel{cpp,h}:: added the Mercator projection as an option
    for the texture.

2008-02-12  Inge Wallin  <inge@lysator.liu.se>

	Fix class documentation after the split widget -> widget + map
	* src/lib/MarbleWidget.h: Fix class documentation
	* src/lib/MarbleMap.h: Fix class documentation
	The split is now completely DONE.
	
	Only show tile creation dialog in the Widget, not the Map
	* src/lib/marbleMap.h (creatingTilesstart): removed
	* src/lib/MarbleMap{cpp,h}: (construct): Initialize width, height here
	(construct): Remove connect() for signal creatingTilesStart 
	(creatingTilesStart): removed

2008-02-11  Torsten Rahn  <rahn@kde.org>

    * data/CMakeLists.txt:
    * src/lib/TextureColorizer.{cpp,h}:
    * src/lib/texturepalette{cpp,h}:: deleted

    Patch by Ismael Asensio to make marble use the .leg files 
    instead of using the hardcoded values in texturepalette{cpp,h}:.

2008-02-10  Inge Wallin  <inge@lysator.liu.se>

	Fix issue with integer overflow and some cleaning
	* src/lib/GlobeScanlineTextureMapper{cpp,h}: (mapTexture): Use qint64
	* src/lib/TextureColorizer{cpp,h}: (colorize): Use qint64
	* src/lib/MarbleMap{cpp,h}: (drawFog): call globeCoversImage
	* src/lib/VectorMap{cpp,h}: (sphericalCreateFromPntMap): use doubles
	(sphericalPaintBase): use doubles
	* src/lib/PlaceMarkLayout{cpp,h}:: cleaning

2008-02-09  Inge Wallin  <inge@lysator.liu.se>

	API change, and remove irritating qDebug()s
	* src/lib/MarbleWidget.{h,cpp} (setProjection): Take Projection
	argument
	(zoomView): Fix bug ==  ->  =
	(*): Disable irritating qDebug()s.
	* src/lib/MarbleMap.{h,cpp} (setProjection): Take Projection
	argument
	(*): Disable irritating qDebug()s.
	(enableInput, disableInput): removed
	* src/marble_part{cpp,h}:: Call with Projection parameters
	* src/lib/MarbleModel{cpp,h}: (*): Disable irritating qDebug()s.
	* src/lib/MarbleControlBox.{h,cpp}: projection signals and slots
	take a Projection
	* src/lib/PlaceMarkLayout{cpp,h}:: Remove irritating qDebug()s.
	* src/lib/TileLoader{cpp,h}:: Remove irritating qDebug()s.

	Fix all zoom issues.
	* src/lib/MarbleWidget{cpp,h}: (zoomView): Use MarbleMap correctly
	(zoomIn, zoomOut): call functions in MarbleMap.
	* src/lib/MarbleMap{cpp,h}: (zoomView): Do the correct thing.

	Fix resizing and projection changes for real
	* src/lib/MarbleWidget{cpp,h}: (resizeEvent): Use MarbleMap correctly
	(setProjection):  Use MarbleMap correctly
	* src/lib/MarbleMap{cpp,h}: (doResize): Do the correct thing.
	(setProjection): Do the correct thing.
	(drawAtmosphere): Use globeCoversImage
	(globeCoversImage): New function
	* src/lib/MarbleMap.h (globeCoversImage): New function

	Make the Measure Tool work again.
	* src/lib/MarbleMap.{h,cpp} (measureTool): New function
	* src/lib/MarbleWidget{cpp,h}:: Remove all traces of the local
	MeasureTool.

	Draw fog is only relevant in the Map.
	* src/lib/MarbleWidget.{h,cpp} (drawFog): Only call drawFog in the map. 
	* src/lib/MarbleMap{cpp,h}: (drawFog): Clean

2008-02-08  Inge Wallin  <inge@lysator.liu.se>

	Active Region is only relevant in the Widget
	* src/lib/MarbleMap.{h,cpp}: remove activeRegion from here
	* src/lib/MarbleWidget.{h,cpp}: move activeRegion here

	Remove unnecessary code.
	* src/lib/MarbleWidget.{h,cpp} (setActiveRegion): deleted
	(setBoundingBox): deleted
	* src/lib/MarbleMap{cpp,h}:: cleaning
	* src/lib/AbstractLayer/AbstractLayer{cpp,h}:: cleaning

	Make flat projection work
	* src/lib/MarbleWidget{cpp,h}:: Don't use local m_viewParams for
	projection.
	* src/lib/MarbleMap.{h,cpp} (viewParams): New method

	More preparation
	* src/lib/MarbleWidget{cpp,h}:: Clean away intermediate code from the
	Widget/Map separation.

2008-02-07  Inge Wallin  <inge@lysator.liu.se>

	More preparation
	* src/lib/ViewParams{cpp,h}:: Cleaning

	Cleaning and preparation for next step.
	* src/lib/ClipPainter.{h,cpp}: Cleaning and documentation.

	Next step in separation of MarbleWidget.
	* src/lib/MarbleWidget{cpp,h}:: Make the legend work again by making
	all the setters and getters call the equivalent function in
	MarbleMap. 

2008-02-07  Torsten Rahn  <rahn@kde.org>

    * Messages.sh:
    - Fix for untranslatable string by Burkhard Lück

2008-02-05  Inge Wallin  <inge@lysator.liu.se>

	* src/lib/MarbleWidget{cpp,h}:: Continue adapting MarbleWidget to the
	new MarbleMap.

	Fix the pan bug that was left from previous commits so that tackat
	can work again.
	* src/lib/MarbleWidget{cpp,h}: (rotateTo): Delegate to MarbleMap
	* src/lib/MarbleMap{cpp,h}:: cleaning
	* src/lib/MarbleWidgetInputHandler{cpp,h}:: cleaning

2008-02-04  Inge Wallin  <inge@lysator.liu.se>

	Hopefully fix the crash in goHome in the qt only version.
	* src/lib/MarbleWidget{cpp,h}: (class MarbleWidgetPrivate): Disable
	m_homePoint and m_homeZoom.
	(home, setHome*2, goHome): Immediately call same in MarbleMap.
	

	* src/lib/MarbleMap{cpp,h}: (construct): Don't connect to
	enableInput() since that slot is only relevant to the widget.

	More fixes in the MarbleWidget / MarbleMap split.
	* src/lib/MarbleMap.h: Make MarbleWidget a friend of MarbleMap
	* src/lib/MarbleWidget{cpp,h}:: More fixes for MarbleWidget to use
	MarbleMap.
	* src/lib/MarbleWidgetInputHandler{cpp,h}:: indent better

2008-02-03  Inge Wallin  <inge@lysator.liu.se>

	Start to use the MarbleMap in MarbleWidget.
	NOTE: THIS DOESN'T FULLY WORK!
	      I have to switch computer now, and I'm really sorry about
	      this.  Navigation with the keyboard works, but not yet with
	      the mouse, as the integration is not yet 100%.	
	* src/lib/MarbleWidget{cpp,h}: (class MarbleWidgetPrivate): Contain a
	MarbleMap.
	(class MarbleWidget): Use the MarbleMap whereever possible.
	* src/lib/MarbleMap.h (doPaint): now a public function.
	* src/lib/MarbleMap{cpp,h}:: some updates for use in MarbleWidget.
	* src/lib/ViewParams{cpp,h}:: Cleaning
	
2008-02-02  Inge Wallin  <inge@lysator.liu.se>

	First step of the new widgetless marble
	* CMakeLists{cpp,h}:: Add MarbleMap.{h,cpp}
	* MarbleMap.{h,cpp}: New files
	* src/lib/MarbleModel.{h,cpp} (MarbleModel): Make parent a QObject
	(setMapTheme): Use a QObject instead of a QWidget

2008-02-01  Inge Wallin  <inge@lysator.liu.se>

	Don't include unnecessary files.
	* src/lib/MarbleWidget.{h,cpp}

	Make all uses of BoundingBox in parameters references.
	* src/marble_part{cpp,h}::
	* src/MarbleTest{cpp,h}:
	* src/lib/BoundingBox{cpp,h}:
	* src/lib/FileViewModel.{h,cpp}
	* src/lib/MarbleControlBox{cpp,h}:
	* src/lib/MarbleLegendBrowser{cpp,h}:
	* src/lib/MarbleModel.{h,cpp}
	* src/lib/AbstractLayer/AbstractLayer.{h,cpp}
	* src/lib/AbstractLayer/AbstractLayerContainer.{h,cpp}
	* src/lib/AbstractLayer/AbstractLayerData.{h,cpp}
	* src/lib/AbstractLayer/AbstractLayerInterface.h
	* src/lib/gps/GpsLayer.{h,cpp}
	* src/lib/gps/GpxFile.{h,cpp}
	* src/lib/gps/GpxFileModel.{h,cpp}
	* src/lib/gps/Route.{h,cpp}
	* src/lib/gps/RouteContainer.{h,cpp}
	* src/lib/gps/Track.{h,cpp}
	* src/lib/gps/TrackContainer.{h,cpp}
	* src/lib/gps/TrackSegment.{h,cpp}
	* src/lib/gps/WaypointContainer.{h,cpp}
	Bounding boxes are now referenses.

2008-02-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme{cpp,h}::
    * src/lib/MarbleWidget{cpp,h}::
    * src/lib/TileCreator{cpp,h}::
    * src/lib/MarbleControlBox{cpp,h}::
    * src/lib/MarbleModel{cpp,h}::
    * data/maps/earth/citylights/citylights.dgml:
    * data/maps/earth/plain/plain.dgml:
    * data/maps/earth/srtm/srtm.dgml:
    * data/maps/earth/bluemarble/bluemarble.dgml:

    - Instead of searching through "maps/earth"
      we are searching through "maps" now.

    If you created your own maps this will 
    require you to set the "prefix" in the 
    .dgml file e.g. to "earth/bluemarble"

2008-01-29  Torsten Rahn  <rahn@kde.org>

    * src/lib/FlatScanlineTextureMapper{cpp,h}::
    - Fixing valgrind's finding of "invalid write (4 bytes)".

2008-01-29  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme.{cpp,h}:
    * src/lib/AbstractScanlineTextureMapper{cpp,h}::

    - Fixing a few memleaks and uninitialized values

2008-01-29  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme.{cpp,h}:
    * src/lib/MarbleLegendBrowser{cpp,h}::
    * src/lib/FlatScanlineTextureMapper{cpp,h}::
    * data/bitmaps/border_1.png:
    * data/bitmaps/border_2.png:
    * data/bitmaps/river.png:
    * data/bitmaps/lake.png:
    * data/maps/earth/citylights/citylights.dgml:
    * data/maps/earth/plain/plain.dgml:
    * data/maps/earth/srtm/srtm.dgml:
    * data/maps/earth/bluemarble/bluemarble.dgml:
    * data/legend.html:

    - Implementing "name", "checkable" and "spacing"
      attribute for LegendSections.
    - Making existing dgml files use it.
    - Changing the marker to "...:all" to allow 
      for custom placement of each section in the 
      legend.html.

2008-01-28  Carlos Licea  <carlos.licea@kdemail.net>
    * data/credits_authors.html:
    -Changed my e-Mail to carlos.licea@kdemail.net
    * src/lib/FlatScanLineTextureMapper{cpp,h}::
    -Beggin the implementation of the Mercator projection.    

2008-01-28  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme.{cpp,h}:
    * src/lib/MarbleLegendBrowser.{cpp,h}:
    * data/maps/earth/citylights/citylights.dgml:
    * data/maps/earth/bluemarble/bluemarble.dgml:

    - Allowing a completely custom legend.html per theme
    - changing the relative position of the pixmap path
      in the dgml file to allow access to the data/bitmaps
      directory.

2008-01-28  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme.{cpp,h}:
    * src/lib/MarbleLegendBrowser.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/MapTheme.h:
    * data/maps/earth/srtm/srtm.dgml:
    * data/legend.html:
    * data/CMakeLists.txt:

    - Continuing Inge's work and extending the 
    MarbleLegendBrowser to support custom legend items.

2008-01-28  Torsten Rahn  <rahn@kde.org>

    * src/lib/MapTheme{cpp,h}::
    * data/svg/application-x-marble.svg:
    * data/svg/application-x-marble.png:
    * data/CMakeLists.txt:

    - Adding Nuno Pinheiro's Marble Mimetype icon. 
    - Using it as a standard preview icon for map themes.

2008-01-27  Torsten Rahn  <rahn@kde.org>

	* src/lib/MarbleControlBox.ui: set the locationListView's 
	property "uniformItemSizes" "true". This solves the 
	problem of delayed item appearance.
	Thanks to Trolltech's Alessandro Portale for coming up
	with this suggestion.
	
2008-01-27  Inge Wallin  <ingwa@c83-252-211-36.bredband.comhem.se>

	Step 2 for definition of the legend in DGML:
	* src/lib/MarbleLegendBrowser.{h,cpp} (MarbleLegendBrowser):
	Insert generated HTML into the legend
	(setMarbleWidget): New function
	(genSectionsHtml): New function
	All: follow coding standards
	* src/lib/MarbleControlBox{cpp,h}: (addMarbleWidget): Set the marble
	widget for the legend browser
	* data/legend.html: Add a marker where generated contents should
	be inserted
	
2008-01-26  Inge Wallin  <inge@lysator.liu.se>

	Start of definition of the Legend in DGML.
	* src/lib/MapTheme{cpp,h}: (class LegendSection): new class
	(class LegendItem): new class
	(open): parse legend as well
	(parseLegend): new function
	(parseLegendSection): new function
	(parseLegendItem): new function

2008-01-25  Torsten Rahn  <rahn@kde.org>

    * src/lib/CompassFloatItem{cpp,h}::
      - Some slight fix to the compass after the issue 
        got pointed out by Jason Harris
    * src/lib/SunLocator{cpp,h}::
      - Some shifting magic by Frederik Hoeglund
    * src/lib/MergedLayerPainter{cpp,h}::
      - Patch by David Roberts to let MergedLayerPainter 
        deal with 8bit grayscale cloud images
    * cloudtiles/tile_clouds.pl:
      - Perl script to download the real time cloud image
        and tile it by David Roberts.

2008-01-24  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget{cpp,h}::
        - Fixing embarassing bug which resulted in a 
          severe slowdown from tile level 9 up.
    * src/lib/MapScaleFloatItem{cpp,h}::
        - Some dirty fix for the below-1km issue with the 
          scale bar (this class needs better documentation).
    * src/lib/MergedLayerPainter{cpp,h}::
        - Status: FIX->TODO

2008-01-22  Torsten Rahn  <rahn@kde.org>

    * src/lib/MergedLayerPainter.{cpp,h}:
    - Shading speedup by linear interpolation.
      I'd estimate it's about four times as fast - 
      of course at expense of clear code :-/ 

2008-01-22  Inge Wallin  <inge@lysator.liu.se>

	Make files follow coding standards again:
	* src/lib/ExtDateTime.{h,cpp}
	* src/lib/MarbleWidget{cpp,h}:
	* src/lib/MergedLayerPainter.{h,cpp}
	* src/lib/SunControlWidget{cpp,h}:
	* src/lib/SunLocator{cpp,h}:
	* src/lib/TextureTile.{h,cpp}
	* src/lib/TileLoader{cpp,h}:
	
2008-01-22  Torsten Rahn  <rahn@kde.org>

    * src/lib/SunLocator.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:
    * src/lib/SunControlWidget.{ui,cpp,h}: 
    * src/lib/ExtDateTime.{cpp,h}:
    * src/lib/MergedLayerPainter.{cpp, h}:
    * src/lib/MarbleWidget{cpp,h}:
    * src/lib/TileLoader{cpp,h}:
    * src/lib/CMakeLists.txt
    
    - Another great patch set by David Roberts:
        - Speed Control implementation, buttons -> slider
        - Factored out MergedLayerPainter
        - ExtDateTime now actively updates itself, and in turn all 
          centering / painting updates are triggered from it (i.e. no more 
          QTimers in SunLocator or SunControlWidget). 
        - SunLocator also updates its own position as needed now, rather than 
          updatePosition() being called externally.

2008-01-21  Torsten Rahn  <rahn@kde.org>

    * docs/layermanagement.txt: 
	
    - Adding some more concepts:
        - DGML 1.2: basic structure and an example
        - rendering order

2008-01-21  Torsten Rahn  <rahn@kde.org>

    * docs/layermanagement.txt: 

    - Initial overview over planned layer management class ("LMC") concept.

    * src/lib/MarbleWidget.{cpp,h}:

    - Deprecated method to create fog (it's unfortunately too slow 
      as is, but I commit it to get it taken into consideration for the LMC).

    * src/lib/MarbleWidget.h:
    * src/lib/SunLocator.{cpp,h}:

    - Patch by David Roberts to disable InputHandler

2008-01-21  Torsten Rahn  <rahn@kde.org>

    * src/QtMainWindow.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/SunLocator.{cpp,h}:
    * src/lib/SunControlWidget.{ui,cpp,h}:
    * src/lib/ExtDateTime.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/MarblePlacemarkModel{cpp,h}::
    * src/lib/TextureTile{cpp,h}::
    * src/lib/PlaceMarkLayout{cpp,h}::
    * src/ControlView.h:

    More patches by David Roberts:
    - code cleanup, moved some more stuff into SunLocator.
    - implemented the date/time setting in the sun control. Added a "now" 
      button to allow the user to return to the current time. 
    - changed the center sun to actively follow the sun rather than just 
      as a one time centering. 

2008-01-21  Inge Wallin  <inge@lysator.liu.se>

	Remove warnings.
	* src/lib/MarbleWidget.{h,cpp} (construct): Don't take a widget.
	* src/lib/TileCreator{cpp,h}:: use uint where appropriate, 
	* src/lib/GridMap{cpp,h}: (sphericalCreateCircle): use Q_UNUSED

	Cleaning
	* src/lib/SunLocator{h,cpp}: Follow coding standards
	* src/lib/SunControlWidget.{h,cpp}: Follow coding standards
	* src/lib/TileCreator{cpp,h}:: Cleaning
	
	Make the BoundingBox usable.
	* src/lib/BoundingBox{cpp,h}: (BoundingBox::init): Fix all bugs.

2008-01-20  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/SunControlWidget.{cpp,h,ui}:
    * src/ControlView.h:
    * src/QtMainWindow.h:

    - Making the SunControlWidget dialog 
    non-modal, so the user can switch settings while
    panning the globe.
    - Adding a combobox that controls the actual 
    sun shading. The "Show" button in the dialog
    has the purpose to show a "sun position icon"
    in the future. "Center" centers the globe on 
    that position.
    - Renaming some methods and properties
    accordingy (showSun -> showSunShading).

2008-01-20  Inge Wallin  <inge@lysator.liu.se>

	Fix bug with max/min zoom, by moving a check.
	* src/lib/MarbleWidget{cpp,h}: (MarbleWidgetPrivate): Remove
	m_minimumzoom, m_maximumzoom
	(MarbleWidget::zoomView): Check for over- and underflow, cleaning
	(MarbleWidget::zoomViewBy): Simplify by removing check.
	(misc functions): cleaning
	* src/lib/MarbleWidgetInputHandler{cpp,h}: (Misc functions): cleaning

2008-01-20  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/SunLocator.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/lib/SunControlWidget.ui:
    * src/ControlView.h:

    All patches by David Roberts:
    - Adding Torsten Rahn's .ui file to the UI
    - Implementation of "Center" and "Show" button functionality.
    - Moved SunLocator out of the TileLoader ("yipee!") 
    - Moved QTimer out of MarbleWidget into SunLocator ("yipee!")
    - Disabling clouds for Level >= 2.

    Now we really need the Layer Management class - I'll create a document 
    that will cover its basic concepts.

2008-01-19  Torsten Rahn  <rahn@kde.org>

    * src/lib/SunLocator.{cpp,h}:

    - Changing name of the "penumbra" to "twilight zone"
    and the value to 18 degrees (h=0.1) which seems a bit more 
    realistic to me according to the definition of twilight.

2008-01-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/SunLocator.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:

    - Another awesome patch by our "weather man" 
    David Roberts. This one adds: 
    - the (internal) option to let the citylights 
    map show up on the night side of the satellite view.

    - clouds (only show up if you create cloud tiles
    in the maps/earth/clouds directory which doesn't happen 
    automatically yet. But it works well already.

2008-01-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/SunControlWidget.ui:

    - Adding Sun control widget for David Roberts.

2008-01-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/TextureTile.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/SunLocator.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/TextureTile{cpp,h}:

    - More patches by David Roberts to fix and speed-up
    the sun shading. 
    Only issues left: 
    - There shouldn't be any timers in MarbleWidget
    - TileLoader shouldn't be aware of things like
    "sunshading".

2008-01-18  Torsten Rahn  <rahn@kde.org>

    * src/lib/TextureTile.{cpp,h}:
    - Visualize Tile loading by displaying filename tags
      on the globe.
    - Ŕight now you need to set

      bool tileIdVisible = true;

    in TextureTile{cpp,h}:, line 174 to see the effect. Really cool
    and makes tile loading pretty clear if you haven't understood
    it yet.

2008-01-17  Inge Wallin  <inge@lysator.liu.se>

	Cleaning
	* src/lib/MarbleModel{cpp,h}: ():Follow coding standards
	* src/lib/TileCreator{cpp,h}: ():Follow coding standards
	
2008-01-17  Torsten Rahn  <rahn@kde.org>

    * src/QtMainWindow.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/SunLocator.{cpp,h}:
    * src/lib/ExtDateTime.{cpp,h}:
    * src/lib/TileLoader.{cpp,h}:
    * src/lib/TextureTile.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/CMakeLists.txt:
    * src/ControlView.h:

    - "Let The Sunshine In"

    ("You Are The Sunshine Of My Life" could be misunderstood ... ;-)

    Patch by David Roberts that enables Sunshading for
    24bpp maps (e.g. the Satellite map). Still needs a
    bit of work to make it work properly and fast 
    (like avoiding setPixel(), etc.).

2008-01-17  Torsten Rahn  <rahn@kde.org>

    * src/lib/TextureColorizer{cpp,h}::
	- Optimizations.
    * src/lib/AbstractScanlineTextureMapper.{cpp,h}:
    * src/lib/MarbleWidget.{cpp,h}:
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/GlobeScanlineTextureMapper{cpp,h}::
    * src/lib/FlatScanlineTextureMapper{cpp,h}::
	- First steps towards tile preloading
	- Removing the headingTowards stuff as I don't need it.

    * src/lib/MarbleSettingsWidget.ui:
	- minor change

2008-01-16  Inge Wallin  <inge@lysator.liu.se>

	Fix bug that made min/max zoom in .dgml files not work.
	* src/lib/MapTheme{cpp,h}: (open): Compare against lower cased
	names minimumzoom and maximumzoom.

2008-01-16  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleSettingsWidget.ui:

    - Committing Settings Widget for KDE 4.1. This 
    mockup-stage .ui file shows about what I have in mind
    in terms of features being supported for KDE 4.1 and 
    how they should get offered in the settings dialog.

2008-01-15  Inge Wallin  <inge@lysator.liu.se>

	Complete min/maximumZoom in .dgml files.
	* src/lib/MapTheme{cpp,h}: (open): Provide default values for
	minimumZoom and maxmimumZoom
	(open): bug fix in parsing.
	* src/lib/MarbleModel.h (setMinimumZoom, setMaximiumZoom): removed
	* src/lib/MarbleModel{cpp,h}: (minimumZoom, maximumZoom): Use values
	from MapTheme
	* src/lib/MarbleWidget{cpp,h}: (minimumZoom, maximumZoom): Use values
	from MarbleModel
	* src/lib/MarbleControlBox{cpp,h}: (MarbleControlBoxPrivate::m_minimumZoom):  removed
	(minimumZoom): use value from the widget.
	(changeZoom): don't use m_minimumzoom
	* src/ControlView{cpp,h}: (ControlView): Remove initialization of
	minimum zoom in the widget.

2008-01-14    Inge Wallin  <inge@lysator.liu.se>

	Continue with min and max zoom in .dgml files
	* src/lib/MapTheme.h (minimumZoom, maximumZoom): New methods
	* src/lib/MapTheme{cpp,h}: (open): New default for minimumZoom
	* src/lib/MarbleWidget.{h,cpp} (minumumZoom, maximumZoom,
	setMaximumZoom): new methods
	* src/lib/MarbleControlBox (selectTheme): dig out minimumZoom and
	maximumZoom from the widget.
	
2008-01-13    Inge Wallin  <inge@lysator.liu.se>

	Support minimumZoom and maximumZoom in .dgml files.
	* src/lib/MapTheme.h (m_minimumZoom, m_maximumZoom): new members
	* src/lib/MapTheme{cpp,h}: (open): Support miminumZoom and maximumZoom
	in .dgml files
	(open): use else if instead of only if's
	* src/lib/MarbleModel{cpp,h}: (setMapTheme): cleaning
	
2008-01-13  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarblePlacemarkModel.{h,cpp}:
    * src/lib/PlaceMarkLayout.{h,cpp}:

    - Patch by Claudiu Covaci to get satellite displayed on the far-off hemisphere.

    - Performance fix to keep speed when zooming in from slowing down.
      This addresses a regression due to the Model-View-refactorization which 
      made the speed going down by 50%. 

    * src/lib/MarbleWidget.{h,cpp}:
    * src/lib/MarbleModel.{h,cpp}:

    - We don't need to reinvent setAutoFillBackground ...
    - We don't want to draw the atmosphere on close-up zoom
    - Introduction of direction detection
    - clean-up

    * src/lib/GridMap{cpp,h}:: Small performance fix
    * src/MarbleTest{cpp,h}:: Fixing default coordinates

2008-01-07  Torsten Rahn  <rahn@kde.org>

    * src/lib/ViewParams.h:
    * src/lib/MarbleWidget.{h, cpp}:
    * src/lib/MarbleModel{cpp,h}::

    - Fixed blue tint of space and added setBackgroundTransparency method as part of the fix.
    - Don't draw the whole screen if the globe doesn't cover it completely.
    - Fixed Atmosphere not getting drawn when changing projection.

    * src/lib/MarbleControlBox{cpp,h}::
    * src/lib/MarbleControlBox.ui:

    - Getting rid of scrollbars under normal conditions.

    * data/vectorsource/lakes.svg:
    * data/mwdbii/PLAKE.PNT:

    - Fixing lake placement bug as described in easyLINUX (TM) magazine.

2008-01-06  Torsten Rahn  <rahn@kde.org>

    - Bumping up version number.

    - Fixed up-down direction of toolbar arrow buttons and screen arrow buttons.

    - Fixed: Free tileloader cache if we switch to plain map 

    - Fixed: In flat projection if you move the map way up or down in total view then the compass rose will show an "S" at the top. 


2008-01-03  Torsten Rahn  <rahn@kde.org>

    * ChangeLog:
    * src/lib/gps/Track{cpp,h}::
    * src/lib/gps/Track.h:
    * src/lib/gps/GpxSax{cpp,h}::
    * src/lib/gps/GpsTracking{cpp,h}::
    * src/lib/gps/WaypointContainer{cpp,h}::
    * src/lib/gps/GpxSax.h:
    * src/lib/gps/GpxFileModel{cpp,h}::
    * src/lib/AbstractLayer/AbstractLayerData{cpp,h}::
    * src/lib/HttpFetchFile.h:
    * src/lib/HttpDownloadManager{cpp,h}::
    * src/lib/global.h:
    * src/lib/MarbleControlBox{cpp,h}::
    * src/lib/MarbleModel{cpp,h}::
    * src/lib/HttpFetchFile{cpp,h}::

    - Fixed mem leaks in the DownloadManager. 
    - Bumping up the version number to 0.5
    - Fixing Andrew's gpx/GPS functionality

2008-01-03  Torsten Rahn  <rahn@kde.org>

    * src/lib/GlobeScanlineTextureMapper{cpp,h}::
    - Fix precise rendering around north pole

    - Fix for [Bug 154916] Crash on startup in MarbleWidget::resizeEvent
      Still needs verification.

2008-01-02  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget{cpp,h}::
    * src/lib/MarbleModel.{cpp,h}:
    * src/lib/ViewParams{cpp,h}::

    - Getting rid of m_downloadManager in MarbleWidget to simplify code.
    - Thereby fixed a mem leak concerning the same issue.

2008-01-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget{cpp,h}::
    * src/lib/ViewParams{cpp,h}::
    Initialize m_canvasimg before the model gets instantiated.

2008-01-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleModel{cpp,h}:: Initialize.

2008-01-01  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleModel{cpp,h}:: more paranoid check whether the 
      .dgml file has been opened successfully.

2007-12-31  Torsten Rahn  <rahn@kde.org>

    * src/lib/PlaceMarkLayout.{cpp,h}:
    * src/lib/MarbleModel{cpp,h}::
    * src/lib/VisiblePlaceMark{cpp,h}::

    - Fixing a crash reported by Claudiu Costin.

2007-12-31    Inge Wallin  <inge@lysator.liu.se>

	* src/ControlView.h (marbleControl): New function
	* src/lib/MarbleControlBox.{h,cpp} (updateMapThemes): New function
	(constructor): call updateMapThemes().
	* src/marble_part{cpp,h}: (showNewStuffDialog): update the map themes 
	list in the controlbox.
	(misc): cleaning
	* src/lib/MapTheme{cpp,h}:: cleaning
	* src/lib/MarbleModel{cpp,h}:: cleaning	

2007-12-31  Torsten Rahn  <rahn@kde.org>

    * src/plugins/navigator/CMakeLists.txt:
    - Fix MarbleNavigator Plugin

    Icons for projection combobox:
    * src/marble.qrc:
    * src/lib/MarbleControlBox.ui:
    * src/icons/map-flat.png:
    * src/icons/map-globe.png:


2007-12-31  Torsten Rahn  <rahn@kde.org>

    * src/lib/MarbleWidget.h:
    * src/lib/MarbleModel.{cpp, h}:
    - Fixing the missing selection in the map view tab once
